Changes: V5.1.1 -> V5.1.2
-------------------------------------------------------------------------------

2004-08-07 03:49  rstory

   * snmplib/Makefile.depend, agent/Makefile.depend
, agent/mibgroup/Makefile.depend,
   agent/helpers/Makefile.depend, apps/Makefile.depend
, apps/snmpnetstat/Makefile.depend:

   make depend
   
2004-08-07 03:48  rstory

   * man/netsnmp_asn1_packet_parse.3:

   file netsnmp_asn1_packet_parse.3 was initially added on branch V5-1-patches.
   
2004-08-07 03:48  rstory

   * man/: netsnmp_Container_iterator.3, netsnmp_agent.3
, netsnmp_agent_registry.3,
   netsnmp_agent_trap.3, netsnmp_asn1_packet_parse.3
, netsnmp_baby_steps.3, netsnmp_bulk_to_next.3
, netsnmp_cache_handler.3, netsnmp_callback.3
, netsnmp_container.3, netsnmp_data_list.3
, netsnmp_debug.3, netsnmp_default_store.3
, netsnmp_handler.3, netsnmp_instance.3
, netsnmp_iterator_info_s.3, netsnmp_leaf.3
, netsnmp_library.3, netsnmp_mib_utilities.3
, netsnmp_mode_end_call.3, netsnmp_multiplexer.3
, netsnmp_netsnmp_agent_request_info_s.3,
   netsnmp_netsnmp_column_info_t.3,
   netsnmp_netsnmp_data_list_s.3,
   netsnmp_netsnmp_handler_registration_s.3,
   netsnmp_netsnmp_iterator_info_s.3,
   netsnmp_netsnmp_mib_handler_methods.3,
   netsnmp_netsnmp_mib_handler_s.3,
   netsnmp_netsnmp_request_info_s.3,
   netsnmp_netsnmp_table_registration_info_s.3,
   netsnmp_netsnmp_table_request_info_s.3,
   netsnmp_oid_stash.3, netsnmp_old_api.3,
   netsnmp_read_config.3, netsnmp_read_only.3,
   netsnmp_row_merge.3, netsnmp_scalar.3,
   netsnmp_scalar_group_group.3, netsnmp_serialize.3
, netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3
, netsnmp_snmp_client.3, netsnmp_snmp_logging.3
, netsnmp_snmp_pdu.3, netsnmp_snmp_session.3
, netsnmp_stash_cache.3, netsnmp_table.3
, netsnmp_table_array.3, netsnmp_table_data.3
, netsnmp_table_dataset.3,
   netsnmp_table_iterator.3, netsnmp_util.3,
   netsnmp_utilities.3, netsnmp_variable_list.3,
   netsnmp_watcher.3:

   - update for 5.1.2
   
2004-08-07 03:47  rstory

   * man/Makefile.in:

   - add netsnmp_asn1_packet_parse.3
   
2004-08-07 03:41  rstory

   * doxygen.conf:

   - update version for 5.1.2
   
2004-08-07 03:34  rstory

   * man/Makefile.in:

   - remove deleted man pages (todo & deprecated)
   
2004-08-07 03:29  rstory

   * Makefile.top:

   - reorder libtool version vars so they read in order used
   - add comments on libtool versions
   
2004-08-04 08:51  dts12

   * man/: netsnmp_deprecated.3, netsnmp_todo.3:

   Don't install 'todo' or 'deprecated' man pages
   (since these are constructed with suspect formatting)
   
2004-08-04 08:48  dts12

   * Makefile.in:

   Don't install 'todo' or 'deprecated' man pages
   (since these are constructed with suspect formatting)
   
2004-07-30 16:17  hardaker

   * agent/mibgroup/mibII/vacm_vars.c:

   disable ipv6 access without configuration
   
2004-07-28 18:33  hardaker

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.1.2.rc2 )
   
2004-07-28 18:33  hardaker

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.1.2.rc2 )
   
2004-07-28 18:32  hardaker

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.1.2.rc2 )
   
2004-07-28 18:32  hardaker

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.1.2.rc2 )
   
2004-07-28 18:32  hardaker

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.1.2.rc2 )
   
2004-07-28 18:32  hardaker

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.1.2.rc2 )
   
2004-07-28 18:32  hardaker

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.1.2.rc2 )
   
2004-07-28 18:31  hardaker

   * sedscript.in:

   - (sedscript.in): version tag ( 5.1.2.rc2 )
   
2004-07-28 18:31  hardaker

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.1.2.rc2 )
   
2004-07-28 18:31  hardaker

   * FAQ:

   - (FAQ): version tag ( 5.1.2.rc2 )
   
2004-07-28 18:30  hardaker

   * README:

   - (README): version tag ( 5.1.2.rc2 )
   
2004-07-28 18:30  hardaker

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.1.2.rc2 )
   
2004-07-28 07:57  dts12

   * README.win32:

   OpenSSL is needed for SHA-based authentication, rather than MD5.
   (It's used for both if available, but it's only *needed* for SHA)
   
2004-07-28 05:17  dts12

   * FAQ:

   Discuss RPM-dependecy problems.
   
2004-07-22 20:55  slif

   * agent/mibgroup/mibII/interfaces.c:

   for win32 agent, interpret ifOperStatus correctly,
   and set ifLastChange to zero. These changes fixes bug #907716.
   
2004-07-22 13:45  slif

   * snmplib/snmpUDPIPv6Domain.c:

   patch #982628 applied to fix leak on errors in netsnmp_udp6_transport
   
2004-07-22 11:49  dts12

   * FAQ:

   Emphasise the need to explicitly create users.
   
2004-07-21 02:26  slif

   * agent/mibgroup/mibII/: tcpTable.c, udpTable.c
:

   fix bug #992735 OSX 10.3.4 make fails by including darwin in #if expressions.
   
2004-07-21 01:29  slif

   * include/net-snmp/system/: darwin7.h, darwin7.h:

   create system header for -Ddarwin7. partial fix for bug 992735.
   
2004-07-20 22:40  slif

   * agent/helpers/table_iterator.c:

   fix bug 994194 by checking for null before de-referencing pointer argument.
   
2004-07-20 16:31  slif

   * README.solaris:

   patch 988286 from Bruce Shaw - Lots of updates on README.solaris
   
2004-07-20 16:22  slif

   * testing/eval_tools.sh:

   use kill.exe only iff OSTYPE = msys (patch #987626 applied)
   
2004-07-19 12:29  dts12

   * man/snmpvacm.1.def:

   Fix erroneous troff macro, as reported by Eric Raymond
   
2004-07-17 02:03  hardaker

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.1.2.rc1 )
   
2004-07-17 02:03  hardaker

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.1.2.rc1 )
   
2004-07-17 02:03  hardaker

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.1.2.rc1 )
   
2004-07-17 02:03  hardaker

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.1.2.rc1 )
   
2004-07-17 02:02  hardaker

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.1.2.rc1 )
   
2004-07-17 02:02  hardaker

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.1.2.rc1 )
   
2004-07-17 02:02  hardaker

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.1.2.rc1 )
   
2004-07-17 02:02  hardaker

   * sedscript.in:

   - (sedscript.in): version tag ( 5.1.2.rc1 )
   
2004-07-17 02:01  hardaker

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.1.2.rc1 )
   
2004-07-17 02:01  hardaker

   * FAQ:

   - (FAQ): version tag ( 5.1.2.rc1 )
   
2004-07-17 02:01  hardaker

   * README:

   - (README): version tag ( 5.1.2.rc1 )
   
2004-07-17 02:00  hardaker

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.1.2.rc1 )
   
2004-07-17 01:59  hardaker

   * agent/mibgroup/Makefile.depend, agent/Makefile.depend
, apps/Makefile.depend,
   apps/snmpnetstat/Makefile.depend,
   snmplib/Makefile.depend:

   make depend
   
2004-07-17 01:58  hardaker

   * man/: netsnmp_Container_iterator.3, netsnmp_agent.3
, netsnmp_agent_registry.3,
   netsnmp_agent_trap.3, netsnmp_baby_steps.3,
   netsnmp_bulk_to_next.3, netsnmp_cache_handler.3
, netsnmp_callback.3, netsnmp_container.3
, netsnmp_data_list.3, netsnmp_debug.3
, netsnmp_default_store.3, netsnmp_deprecated.3
, netsnmp_handler.3, netsnmp_instance.3
, netsnmp_iterator_info_s.3, netsnmp_leaf.3
, netsnmp_library.3, netsnmp_mib_utilities.3
, netsnmp_mode_end_call.3, netsnmp_multiplexer.3
, netsnmp_netsnmp_agent_request_info_s.3,
   netsnmp_netsnmp_column_info_t.3,
   netsnmp_netsnmp_data_list_s.3,
   netsnmp_netsnmp_handler_registration_s.3,
   netsnmp_netsnmp_iterator_info_s.3,
   netsnmp_netsnmp_mib_handler_methods.3,
   netsnmp_netsnmp_mib_handler_s.3,
   netsnmp_netsnmp_request_info_s.3,
   netsnmp_netsnmp_table_registration_info_s.3,
   netsnmp_netsnmp_table_request_info_s.3,
   netsnmp_oid_stash.3, netsnmp_old_api.3,
   netsnmp_read_config.3, netsnmp_read_only.3,
   netsnmp_row_merge.3, netsnmp_scalar.3,
   netsnmp_scalar_group_group.3, netsnmp_serialize.3
, netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3
, netsnmp_snmp_client.3, netsnmp_snmp_logging.3
, netsnmp_snmp_pdu.3, netsnmp_snmp_session.3
, netsnmp_stash_cache.3, netsnmp_table.3
, netsnmp_table_array.3, netsnmp_table_data.3
, netsnmp_table_dataset.3,
   netsnmp_table_iterator.3, netsnmp_todo.3,
   netsnmp_util.3, netsnmp_utilities.3,
   netsnmp_variable_list.3, netsnmp_watcher.3:

   make docs update
   
2004-07-17 01:53  hardaker

   * agent/mibgroup/mibII/: mibII_common.h, tcpTable.c
:

   Attempted fixes for darwin
   
2004-07-16 12:08  dts12

   * FAQ:

   A few additional entries (esp. relating to generating traps)
   plus some minor restructuring and wordsmithing.
   
2004-07-09 14:18  hardaker

   * snmplib/read_config.c:

   Make the persistent file warning a bit, um, more strong
   
2004-07-08 20:35  rstory

   * agent/mibgroup/mibII/var_route.c:

   - move write_method assignment before check for existing node, so row creation
     can be supported
   
2004-07-08 20:34  rstory

   * agent/mibgroup/mibII/route_write.c:

   - Linux: use non 0 socket protocol when creating socket (or call fails)
   - don't return success if socket call fails
   - close socket before returning
   - fix typo in comment
   
2004-07-08 16:19  rstory

   * agent/mibgroup/mibII/route_write.c:

   - set dst in route cache, so lookup in next pass can find it
   - add netsnmp_assert to verify a route was found
   
2004-07-07 08:27  dts12

   * agent/agent_handler.c:

   Don't throw an error if the final handler registration didn't
   include an explicit handler routine.  This is perfectly reasonable
   if the MIB object is handled internally by the preceding helpers.
   
2004-07-07 08:24  dts12

   * agent/mibgroup/mibII/vacm_vars.c:

   Quote "r[ow]community" string before passing to com2sec-style parser,
   to retain any internal whitespace.
   
2004-07-07 08:21  dts12

   * snmplib/: snmpUDPDomain.c, snmpUDPIPv6Domain.c
:

   Use copy_nword rather than strtok for parsing com2sec entries.
   (To handle quoted strings properly)
   
2004-07-07 08:19  dts12

   * snmplib/read_config.c:

   Protect 'copy_nword' against missing parameters.
   
2004-07-05 02:50  hardaker

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.1.2.pre3 )
   
2004-07-05 02:49  hardaker

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.1.2.pre3 )
   
2004-07-05 02:48  hardaker

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.1.2.pre3 )
   
2004-07-05 02:47  hardaker

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.1.2.pre3 )
   
2004-07-05 02:46  hardaker

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.1.2.pre3 )
   
2004-07-05 02:45  hardaker

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.1.2.pre3 )
   
2004-07-05 02:44  hardaker

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.1.2.pre3 )
   
2004-07-05 02:43  hardaker

   * sedscript.in:

   - (sedscript.in): version tag ( 5.1.2.pre3 )
   
2004-07-05 02:42  hardaker

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.1.2.pre3 )
   
2004-07-05 02:41  hardaker

   * FAQ:

   - (FAQ): version tag ( 5.1.2.pre3 )
   
2004-07-05 02:40  hardaker

   * README:

   - (README): version tag ( 5.1.2.pre3 )
   
2004-07-05 02:39  hardaker

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.1.2.pre3 )
   
2004-07-02 13:07  slif

   * agent/mibgroup/ucd-snmp/: pass.c, pass_persist.c
:

   fix bug#819154 by allowing getnext failure to continue traversing the extensible lists.
   
2004-07-02 10:18  slif

   * agent/mibgroup/ucd-snmp/pass_persist.c:

   make a safe copy of the command string to the name string.
   
2004-07-02 09:50  slif

   * agent/mibgroup/host/hr_disk.c:

   apply patch #910094 Solaris can only see some disks -- increase LUN range 0-7
   
2004-07-02 09:38  slif

   * agent/mibgroup/host/hr_disk.c:

   fix bug #984061 - check limits, build device type spans properly
   
2004-07-02 09:12  slif

   * agent/mibgroup/ucd-snmp/disk.c:

   warn, then prevent adding more devices than the disks array will hold.
   
2004-07-02 08:24  slif

   * agent/mibgroup/host/hr_print.c:

   apply patch # 983851 Check return value for cgetnext() and fix #ifdef
   
2004-07-02 07:47  nba

   * mibs/: Makefile.mib, README.mibs, smistrip
:

   Notes and tweaks that should make it easier to a full rfc mib complement
   under Solaris
   
2004-07-02 07:37  nba

   * mibs/: rfclist, rfcmibs.diff:

   New version og Printer-MIB
   
2004-07-02 06:19  nba

   * mibs/Makefile.mib:

   Update tp correct RFC for Etherlike-MIB
   
2004-06-30 23:04  slif

   * agent/mibgroup/ucd-snmp/: pass.c, pass_persist.c
:

   avoid sort when only one pass or pass_persist directive is instantiated.
   prevent overflowing bin2asc's buffer, and remove a set but not used "itmp" variable.
   
2004-06-30 22:38  slif

   * agent/mibgroup/ucd-snmp/extensible.c:

   fix bug 981275 by OID sorting the "exec" and "sh" directives.
   
2004-06-30 09:35  slif

   * agent/mibgroup/mibII/ipv6.c:

   fix bug# 502215 "oid not increasing" bugs for IPv6 UDP/TCP on FreeBSD
   
2004-06-29 19:05  slif

   * agent/mibgroup/mibII/ipv6.c:

   fix name (udbtable --> tcbtable) in TCP6 version of var_tcp6.
   
2004-06-29 08:14  slif

   * agent/mibgroup/ucd-snmp/vmstat_freebsd2.c:

   apply patch 979436 to make sys/dkstat.h obsolete when building recent FreeBSD5
   
2004-06-29 07:57  slif

   * agent/mibgroup/ucd-snmp/diskio.c:

   apply patch 979434 to Support FreeBSD 5.0 and 5.1 in diskio.c
   
2004-06-29 07:00  slif

   * agent/mibgroup/ucd-snmp/memory_freebsd2.c:

   Use u_long for phys_mem in memory_freebsd2.c (patch #979034)
   
2004-06-28 14:54  slif

   * acconfig.h, include/net-snmp/net-snmp-config.h.in
:

   fix setting of OSTYPE for FreeBSD build platforms (consider acconfig.h).
   
2004-06-28 14:44  slif

   * agent/agent_trap.c:

   use int for atoi, cast to unsigned short;
   this fixes bug 981438 trapsink port range checks are wrong
   
2004-06-28 08:02  dts12

   * agent/mibgroup/ucd-snmp/: proxy.c, proxy.h:

   Automatically unregister proxy settings on agent shutdown or restart.
   (Bug #748733)
   
2004-06-28 07:59  dts12

   * agent/mibgroup/ucd-snmp/: proxy.c, proxy.h:

   Unregister proxy registrations when freeing the config settings.
   
2004-06-28 07:52  dts12

   * agent/mibgroup/agent/nsModuleTable.c:

   Skip empty contexts when dumping the internal MIB registry.
   (Probably as a result of removing registrations).
   
2004-06-28 07:40  dts12

   * agent/mibgroup/mibII/var_route.c:

   Drop special-case handling of "lo/lo0" since this gives bogus results
   (Bug #422394)
   
2004-06-28 07:21  dts12

   * agent/helpers/bulk_to_next.c:

   Don't try to set the OID of a variable that isn't there.
   (Probably triggered by running GetBulk on a "non-simple"
    view - see Bug #706089)
   
2004-06-25 07:47  dts12

   * agent/mibgroup/mibII/icmp.c:

   Fix the check for a valid ICMP cache
   (Spotted by Oleg Ivanov)
   
2004-06-25 05:10  dts12

   * agent/mibgroup/mibII/ip.c:

   A missing 'ipOutNoRoutes' value should throw an exception (not an error)
   and allow any other IP-related varbinds in the same request to be processed.
   
2004-06-24 16:04  nba

   * snmplib/mib.c:

   Make -Ir effective for a NetworkAddress
   
2004-06-23 14:57  nba

   * snmplib/asn1.c:

   Doxygen internal documentation contributed by Cyril MARGARIA
   
2004-06-23 13:45  nba

   * snmplib/mib.c:

   Fix bug 978087: bad index check for NetworkAddress
   
2004-06-22 18:57  nba

   * apps/snmptrapd.c:

   Fix cpu-burning by running alarms. Diagnosed by rgreab@users.sourceforge.net
   
2004-06-22 18:06  nba

   * acconfig.h, configure, configure.in
, include/net-snmp/net-snmp-config.h.in,
   agent/mibgroup/ucd-snmp/diskio.c:

   Autodetect -ldevstat for FreeBSD 5 (as was done for 4)
   
2004-06-22 09:38  dts12

   * agent/helpers/old_api.c, snmplib/snmp_debug.c
:

   Fix handling of table row registration in old-API (Bug #702458)
   
2004-06-21 06:12  dts12

   * local/mib2c.access_functions.conf:

   Correct description of return values to use (Bug #947926)
   
2004-06-21 06:02  dts12

   * snmplib/snmp_api.c:

   Set the size for parsing an integer correctly (Bug #947403)
   
2004-06-19 09:34  slif

   * agent/mibgroup/host/hr_filesys.c:

   modify patch 956272 to make it Solaris2 specific
   
2004-06-18 14:39  hardaker

   * configure, configure.in,
   agent/mibgroup/host/hr_storage.c,
   include/net-snmp/net-snmp-config.h.in:

   - Fixed usage of f_frsize under architectures that had it for statvfs
     but not statfs.
   
2004-06-18 14:11  hardaker

   * include/net-snmp/library/transform_oids.h,
   mibs/Makefile.in, mibs/rfclist,
   snmplib/snmpusm.c:

   Added USM-AES OIDs, now defined in RFC3826
   
2004-06-18 13:35  hardaker

   * mibs/SNMP-USM-AES-MIB.txt:

   added the USM-AES MIB
   
2004-06-18 13:35  hardaker

   * mibs/SNMP-USM-AES-MIB.txt:

   - Updated the AES OID to match the recently published USM/AES draft
   - Added the USM-AES MIB to the list of mibs.
   
2004-06-18 10:03  dts12

   * agent/mibgroup/kernel_sunos5.c:

   Recognise Infiniband interfaces
   (Patch #970617 from Kanoj Sarcar)
   
2004-06-18 09:54  dts12

   * configure, configure.in:

   Fix handling of --enable-local-smux option
   (Patch #949808 from Erik Äggå)
   
2004-06-18 09:38  dts12

   * testing/tests/: T150solarishostcpu, T151solarishostdisk
, T152hostuptime, T153solarisswap:

   Use transport variables for testing rather than hardwiring udp:localhost
   (Patch #940302 from Mike Slifcak)
   
2004-06-18 09:31  dts12

   * agent/mibgroup/kernel_sunos5.c:

   Use /dev/arp rather than /dev/ip, since this works properly with multiple zones.
   (Patch #940025 from Bob Rowlands)
   
2004-06-18 09:23  dts12

   * snmplib/pkcs.c:

   Initialise pSlotList to guard against freeing garbage.
   (Patch #938139 from Bob Rowlands)
   
2004-06-18 09:18  dts12

   * agent/mibgroup/ucd-snmp/lmSensors.c:

   Don't set the index value until we've checked this is a valid request.
   (Patch #930712 from Jochen/Christopher Price)
   
2004-06-18 09:09  dts12

   * snmplib/vacm.c:

   Don't include the viewTree length when saving a persistent vacmView
   (Patch #921279 from Bob Rowlands)
   
2004-06-18 08:58  dts12

   * agent/mibgroup/: util_funcs.c, util_funcs.h:

   Pass *pointers* to reload/compare functions into Initialise_Table
   (Patch #922519 from Robert Wilcox)
   
2004-06-17 23:57  slif

   * testing/tests/T150solarishostcpu:

   per Bruce Shaw, include the OID for CPU device in the match string.
   
2004-06-17 22:42  slif

   * agent/mibgroup/host/hr_filesys.c:

   apply patch 956272 - use correct structure member for Solaris hrPartitionSize
   
2004-06-17 20:36  slif

   * snmplib/snmp_api.c:

   test session ptr before using. fixes bug #975063 snmp_sess_close NULL deref
   
2004-06-17 09:39  hardaker

   * net-snmp-config.in:

   Patch  968839: net-snmp-config fails to print -lwrap
   
2004-06-16 13:17  rstory

   * agent/helpers/table.c:

   don't reset colnum if no indexes
   
2004-06-15 18:40  slif

   * win32/dist/README.build.win32.txt:

   apply patch #973572 per Alex Burger to clarify naming of the package, etc.
   
2004-06-15 14:52  hardaker

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.1.2.pre2 )
   
2004-06-15 14:52  hardaker

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.1.2.pre2 )
   
2004-06-15 14:52  hardaker

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.1.2.pre2 )
   
2004-06-15 14:52  hardaker

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.1.2.pre2 )
   
2004-06-15 14:52  hardaker

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.1.2.pre2 )
   
2004-06-15 14:51  hardaker

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.1.2.pre2 )
   
2004-06-15 14:51  hardaker

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.1.2.pre2 )
   
2004-06-15 14:50  hardaker

   * sedscript.in:

   - (sedscript.in): version tag ( 5.1.2.pre2 )
   
2004-06-15 14:50  hardaker

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.1.2.pre2 )
   
2004-06-15 14:50  hardaker

   * FAQ:

   - (FAQ): version tag ( 5.1.2.pre2 )
   
2004-06-15 14:50  hardaker

   * README:

   - (README): version tag ( 5.1.2.pre2 )
   
2004-06-15 14:49  hardaker

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.1.2.pre2 )
   
2004-06-15 10:26  dts12

   * local/mib2c:

   Catch unrecognised options, and report the error.
   
2004-06-15 09:43  slif

   * agent/mibgroup/mibII/ipAddr.c:

   apply updated patch attached to bug#758437
   use SNMP_FREE to manage buffer pointer
   open socket before increasing buffer size
   
2004-06-15 07:29  slif

   * agent/mibgroup/host/: hr_filesys.c, hr_storage.c
:

   apply patch from trontor to fix bug 942498 NetBSD 2.0D and above use statvfs
   
2004-06-14 15:02  slif

   * win32/: Makefile.in, dist/README.build.win32.txt
, dist/installer/net-snmp.nsi:

   apply patch #972715 Win32 build: makefile, readme and .nsi script changes
   these back out two previous changes and fixes a problem creating snmpconf.bat
   
2004-06-14 13:03  slif

   * agent/mibgroup/mibII/ipv6.c:

   patch from Mathias Scheler fixes bug #805956 by altering conditional
   checks for NetBSD and Darwin defines.
   
2004-06-12 11:04  slif

   * win32/dist/installer/net-snmp.nsi:

   dyslexic  s-M-n-p  to s-n-M-p
   
2004-06-12 11:01  slif

   * README.win32, win32/dist/README.txt,
   win32/dist/installer/net-snmp.nsi:

   patch 971263 Windows installer script change component label+descr
   
2004-06-12 10:55  slif

   * win32/: build.bat, install-net-snmp.bat,
   nmakeperl.bat, dist/installer/net-snmp.nsi,
   local/mib2c.bat, local/snmpconf.bat,
   local/traptoemail.bat:

   convert .bat files to use DOS CR-LF line termination.
   apply patch 971471 NSI installer script fixes addressing line-end problems.
   
2004-06-11 20:38  slif

   * win32/libnetsnmptrapd/Makefile.in:

   remove "erase watcher.obj", for a file that is managed in libhelpers project.
   
2004-06-11 13:18  slif

   * win32/Makefile.in:

   patch 971113 "nmake clean" visits libsnmp and libsnmp_dll every time.
   
2004-06-10 13:59  slif

   * win32/dist/README.build.win32.txt:

   per Andy Smith, apply patch #970480 Win32 README.build.win32.txt update
   
2004-06-09 23:28  slif

   * agent/mibgroup/host/hr_storage.c,
   agent/mibgroup/ucd-snmp/diskio.c,
   include/net-snmp/system/freebsd4.h,
   include/net-snmp/system/freebsd5.h:

   apply changes identified in patch #969338 patches for FreeBSD 5.x successful build
   
2004-06-09 21:37  slif

   * win32/dist/installer/net-snmp.nsi:

   per Andy Smith, apply patch#968800 SNMPCONFPATH fix for Win32 binary installer
   and patch #970012 Remove snmpconf.pl from Windows installer
   
2004-06-09 05:37  slif

   * agent/mibgroup/util_funcs.c:

   per Mike Heisler, fix bug #936483 (restore ssize_t).
   
2004-06-08 16:56  slif

   * agent/mibgroup/host/hr_swrun.c:

   fix build failure (no such member kp_comm, etc.) for FreeBSD 5.x
   
2004-06-08 16:53  slif

   * agent/mibgroup/mibII/tcpTable.c:

   fix build failure (no such member xt_tp) for FreeBSD 4.x and FreeBSD 5.x
   
2004-06-08 16:50  slif

   * agent/mibgroup/mibII/udpTable.c:

   fix compile failure (no inp_next in struct inpcb) for FreeBSD 4.x and 5.x
   
2004-06-08 16:36  slif

   * agent/mibgroup/host/hr_print.c:

   fix bug 895679 by ensuring upper limit tracks buffer allocation/free actions.
   
2004-06-08 15:03  slif

   * include/net-snmp/system/freebsd5.h:

   remove unnecessary undef of STRUCT_STATFS_HAS_F_FAVAIL (never is defined).
   
2004-06-07 22:52  slif

   * include/net-snmp/net-snmp-config.h.in:

   fix setting of OSTYPE for FreeBSD build platforms.
   
2004-06-07 22:47  slif

   * include/net-snmp/system/: freebsd5.h, freebsd5.h:

   create system include file for FreeBSD 5.x build platforms.
   
2004-06-07 22:44  slif

   * agent/mibgroup/ucd-snmp/memory_freebsd2.c:

   remove unused code in swapmode
   
2004-06-07 15:52  hardaker

   * acconfig.h, include/net-snmp/net-snmp-config.h.in
:

   Update to win32 ifdef to include other environments
   
2004-06-07 02:47  nba

   * snmplib/parse.c:

   Fix warnings about missing modules when there are replacements for them
   
2004-06-06 19:41  hardaker

   * agent/mibgroup/versiontag:

   cvs server name change
   
2004-06-06 18:52  hardaker

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.1.2.pre1 )
   
2004-06-06 18:52  hardaker

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.1.2.pre1 )
   
2004-06-06 18:52  hardaker

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.1.2.pre1 )
   
2004-06-06 18:52  hardaker

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.1.2.pre1 )
   
2004-06-06 18:51  hardaker

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.1.2.pre1 )
   
2004-06-06 18:51  hardaker

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.1.2.pre1 )
   
2004-06-06 18:51  hardaker

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.1.2.pre1 )
   
2004-06-06 18:50  hardaker

   * sedscript.in:

   - (sedscript.in): version tag ( 5.1.2.pre1 )
   
2004-06-06 18:50  hardaker

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.1.2.pre1 )
   
2004-06-06 18:50  hardaker

   * FAQ:

   - (FAQ): version tag ( 5.1.2.pre1 )
   
2004-06-06 18:50  hardaker

   * README:

   - (README): version tag ( 5.1.2.pre1 )
   
2004-06-06 18:50  hardaker

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.1.2.pre1 )
   
2004-06-06 18:49  hardaker

   * agent/Makefile.depend, apps/Makefile.depend
:

   make depend
   
2004-06-06 18:44  hardaker

   * configure:

   ran autoconf
   
2004-06-06 18:39  hardaker

   * NEWS:

   Updates for 5.1.2
   
2004-06-06 18:32  hardaker

   * Makefile.top:

   libtool version update
   
2004-06-06 18:03  hardaker

   * man/: netsnmp_Container_iterator.3, netsnmp_agent.3
, netsnmp_agent_registry.3,
   netsnmp_agent_trap.3, netsnmp_baby_steps.3,
   netsnmp_bulk_to_next.3, netsnmp_cache_handler.3
, netsnmp_callback.3, netsnmp_container.3
, netsnmp_data_list.3, netsnmp_debug.3
, netsnmp_default_store.3, netsnmp_deprecated.3
, netsnmp_handler.3, netsnmp_instance.3
, netsnmp_iterator_info_s.3, netsnmp_leaf.3
, netsnmp_library.3, netsnmp_mib_utilities.3
, netsnmp_mode_end_call.3, netsnmp_multiplexer.3
, netsnmp_netsnmp_agent_request_info_s.3,
   netsnmp_netsnmp_column_info_t.3,
   netsnmp_netsnmp_data_list_s.3,
   netsnmp_netsnmp_handler_registration_s.3,
   netsnmp_netsnmp_iterator_info_s.3,
   netsnmp_netsnmp_mib_handler_methods.3,
   netsnmp_netsnmp_mib_handler_s.3,
   netsnmp_netsnmp_request_info_s.3,
   netsnmp_netsnmp_table_registration_info_s.3,
   netsnmp_netsnmp_table_request_info_s.3,
   netsnmp_oid_stash.3, netsnmp_old_api.3,
   netsnmp_read_config.3, netsnmp_read_only.3,
   netsnmp_row_merge.3, netsnmp_scalar.3,
   netsnmp_scalar_group_group.3, netsnmp_serialize.3
, netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3
, netsnmp_snmp_client.3, netsnmp_snmp_logging.3
, netsnmp_snmp_pdu.3, netsnmp_snmp_session.3
, netsnmp_stash_cache.3, netsnmp_table.3
, netsnmp_table_array.3, netsnmp_table_data.3
, netsnmp_table_dataset.3,
   netsnmp_table_iterator.3, netsnmp_todo.3,
   netsnmp_util.3, netsnmp_utilities.3,
   netsnmp_variable_list.3, netsnmp_watcher.3:

   doxygen update
   
2004-06-06 17:45  hardaker

   * configure, configure.in,
   include/net-snmp/net-snmp-config.h.in:

   updated version number
   
2004-06-06 17:43  hardaker

   * acconfig.h:

   added HAVE_SSIZE_T
   
2004-06-06 17:36  hardaker

   * FAQ:

   removed very old reference to the ucd-snmp server
   
2004-06-04 08:51  nba

   * apps/snmptrapd_handlers.c:

   A little error-checking when forwarding, and change fprintf to snmp_log
   
2004-06-04 06:17  nba

   * apps/snmptrapd_handlers.c:

   Properly free printbuffer
   
2004-06-04 06:09  nba

   * agent/mibgroup/ucd-snmp/extensible.c:

   Make sure all registration are removed for exec's
   
2004-06-04 05:45  nba

   * snmplib/snmp_api.c:

   Protect against garbled packets with bad packet types
   
2004-06-04 04:57  nba

   * man/snmp_api.3.def:

   Simple spelling fix
   
2004-06-04 04:22  nba

   * agent/snmp_agent.c:

   Include mib_modules.h to avoid warning about should_init
   
2004-06-04 04:15  nba

   * Makefile.in:

   Remove dup installation of scripts after addition of --disable-scripts
   
2004-06-04 03:20  slif

   * agent/mibgroup/mibII/tcp.c:

   undo previous change, since introduction of freebsd5.h header defines freebsd4.
   
2004-06-03 15:59  slif

   * agent/mibgroup/mibII/tcp.c:

   fix bug #943351 by considering freebsd5 when declaring "hz".
   
2004-06-02 08:37  slif

   * README.win32, perl/SNMP/README,
   win32/dist/README.build.win32.txt, win32/dist/README.txt
:

   for win32 doc and scripts, match the base directory used as current default.
   
2004-05-27 23:06  slif

   * README.win32:

   update status to reflect snmptrapd can be run as a Windows service.
   
2004-05-27 09:31  dts12

   * COPYING:

   Correct the number of copyright notices
   listed, and the text of the Sparta one.
   
2004-05-23 13:41  slif

   * win32/dist/installer/net-snmp.nsi:

   per Andy Smith: apply patch [957942] Win32 service install pause
   
2004-05-21 13:10  rstory

   * agent/snmp_agent.c:

   check for/process delegated requests in agent_check_and_process
   
2004-05-19 21:02  slif

   * snmplib/system.c:

   Permit Cygwin build to take advantage of backslash pruning and single letter volume specifier.
   
2004-05-19 20:57  slif

   * man/: netsnmp_Library.3, netsnmp_library.3:

   Copy Library.3 to library.3 before removing Library.3
   
2004-05-19 20:54  slif

   * README.win32, win32/dist/README.txt,
   win32/dist/htmlhelp/Configuration_Overview.html:

   per Alex Burger:  snmpconf dash little-eye
   
2004-05-19 19:49  rstory

   * snmplib/read_config.c:

   fix parsing of explicit handler types
   
2004-05-17 23:06  slif

   * win32/dist/installer/net-snmp.nsi:

   per Andy Smith, apply patch # 955579 to complete minor changes to install tabs.
   
2004-05-17 22:58  slif

   * win32/dist/: README.build.win32.txt,
   htmlhelp/Introduction.html, htmlhelp/Net-SNMP.hhc
, htmlhelp/Net-SNMP.hhp:

   Adjust usage to account for removed space from pathnames of HTML help files.
   
2004-05-17 22:52  slif

   * win32/dist/htmlhelp/: Configuration_Overview.html,
   Developer_FAQ.html, Help_Caveats.html, Configuration
   Overview.html, Configuration_Overview.html,
   Developer FAQ.html, Developer_FAQ.html, Help
   Caveats.html, Help_Caveats.html:

   remove space from pathnames of HTML help files.
   
2004-05-17 18:45  slif

   * win32/dist/README.txt:

   per Alex Burger, one-line change (line 159, change period to colon).
   
2004-05-17 10:13  slif

   * win32/local/mib2c.bat, win32/local/snmpconf.bat,
   win32/local/traptoemail.bat, README.win32,
   win32/Makefile.in, win32/install-net-snmp.bat,
   win32/dist/README.build.win32.txt, win32/dist/README.txt
, win32/dist/htmlhelp/Configuration Overview.html
, win32/local/Makefile.in, win32/local/mib2c.bat
, win32/local/snmpconf.bat,
   win32/local/traptoemail.bat:

   per Alex Burger: test existence of perl; provide access to more Perl programs.
   
2004-05-17 09:44  slif

   * win32/dist/installer/net-snmp.nsi:

   per Andy Smith: apply patch #955255 to enhance the NSIS installer.
   
2004-05-14 00:23  slif

   * win32/dist/README.build.win32.txt:

   per AlexB: describe further details of building (creating empty files, etc).
   
2004-05-14 00:13  slif

   * win32/dist/README.txt:

   per AlexB: added section "co-existing with m$ services"
   
2004-05-13 23:40  slif

   * testing/: RUNTESTS, TESTCONF.sh:

   patch [917646] test using installed MIBs first
   this will provide a way to not set MIBDIRS prior to running the tests.
   
2004-05-13 23:29  slif

   * win32/dist/installer/: net-snmp-header1.bmp, Add2Path.nsi
, SetEnVar.nsi, net-snmp-header1.bmp,
   net-snmp.nsi:

   Per Andy Smith: patch [952509] to fix link names for the service registration batch files.
   
2004-05-13 23:12  slif

   * win32/dist/README.build.win32.txt:

   Per Alex Burger and Andy Smith: updated instructions for creating a win32 installable package.
   
2004-05-11 17:27  nba

   * agent/agent_trap.c:

   Use a proper data type to allow range check
   
2004-05-11 06:59  slif

   * snmplib/winservice.c:

   cleanup error messages. clarify SCM interactions with worker thread in comments.
   
2004-05-11 05:33  slif

   * apps/snmptrapd.c, win32/snmptrapd/Makefile.in
, win32/snmptrapd/snmptrapd.dsp:

   patch from Andy Smith: [931673] Run snmptrapd as a Windows service;
   slif did the makefile/project file touches.
   
2004-05-10 20:50  slif

   * win32/dist/scripts/: net-snmp-perl-test.pl,
   net-snmp-perl-test.pl:

   per Alex Burger - add missing test script.
   
2004-05-10 16:53  hardaker

   * win32/dist/README.build.win32.txt:

   Another doc update from Alex
   
2004-05-07 18:41  nba

   * mibs/rfclist:

   Remove duplicate entry for FRNETSERV-MIB
   
2004-05-07 18:19  nba

   * mibs/: EtherLike-MIB.txt, IANAifType-MIB.txt,
   rfcmibs.diff:

   Update to current MIB versions
   
2004-05-07 18:04  nba

   * man/snmpcmd.1.def:

   The word PREFIX is not endangered for substitution, so make it look normal
   
2004-05-07 17:34  nba

   * snmplib/mib.c:

   Fix for truncated oid when using OBJECT IDENTIFIER as index
   
2004-05-07 17:15  nba

   * apps/snmptable.c:

   Fix to allow specifying numeric oid for table
   
2004-05-06 23:15  slif

   * perl/SNMP/: README, SNMP.pm:

   Per Alex Burger, add names to acknowledge the individual contributors.
   
2004-05-06 22:41  slif

   * win32/dist/: README.build.win32.txt,
   installer/net-snmp.nsi:

   reflect that README-FIRST.txt and Installation.html have been merged into README.txt
   
2004-05-06 22:02  slif

   * win32/dist/installer/net-snmp.nsi:

   Per Andy Smith, patch #942766 creates SNMPCONFPATH and SNMPSHAREPATH as system env vars.
   
2004-05-06 21:54  slif

   * snmplib/winservice.c:

   Per Andy Smith, don't show message dialogs when reg/unreg OK (patch 948926 fixes bug 948146).
   
2004-05-06 21:01  slif

   * win32/dist/: README-FIRST.txt, README.build.win32.txt
, README.txt, htmlhelp/Configuration
   Overview.html, htmlhelp/Help Caveats.html,
   htmlhelp/Installation.html, htmlhelp/Net-SNMP.hhc
, htmlhelp/Net-SNMP.hhp,
   htmlhelp/snmp.conf.win32.html:

   patch windows build packaging per Alex Burger's patch-win32-5.1.2-cleanup.diff
   
2004-05-05 19:08  nba

   * mibs/rfclist:

   Add RFC 3747 (DIFFSERV-CONFIG-MIB)
   
2004-05-05 17:41  nba

   * mibs/ianalist:

   Add IANA-MALLOC-MIB
   
2004-05-05 16:49  nba

   * apps/snmpdelta.c:

   Protect oid table against overflow
   
2004-05-05 10:33  rstory

   * agent/snmp_agent.c:

   check should_init before initializaing smux
   
2004-05-04 19:35  hardaker

   * local/mib2c.check_values_local.conf:

   Fix a header prototype declaration
   
2004-05-03 17:19  nba

   * agent/mibgroup/ucd-snmp/vmstat_solaris2.c:

   Solaris CPU_WAIT looks strange on some servers. Update to same algorith top uses
   
2004-04-27 14:47  hardaker

   * configure, configure.in:

   fix auto-enabling of --with-perl-modules when --enable-embedded-perl is selected
   
2004-04-26 06:25  dts12

   * apps/snmpusm.c, man/snmpusm.1.def:

   Restore the distinction between 'cloneFrom' and 'create'(+clone)
   subcommands.  Fix handling of bare 'create' subcommand (since an uncloned user can't be marked as ACTIVE with the Net-SNMP agent)
   Document the behaviour more clearly.
   
2004-04-23 07:20  slif

   * win32/dist/: tosock1.sh, tosock1.sh:

   script that converts back to winsock 1 library.  no undo is explained.
   
2004-04-22 10:11  slif

   * agent/snmpd.c:

   match application name with display name to improve event log legibility.
   
2004-04-22 10:08  slif

   * win32/: snmpd/Makefile.in, snmpdsdk/Makefile.in
:

   Change include search path for snmplib to "..\.." [was pointing elsewhere].
   
2004-04-22 07:59  rstory

   * README.osX:

   update with notes on Apple/gcc problem
   
2004-04-21 08:53  slif

   * win32/dist/installer/: Add2Path.nsi, SetEnVar.nsi,
   net-snmp.nsi, Add2Path.nsi, SetEnVar.nsi,
   net-snmp.nsi:

   from Andy Smith: installer components
   
2004-04-20 23:48  slif

   * include/ucd-snmp/version.h:

   fix [807349] ucd-snmp/version.h tries to use a mutable variable [#define]
   
2004-04-20 23:23  slif

   * README.win32:

   update status, change build menu, and manual build ipv6 instructions.
   
2004-04-20 21:57  slif

   * snmplib/system.c:

   patch-bug-919465-4 applied to fix [919465] bug in system.c
   
2004-04-20 21:35  slif

   * configure.in, configure:

   add inet_ntop,inet_pton to snmplib objects for win32 builds.
   
2004-04-20 18:15  rstory

   * local/mib2c.conf:

   fix unbalanced if/endif noted on coders by Oleg Ivanov
   
2004-04-20 15:10  slif

   * apps/snmpnetstat/inet.c, apps/snmpnetstat/inet6.c
, include/net-snmp/system/cygwin.h,
   include/net-snmp/system/mingw32.h, snmplib/inet_ntop.c
, snmplib/inet_pton.c, snmplib/snmpTCPDomain.c
, snmplib/snmpTCPIPv6Domain.c,
   snmplib/snmpUDPDomain.c, snmplib/snmpUDPIPv6Domain.c
, win32/net-snmp/net-snmp-config.h,
   win32/net-snmp/net-snmp-config.h.in:

   fix errors building IPv6 support for MSVC++, MinGW, and Cygwin.
   
2004-04-20 14:55  slif

   * win32/: Configure, build.pl,
   mib_module_inits.h, libsnmp/Makefile.in,
   libsnmp/libsnmp.dsp, libsnmp_dll/Makefile.in,
   libsnmp_dll/libsnmp.def, libsnmp_dll/libsnmp_dll.dsp
, snmpnetstat/Makefile.in,
   snmpnetstat/snmpnetstat.dsp:

   selective build of IPv6 transport for MSVC++ build
   
2004-04-20 14:49  slif

   * win32/: Makefile.in, libsdll.dsw, win32.dsw
, win32sdk.dsw, libnetsnmptrapd/.cvsignore
, libnetsnmptrapd/Makefile.in,
   libnetsnmptrapd/libnetsnmptrapd.dsp,
   snmptrapd/Makefile.in, snmptrapd/snmptrapd.dsp:

   patch [915615] Perl TrapReceiver does not compile on Win32 MSVC
   also fixes bug [896012] win32 Perl build dies at TrapReceiver
   
2004-04-20 13:33  slif

   * snmplib/inet_pton.c:

   fix a sign compare warning.
   
2004-04-20 13:32  slif

   * apps/snmpnetstat/: netstat.h, inet6.c:

   reduce warnings for undecl'd struct; declare inet6print only where it is needed.
   
2004-04-20 11:44  slif

   * snmplib/snmpTCPIPv6Domain.c:

   conditionally compile for platforms with static object lists [no configure].
   
2004-04-20 11:38  slif

   * snmplib/snmpUDPIPv6Domain.c:

   conditionally compile for platforms with static object lists [no configure].
   
2004-04-20 11:37  slif

   * snmplib/snmpUDPIPv6Domain.c:

   don't expose getaddrinfo if not supported by the platform.
   
2004-04-20 11:36  slif

   * snmplib/snmpUDPIPv6Domain.c:

   fix unsigned int compare
   
2004-04-20 11:35  slif

   * snmplib/snmpUDPIPv6Domain.c:

   trade in a single typedef uint8_t for the widely used u_char.
   
2004-04-20 11:33  slif

   * snmplib/snmpUDPIPv6Domain.c:

   cleanup when finished with addrinfo structure.
   
2004-04-20 10:20  hardaker

   * local/snmpconf:

   fix broken usage of qw()
   
2004-04-20 09:20  slif

   * win32/: EXAMPLE.conf.win32, EXAMPLE.conf.win32:

   add sample config file
   
2004-04-20 07:39  nba

   * agent/mibgroup/agent/: nsCache.c, nsDebug.c,
   nsLogging.c:

   Fix int/long mixup for 64-bit Solaris
   
2004-04-20 07:33  nba

   * agent/snmp_agent.c, snmplib/snmp.c:

   Ensure diagnostics with ASN.1 encoding errors
   
2004-04-20 07:01  slif

   * snmplib/snmp_transport.c:

   fix two SNMP_FREE candidates in tdomain_unregister, clear_tdomain_list.
   
2004-04-20 06:51  slif

   * perl/SNMP/SNMP.xs:

   cleanup "reading MIB file" verbose message (compiled MIBDIRS/MIBS not useful/discernable).
   
2004-04-20 02:40  slif

   * win32/: Configure, Makefile.in,
   local/Makefile.in, local/Makefile.in:

   patch from Alex Burger: [928872] Win32 build.bat snmpconf,mib2c,traptoemail
   
2004-04-20 02:33  slif

   * win32/Configure:

   more robust change for NETSNMP_USE_DLL.
   
2004-04-20 02:20  slif

   * win32/dist/: README-FIRST.txt, README.build.win32.txt
, README.txt, htmlhelp/Configuration Overview.html
, htmlhelp/Developer FAQ.html, htmlhelp/FAQ.html,
   htmlhelp/Help Caveats.html, htmlhelp/Installation.html,
   htmlhelp/Introduction.html, htmlhelp/Net-SNMP.hhc,
   htmlhelp/Net-SNMP.hhp, htmlhelp/net-snmp-4.2-800.jpg,
   htmlhelp/snmp.conf.win32.html, htmlhelp/snmpd.conf.win32.html
, htmlhelp/snmptrapd.conf.win32.html, scripts/create-toc
, scripts/mandir2html, scripts/poddir2html,
   scripts/readme2html, scripts/txt2html, README-FIRST.txt
, README.build.win32.txt, README.txt,
   htmlhelp/Configuration Overview.html, htmlhelp/Developer
   FAQ.html, htmlhelp/FAQ.html, htmlhelp/Help
   Caveats.html, htmlhelp/Installation.html,
   htmlhelp/Introduction.html, htmlhelp/Net-SNMP.hhc
, htmlhelp/Net-SNMP.hhp,
   htmlhelp/net-snmp-4.2-800.jpg,
   htmlhelp/snmp.conf.win32.html,
   htmlhelp/snmpd.conf.win32.html,
   htmlhelp/snmptrapd.conf.win32.html, scripts/create-toc
, scripts/mandir2html, scripts/poddir2html
, scripts/readme2html, scripts/txt2html
:

   patch from Alex Burger: [938214] Win32 dist folder - building a binary release
   
2004-04-20 02:05  slif

   * local/snmpconf:

   patch from Alex Burger: [918410] SNMPCONF dynamic paths
   
2004-04-19 19:48  slif

   * snmplib/parse.c:

   add comment from Niels B. reason for win32 ifdefs in add_mibdir.
   
2004-04-19 15:36  slif

   * win32/Configure:

   use a more robust search for undef USE_OPENSSL.
   
2004-04-19 10:59  slif

   * apps/snmpnetstat/winstub.c:

   comment out variables which are not used.
   
2004-04-15 08:29  dts12

   * local/mib2c.notify.conf:

   Remove extraneous ';' in notification generation routine (Bug #895800)
   
2004-04-15 08:14  dts12

   * agent/snmp_agent.c:

   Remove duplicate code (Bug #934411)
   
2004-04-14 18:41  slif

   * man/mib_api.3.def:

   Specify correct default value for MIBDIRS.
   
2004-04-14 18:32  nba

   * mibs/UCD-SNMP-MIB.txt, agent/mibgroup/ucd-snmp/vmstat.c
, agent/mibgroup/ucd-snmp/vmstat.h:

   Support for Linux 2.6 incl SoftIRQ CPU state
   
2004-04-14 18:29  nba

   * agent/mibgroup/ucd-snmp/diskio.c:

   Overhaul to remove fixed table size and support Linux 2.6 kernel
   
2004-04-14 18:21  nba

   * agent/mibgroup/ucd-snmp/: vmstat_hpux.c,
   vmstat_solaris2.c:

   Clean up comments mishandled ny indent
   
2004-04-14 06:41  dts12

   * apps/snmptrapd_handlers.c:

   Fix include path for 'utilities/execute.h'
   (Though this should really be handled as a "standard" include)
   
2004-04-14 06:25  dts12

   * perl/SNMP/t/bulkwalk.t:

   A non-zero repeat count with no non-repeating varbinds confuses the
   perl 'bulkwalk' routine.   This should really be fixed properly,
   but this at least allows the rest of the tests to run successfully.
   
2004-04-14 05:43  dts12

   * apps/snmpdelta.c:

   Catch SNMPv2 exception values.
   
2004-04-14 05:38  dts12

   * agent/mibgroup/mibII/route_write.c:

   Avoid crashing the agent when backing out of an invalid SET request.
   
2004-04-14 05:27  dts12

   * FAQ:

   Update list of supported MIBs, advice on running as non-root
   and other minor tweaks.
   
2004-04-10 08:59  dts12

   * apps/snmpusm.c:

   Cloning a user requires using the usmUserStatus column object.
   
2004-04-10 08:58  dts12

   * configure.in, configure:

   Remove duplicate entry from list of default MIB modules.
   
2004-04-09 21:24  slif

   * win32/libnetsnmptrapd/Makefile.in:

   undo last change to restore proper construction of Perl modules.
   
2004-04-09 00:11  slif

   * testing/tests/T122proxysetfail:

   match snmpset output to fix bug [919267] testnum 34 T122proxysetfail failing
   
2004-04-08 23:19  slif

   * win32/libnetsnmptrapd/Makefile.in:

   do not build snmptrapd.obj as part of netsnmptrapd library (MSVC++ build).
   
2004-04-08 16:01  hardaker

   * snmplib/snmp_api.c:

   Fix enum lists for unsigned and bit strings to remove duplicate types
   
2004-04-07 10:57  dts12

   * agent/helpers/table_data.c,
   include/net-snmp/agent/table_data.h,
   include/net-snmp/agent/table_dataset.h,
   agent/helpers/table_dataset.c:

   Routines to indicate the number of rows in a data-helper-based table
   
2004-04-07 10:46  dts12

   * agent/agent_handler.c,
   include/net-snmp/agent/agent_handler.h:

   Register new API modules using the default priority (127)
   and provide an API for unregistering them again.
   
2004-04-07 09:39  dts12

   * snmplib/mib.c:

   Remove a superfluous trailing comma (bug #930708)
   
2004-04-07 05:13  slif

   * testing/eval_tools.sh:

   CAPTURE returns exit code from command that was run.
   
2004-04-07 02:19  slif

   * win32/libnetsnmptrapd/: .cvsignore, Makefile.in,
   libnetsnmptrapd.dsp:

   patch [915615] Perl TrapReceiver does not compile on Win32 MSVC
   also fixes bug [896012] win32 Perl build dies at TrapReceiver
   
2004-04-07 00:59  slif

   * agent/mibgroup/mibII/: tcpTable.c, udpTable.c
:

   fix [907716] win32 agent shows tcp,udp connect OIDs in host byte order
   
2004-04-06 20:35  slif

   * testing/eval_tools.sh:

   patch [919122] test should allow time for programs to settle
   
2004-04-06 20:34  slif

   * testing/eval_tools.sh:

   patch [919114] preserve test result when stopping
   
2004-04-06 20:32  slif

   * testing/eval_tools.sh:

   patch [919105] better pid check
   
2004-04-06 13:43  rstory

   * include/net-snmp/net-snmp-includes.h:

   include stdint, if available
   
2004-04-05 19:04  slif

   * testing/eval_tools.sh:

   reverse patch-test-deprecated-options to permit testing versions before 5.1.
   
2004-04-03 08:15  rstory

   * agent/mibgroup/mibII/vacm_vars.c:

   fix bug 928481 - consistency in vacm_vars.c
   
2004-04-01 19:58  hardaker

   * agent/helpers/table_iterator.c:

   Remove duplicate coloid setting (was done above as well)
   
2004-04-01 19:54  hardaker

   * agent/helpers/table_iterator.c:

   Another iterator fix: initialize a variable properly for every request
   
2004-04-01 18:52  hardaker

   * agent/helpers/table_iterator.c:

   Another iterator problem with getbulk's: make it not set RETRY if its going to be out of scope next time around still (> maxcol)
   
2004-04-01 12:19  hardaker

   * agent/helpers/table_iterator.c:

   - Various patches to fix iterator problems with multiple varbinds.
   
2004-03-30 20:06  slif

   * snmplib/snmp_logging.c:

   remove commented and unused variables. flag static variable as problem for threads.
   
2004-03-30 19:56  slif

   * win32/install-net-snmp.bat:

   mildly enforce running from base source directory.
   
2004-03-30 19:53  slif

   * win32/mib_module_includes.h:

   init examples modules
   
2004-03-30 13:41  hardaker

   * perl/SNMP/SNMP.xs:

   Fix a really old and annoying bug: use set_boolean instead of toggle_boolean for telling the library when to replace old MIBs while parsing.  Affected a bunch of stuff in odd ways.
   
2004-03-29 19:29  slif

   * perl/SNMP/SNMP.pm:

   fix spell Acknowledgements, add blank before =cut so that it will be parsed correctly.
   
2004-03-29 17:26  hardaker

   * snmplib/mib.c:

   make parse_one_oid_index properly decode IP addresses in the right byte order.
   
2004-03-29 15:58  slif

   * win32/mib_module_inits.h:

   init examples modules
   
2004-03-29 12:19  slif

   * testing/tests/: T110agentxget, T111agentxset,
   T112agentxsetfail, T113agentxtrap:

   patch [918838] test agentx using TCP sockets - iff transport not "unix"
   
2004-03-26 11:41  slif

   * testing/eval_tools.sh:

   apply patch #920234 to start programs in minimized window (mingw only).
   
2004-03-26 11:03  slif

   * win32/build.pl:

   patch to fix [921423] install test sequence not right for perl build
   
2004-03-26 10:46  slif

   * configure.in, snmplib/system.c,
   win32/Makefile-apps.in,
   win32/encode_keychange/encode_keychange.dsp,
   win32/libsnmp_dll/Makefile.in,
   win32/libsnmp_dll/libsnmp_dll.dsp,
   win32/snmpbulkget/snmpbulkget.dsp,
   win32/snmpbulkwalk/snmpbulkwalk.dsp,
   win32/snmpd/Makefile.in, win32/snmpd/snmpd.dsp,
   win32/snmpdelta/snmpdelta.dsp, win32/snmpdf/snmpdf.dsp
, win32/snmpdsdk/Makefile.in,
   win32/snmpdsdk/snmpd.dsp, win32/snmpget/snmpget.dsp
, win32/snmpgetnext/snmpgetnext.dsp,
   win32/snmpnetstat/Makefile.in,
   win32/snmpnetstat/snmpnetstat.dsp,
   win32/snmpset/snmpset.dsp,
   win32/snmpstatus/snmpstatus.dsp,
   win32/snmptable/snmptable.dsp,
   win32/snmptest/snmptest.dsp,
   win32/snmptranslate/snmptranslate.dsp,
   win32/snmptrap/snmptrap.dsp, win32/snmptrapd/Makefile.in
, win32/snmptrapd/snmptrapd.dsp,
   win32/snmpusm/snmpusm.dsp, win32/snmpvacm/snmpvacm.dsp
, win32/snmpwalk/snmpwalk.dsp, configure
:

   patch #901434 tosock2.sh -- use Winsock 2.x for Windows socket library
   
2004-03-22 16:43  hardaker

   * man/make_index.pl:

   file make_index.pl was initially added on branch V5-1-patches.
   
2004-03-22 16:43  hardaker

   * man/man_sections.txt:

   file man_sections.txt was initially added on branch V5-1-patches.
   
2004-03-22 16:43  hardaker

   * man/: Makefile.in, make_index.pl,
   man_sections.txt:

   Top level man/index.html generation script and Makefile entry.
   
2004-03-22 12:01  hardaker

   * NEWS:

   A few more comments about Windows stuff
   
2004-03-21 00:43  hardaker

   * man/Makefile.in:

   newer man2html usage
   
2004-03-20 13:03  slif

   * testing/eval_onescript.sh:

   patch [919132] test stop before finish is superfluous
   
2004-03-20 02:02  hardaker

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.1.1 )
   
2004-03-20 02:02  hardaker

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.1.1 )
   
2004-03-20 02:02  hardaker

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.1.1 )
   
2004-03-20 02:01  hardaker

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.1.1 )
   
2004-03-20 02:01  hardaker

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.1.1 )
   
2004-03-20 02:01  hardaker

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.1.1 )
   
2004-03-20 02:01  hardaker

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.1.1 )
   
2004-03-20 02:00  hardaker

   * dist/Makefile:

   - (dist/Makefile): version tag ( 5.1.1 )
   
2004-03-20 02:00  hardaker

   * sedscript.in:

   - (sedscript.in): version tag ( 5.1.1 )
   
2004-03-20 02:00  hardaker

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.1.1 )
   
2004-03-20 02:00  hardaker

   * FAQ:

   - (FAQ): version tag ( 5.1.1 )
   
2004-03-20 02:00  hardaker

   * README:

   - (README): version tag ( 5.1.1 )
   
2004-03-20 01:59  hardaker

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.1.1 )
   
2004-03-20 01:58  hardaker

   * NEWS, ChangeLog:

   update for 5.1.1
   
2004-03-19 22:41  hardaker

   * README.solaris:

   Updated README.solaris from Bruce Shaw
   

Changes: V5.1 -> V5.1.1	
-------------------------------------------------------------------------------

2004-03-19 16:51  hardaker

   * agent/mibgroup/Makefile.depend:

   make depend

2004-03-19 16:50  hardaker

   * man/: netsnmp_Container_iterator.3, netsnmp_Library.3
, netsnmp_agent.3, netsnmp_agent_registry.3
, netsnmp_agent_trap.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3,
     netsnmp_cache_handler.3, netsnmp_callback.3,
     netsnmp_container.3, netsnmp_data_list.3,
     netsnmp_debug.3, netsnmp_default_store.3,
     netsnmp_deprecated.3, netsnmp_handler.3,
     netsnmp_instance.3, netsnmp_iterator_info_s.3
, netsnmp_leaf.3, netsnmp_mib_utilities.3
, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3
, netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3
, netsnmp_snmp_client.3,
     netsnmp_snmp_logging.3, netsnmp_snmp_pdu.3,
     netsnmp_snmp_session.3, netsnmp_stash_cache.3
, netsnmp_table.3, netsnmp_table_array.3
, netsnmp_table_data.3,
     netsnmp_table_dataset.3, netsnmp_table_iterator.3
, netsnmp_todo.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3,
     netsnmp_watcher.3:

   man page updates

2004-03-19 16:19  hardaker

   * configure:

   configure to match configure.in

2004-03-19 16:18  hardaker

   * configure.in:

   Part of patch 917726 to fix a few windows config problems.

2004-03-19 16:07  hardaker

   * configure:

   configure to match configure.in

2004-03-19 16:01  hardaker

   * testing/tests/T100agenthup:

   Patch from Michael Slifcak: [ 918828 ] conditional skip HUP test

2004-03-19 15:58  hardaker

   * configure.in, include/net-snmp/net-snmp-config.h.in
:

   Patch from Michael Slifcak: [ 918948 ] fix cygwin config problem

2004-03-19 07:06  dts12

   * FAQ:

   A few more minor tweaks

2004-03-19 06:32  dts12

   * FAQ:

   New entry for non-default contexts

2004-03-19 04:11  dts12

   * FAQ:

   Add a new "Rmon" entry.

2004-03-19 03:41  dts12

   * FAQ:

   Update the comparison of SNMP versions.

2004-03-19 03:00  dts12

   * README.win32:

   Brief description of adding Win32 IPv6 transport support.

2004-03-18 18:32  slif

   * testing/eval_tools.sh:

   patch [919116] minor diff in invoked log

2004-03-18 15:44  slif

   * testing/eval_tools.sh:

   apply patch_915178.redux to finish the second part of that patch.

2004-03-18 08:52  slif

   * testing/tests/: T120proxyget, T121proxyset,
     T122proxysetfail:

   apply patch [918824] fix proxy tests

2004-03-18 07:06  slif

   * include/net-snmp/system/: cygwin.h, mingw32.h
:

   patch [917649] find uint32_t in win32-gcc build environments

2004-03-16 07:50  slif

   * win32/build.pl:

   synch with working version per AlexB.

2004-03-16 06:53  slif

   * win32/net-snmp/net-snmp-config.h.in:

   add typedef for uint32_t -- absent from MSVS

2004-03-16 05:15  slif

   * win32/: Makefile.in, install-net-snmp.bat:

   partial fix for bug 915178: adjust to accommodate 'make test' verification.

2004-03-16 01:49  dts12

   * win32/net-snmp/net-snmp-config.h:

   Provide a definition for uint32_t under Windows  (as suggested by Bernhard Penz)

2004-03-16 01:06  nba

   * apps/snmptrapd.c:

   gcc 2.95 does not like variables declared between statements

2004-03-15 17:28  hardaker

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.1.1.rc1 )

2004-03-15 17:28  hardaker

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.1.1.rc1 )

2004-03-15 17:28  hardaker

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.1.1.rc1 )

2004-03-15 17:28  hardaker

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.1.1.rc1 )

2004-03-15 17:28  hardaker

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.1.1.rc1 )

2004-03-15 17:27  hardaker

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.1.1.rc1 )

2004-03-15 17:27  hardaker

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.1.1.rc1 )

2004-03-15 17:27  hardaker

   * sedscript.in:

   - (sedscript.in): version tag ( 5.1.1.rc1 )

2004-03-15 17:27  hardaker

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.1.1.rc1 )

2004-03-15 17:27  hardaker

   * FAQ:

   - (FAQ): version tag ( 5.1.1.rc1 )

2004-03-15 17:26  hardaker

   * README:

   - (README): version tag ( 5.1.1.rc1 )

2004-03-15 17:26  hardaker

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.1.1.rc1 )

2004-03-15 17:25  hardaker

   * agent/Makefile.depend, agent/helpers/Makefile.depend
, agent/mibgroup/Makefile.depend,
     apps/Makefile.depend:

   make depend

2004-03-15 17:23  hardaker

   * man/: netsnmp_Container_iterator.3, netsnmp_Library.3
, netsnmp_agent.3, netsnmp_agent_registry.3
, netsnmp_agent_trap.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3,
     netsnmp_cache_handler.3, netsnmp_callback.3,
     netsnmp_container.3, netsnmp_data_list.3,
     netsnmp_debug.3, netsnmp_default_store.3,
     netsnmp_deprecated.3, netsnmp_handler.3,
     netsnmp_instance.3, netsnmp_iterator_info_s.3
, netsnmp_leaf.3, netsnmp_mib_utilities.3
, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3
, netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3
, netsnmp_snmp_client.3,
     netsnmp_snmp_logging.3, netsnmp_snmp_pdu.3,
     netsnmp_snmp_session.3, netsnmp_stash_cache.3
, netsnmp_table.3, netsnmp_table_array.3
, netsnmp_table_data.3,
     netsnmp_table_dataset.3, netsnmp_table_iterator.3
, netsnmp_todo.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3,
     netsnmp_watcher.3:

   doxygen update for 5.1.1

2004-03-15 16:42  hardaker

   * testing/tests/T151solarishostdisk:

   Patch from Bruce Shaw: [ 894711 ] Solaris disk test fails on some OS's [second fix to his previous patch for even better support]

2004-03-15 15:56  hardaker

   * agent/mibgroup/mibII/system_mib.c:

   Bug/patch from Bob Rowlands: [ 815361 ] override token in snmpd.conf does not allow snmpset on OID [really, this just returns proper error codes from system_mib variables]

2004-03-15 15:52  hardaker

   * agent/snmp_agent.c:

   Bug/patch from Bob Rowlands: [ 815333 ] snmpvacm app not working with SNMP v1 [ really just fixing mib error codes remembered in snmp_agent.c]

2004-03-15 15:43  hardaker

   * agent/helpers/mode_end_call.c:

   Bug/Patch from Bob Rowlands: [ 809282 ] netsnmp_mode_end_call_add_mode_callback called repeatedly

2004-03-15 15:36  hardaker

   * snmplib/snmpusm.c:

   Patch from Bob Rowlands: [ 808881 ] Log a authentication failure message when authentication fails.

2004-03-15 15:27  hardaker

   * agent/snmp_vars.c, agent/mibgroup/mibII/at.c
, agent/mibgroup/mibII/tcpTable.c,
     agent/mibgroup/mibII/udpTable.c,
     agent/mibgroup/mibII/var_route.c,
     include/net-snmp/agent/snmp_vars.h:

   Patch from Bob Rowlands: [ 807333 ] 64 bit agent returns incorrect values for IpAddress

2004-03-15 12:40  nba

   * mibs/rfclist:

   Add POWER-ETHERNET-MIB HC-PerfHist-TC-MIB VDSL-LINE-MIB APM-MIB

2004-03-15 12:33  nba

   * apps/snmptranslate.c:

   Ensure some logging is enabled

2004-03-15 08:33  dts12

   * win32/: Makefile.in, build.bat, build.pl
:

   Alex's latest build tweaks.

2004-03-15 06:50  dts12

   * win32/Configure:

   Use the existing default install location for the 5.1.x line

2004-03-15 06:26  dts12

   * win32/build.pl:

   Use the existing default install location for the 5.1.x line
   Tweak the option prompt slightly.
   (Dave's being picky again!)

2004-03-15 06:15  dts12

   * apps/snmptrapd.c:

   Listen on port 162 (rather than 161) if a (bare) interface
   address is specified.

2004-03-13 22:05  rstory

   * agent/helpers/table_array.c:

   null free'd pointer (better safe than sorry)

2004-03-13 22:00  rstory

   * agent/helpers/table_array.c:

   plug memory leak

2004-03-13 06:41  slif

   * win32/build.bat:

   set temp var empty to remove from env

2004-03-12 13:07  slif

   * README.win32, win32/build.bat:

   doc change for patch 912447

2004-03-12 12:14  slif

   * testing/: RUNTESTS, eval_tools.sh:

   apply patch[915178] to fix MinGW (MSYS) make test freezes

2004-03-12 11:20  slif

   * win32/: Configure, Makefile-apps.in,
     Makefile.in, build.bat, build.pl,
     libagent/Makefile.in, libhelpers/Makefile.in,
     libsnmp/Makefile.in, libsnmp_dll/Makefile.in,
     net-snmp/net-snmp-config.h.in, netsnmpmibs/Makefile.in
, netsnmpmibssdk/Makefile.in,
     snmpd/Makefile.in, snmpdsdk/Makefile.in,
     snmpnetstat/Makefile.in, snmptrapd/Makefile.in
:

   apply patch [912447] Win32 MSVC Makefile system

2004-03-10 19:25  slif

   * testing/RUNTESTS:

   aggressive search for executables below the base directory.

2004-03-10 19:17  slif

   * README.win32, win32/net-snmp/net-snmp-config.h
:

   don't set global snmp_errno; do provide undef USE_OPENSSL;
    replace NETSNMP_NO_DLL with NETSNMP_USE_DLL;
    document the change.

2004-03-10 19:10  slif

   * testing/eval_tools.sh:

   invoke snmpd, snmptrapd with non-deprecated parameters for PID and logfile.

2004-03-10 15:09  slif

   * snmplib/scapi.c:

   fix signed mismatch when testing proper length of keyed hash.

2004-03-10 15:04  slif

   * README.win32, win32/net-snmp/net-snmp-config.h
:

   mods for building win32 with OpenSSL support.

2004-03-10 08:23  slif

   * README.win32:

   per AlexB - change instructions to use MinGW developer's recommended OpenSSL.

2004-03-10 07:21  dts12

   * perl/SNMP/t/startagent.pl:

   Use the same testing ports as the main agent test suite
   (somewhat less likely to clash with other services)

2004-03-10 07:08  dts12

   * man/snmpd.8.def:

   Document support for multiple "optional" config files via -c

2004-03-10 04:41  dts12

   * agent/helpers/table_data.c:

   Check for problems with all of the requested varbinds
   (not just the first one), and handle 'noSuchObject' exceptions.

2004-03-09 11:35  rstory

   * agent/mibgroup/agentx/protocol.c:

   debugging isn't platform specific

2004-03-09 07:52  rstory

   * configure:

   update for new configure.in

2004-03-09 07:51  rstory

   * configure.in, apps/Makefile.in:

   separate traplibs from agent libs for dependencies

2004-03-09 07:19  slif

   * snmplib/: snmp_api.c, snmp_client.c:

   add comment MTCRITICAL_RESOURCE to use of snmp_errno in three places.

2004-03-09 07:13  slif

   * win32/install-net-snmp.bat:

   make SNMPCONFPATH consistent with other platforms ("$prefix/etc/snmp")

2004-03-09 04:24  slif

   * win32/net-snmp/net-snmp-config.h:

   make SNMPCONFPATH consistent with other platforms ("$prefix/etc/snmp")

2004-03-08 18:29  slif

   * win32/libsnmp_dll/libsnmp.def:

   remove symbol usmAESPrivProtocol (jumped the gun. Sorry!)

2004-03-08 17:53  slif

   * README.win32, perl/SNMP/README:

   patch [911439] Updates to the README.win32 and SNMP README for Win32

2004-03-08 11:43  slif

   * README.win32:

   patch [910903] Updates to the README.win32 for GCC

2004-03-08 08:51  hardaker

   * perl/SNMP/: SNMP.pm, SNMP.xs:

   use default library values instead of hard-coded defaults for auth/priv protocols

2004-03-05 21:48  hardaker

   * agent/helpers/table_dataset.c:

   Fixed the add_row token by sorting incoming columns from the parser

2004-03-05 14:58  hardaker

   * agent/: agent_registry.c, snmp_agent.c:

   Fix the oid registration cache not being invalidated properly.  Bug #900967

2004-03-05 11:30  slif

   * apps/snmptrapd.c:

   fix [706093] by not defining variables a second time.

2004-03-05 10:00  slif

   * win32/libsnmp_dll/libsnmp.def:

   add symbol usmAESPrivProtocol

2004-03-05 08:23  rstory

   * include/net-snmp/library/snmp-tc.h:

   fix macro name, as noted on users

2004-03-05 05:52  slif

   * agent/mibgroup/ucd-snmp/file.c:

   remove unused var 'space'.

2004-03-04 22:28  hardaker

   * agent/helpers/all_helpers.c:

   initialize the table_dataset helper (again...  I *know* it was initialized in the past.  What happened?)

2004-03-04 22:05  rstory

   * agent/snmp_agent.c:

   turn off caching until real fix found for bug 900967: agentx, caching

2004-03-04 20:33  rstory

   * agent/mibgroup/agentx/subagent.c:

   *finally* fix agentx hang when master disappears

2004-03-04 17:11  rstory

   * include/net-snmp/system/freebsd.h:

   fix define for tcpTable rewrite; remove define obsoleted by rewrite

2004-03-04 15:40  rstory

   * agent/mibgroup/ucd-snmp/extensible.c:

   fix execfix for relocatable execs; add fix cmd to relocatable tree; sync
   ignored callback return value w/main

2004-03-04 13:54  hardaker

   * perl/: OID/OID.xs, agent/agent.xs:

   fprintf(stderr -> snmp_log(LOG_ERR

2004-03-04 09:44  hardaker

   * configure, configure.in, apps/Makefile.in
:

   - fix building trapd when the agent isn't being built

2004-03-04 05:41  slif

   * configure.in, snmplib/Makefile.in,
     configure:

   patch [909459] Configure patch to allow for Win32 objects.

2004-03-03 21:22  slif

   * perl/: Makefile.PL, Makefile.subs.pl,
     ASN/Makefile.PL, OID/Makefile.PL,
     SNMP/Makefile.PL, SNMP/README,
     agent/Makefile.PL, agent/default_store/Makefile.PL
, default_store/Makefile.PL:

   patch [906274] Win32 Perl compile with release/debug path changes

2004-03-03 13:05  hardaker

   * agent/mibgroup/ucd-snmp/: file.c, file.h:

   - make the file token accept a default size like the docs say it will.

2004-03-03 12:03  rstory

   * snmplib/snmp_api.c:

   comment out pdu double free check til better (non-leaking) solution found

2004-03-03 09:05  rstory

   * man/: Makefile.in, netsnmp_mfd_pdu_context_s.3
:

   remove man page for removed file

2004-03-03 07:52  slif

   * win32/libhelpers/libhelpers.dsp:

   table_mfd removed -- dont build it.

2004-03-03 07:47  slif

   * win32/: install-net-snmp.bat, nmakeperl.bat:

   per AlexB - add "-help" descriptions. create BASE/temp subdir.

2004-03-02 13:46  slif

   * agent/snmpd.c:

   patch [753894]  catch SIGXFSZ w/o strsignal

2004-03-02 04:18  slif

   * agent/snmpd.c:

   patch [753894]  catch SIGXFSZ, log message and exit, do not coredump

2004-03-02 04:06  slif

   * agent/mibgroup/mibII/sysORTable.c:

   fix [771315] Agent coredumps during shutdown

2004-03-01 20:26  rstory

   * include/net-snmp/agent/cache_handler.h:

   rename overly generic ifdef header protection

2004-03-01 06:06  slif

   * perl/SNMP/t/bulkwalk.t:

   undo patch at r5.3 -- restore (16) in test to get only non-repeaters

2004-02-29 21:37  rstory

   * include/net-snmp/agent/all_helpers.h:

   restore file, minus mfd include

2004-02-29 21:26  rstory

   * agent/helpers/: Makefile.depend, Makefile.in
:

   add back accidentally delted files, minus mfd  dependencies

2004-02-29 21:08  rstory

   * apps/Makefile.depend:

   remove mfd dependencies

2004-02-29 21:03  rstory

   * agent/: Makefile.depend, mibgroup/Makefile.depend
:

   remove mfd dependencies

2004-02-29 19:35  rstory

   * agent/helpers/Makefile.depend,
     agent/helpers/Makefile.in, agent/helpers/table_mfd.c
, include/net-snmp/agent/all_helpers.h,
     include/net-snmp/agent/table_mfd.h:

   remove incomplete helper

2004-02-29 16:33  rstory

   * agent/mibgroup/ucd-snmp/dlmod.c:

   enable dlmod support if HAVE_LIBDL

2004-02-29 16:25  rstory

   * snmplib/snmp_api.c:

   catch bad size for fixed size types

2004-02-27 22:56  hardaker

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.1.1.pre2 )

2004-02-27 22:55  hardaker

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.1.1.pre2 )

2004-02-27 22:55  hardaker

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.1.1.pre2 )

2004-02-27 22:55  hardaker

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.1.1.pre2 )

2004-02-27 22:55  hardaker

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.1.1.pre2 )

2004-02-27 22:55  hardaker

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.1.1.pre2 )

2004-02-27 22:55  hardaker

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.1.1.pre2 )

2004-02-27 22:54  hardaker

   * sedscript.in:

   - (sedscript.in): version tag ( 5.1.1.pre2 )

2004-02-27 22:54  hardaker

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.1.1.pre2 )

2004-02-27 22:54  hardaker

   * FAQ:

   - (FAQ): version tag ( 5.1.1.pre2 )

2004-02-27 22:53  hardaker

   * README:

   - (README): version tag ( 5.1.1.pre2 )

2004-02-27 22:53  hardaker

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.1.1.pre2 )

2004-02-27 22:35  hardaker

   * agent/snmp_agent.c:

   - fix the case where incoming getbulks with no repeating varbinds is received.

2004-02-27 15:04  slif

   * include/net-snmp/system/mingw32.h, perl/Makefile.PL
, perl/ASN/Makefile.PL, perl/OID/Makefile.PL
, perl/SNMP/Makefile.PL,
     perl/agent/Makefile.PL,
     perl/agent/default_store/Makefile.PL,
     perl/default_store/Makefile.PL:

   patch [ 905465 ] MinGW Perl module compiling with ActiveState Perl

2004-02-27 07:19  slif

   * perl/SNMP/Makefile.PL:

   construct install tree similar to install tree that gcc builds use.

2004-02-27 06:05  slif

   * win32/install-net-snmp.bat:

   build MSVS release and debug versions having the same name.

2004-02-27 05:43  slif

   * win32/: encode_keychange/encode_keychange.dsp,
     libagent/libagent.dsp, libhelpers/libhelpers.dsp
, libsnmp/libsnmp.dsp,
     libsnmp_dll/libsnmp_dll.dsp,
     netsnmpmibs/netsnmpmibs.dsp,
     netsnmpmibssdk/netsnmpmibssdk.dsp,
     snmpbulkget/snmpbulkget.dsp,
     snmpbulkwalk/snmpbulkwalk.dsp, snmpd/snmpd.dsp
, snmpdelta/snmpdelta.dsp, snmpdf/snmpdf.dsp
, snmpdsdk/snmpd.dsp, snmpget/snmpget.dsp
, snmpgetnext/snmpgetnext.dsp,
     snmpnetstat/snmpnetstat.dsp, snmpset/snmpset.dsp
, snmpstatus/snmpstatus.dsp,
     snmptable/snmptable.dsp, snmptest/snmptest.dsp
, snmptranslate/snmptranslate.dsp,
     snmptrap/snmptrap.dsp, snmptrapd/snmptrapd.dsp
, snmpusm/snmpusm.dsp, snmpvacm/snmpvacm.dsp
, snmpwalk/snmpwalk.dsp:

   build MSVS release and debug versions having the same name.

2004-02-27 05:12  slif

   * win32/: install-net-snmp.bat,
     net-snmp/net-snmp-config.h:

   construct install tree similar to install tree that gcc builds use.

2004-02-27 04:50  slif

   * agent/snmpd.c, snmplib/Makefile.in,
     snmplib/winservice.c:

   enable gcc builds of Windows service code for the agent.

2004-02-26 17:21  slif

   * agent/mibgroup/tunnel/tunnel.c:

   remove unnecessary setting of NETSNMP_DS_LIB_APPTYPE.

2004-02-26 16:26  dts12

   * snmplib/read_config.c:

   Handle multiple "optional config" files.

2004-02-26 06:50  dts12

   * agent/mibgroup/mibII/tcp.c:

   Don't call 'TCP_Count_Connections' if the tcpTable module isn't included.

2004-02-26 06:30  dts12

   * FAQ:

   Patch #901460 from Bruce Shaw: updating misc FAQ information

2004-02-25 23:47  slif

   * agent/mibgroup/agent/nsLogging.c:

   remove CR accidentally inserted previously.

2004-02-25 21:43  slif

   * snmplib/system.c:

   use RFC 3330 permitted address for this host when looking in get_myaddr

2004-02-25 14:46  slif

   * perl/SNMP/SNMP.xs:

   remove unneeded workaround patch [ 840830 ] SNMP.xs Free to wrong pool crash on Windows

2004-02-25 13:06  slif

   * README.win32, perl/SNMP/README:

   patch [901944] win32 doc updates from Alex Burger

2004-02-24 10:39  slif

   * include/net-snmp/system/mingw32.h:

   use winsock gethostbyname, getservbyname on mingw32.

2004-02-24 09:58  slif

   * win32/install-net-snmp.bat:

   per Bernhard Penz: deep copy of include tree

2004-02-24 06:26  hardaker

   * agent/mibgroup/mibII/vacm_vars.c:

   Patch from Bob Rowlands: [ bug 902722 ] Able to delete view even when storage type = permanent

2004-02-24 05:43  slif

   * agent/mibgroup/mibII/tcpTable.c:

   patch [903424] per Andy Smith: ifdef win32 fix for tcpTable.c (cygwin)

2004-02-23 16:21  hardaker

   * INSTALL:

   updated perl build info

2004-02-23 16:15  hardaker

   * INSTALL:

   patch #901375 from Bruce Shaw: some information on INSTALL is stale

2004-02-23 13:33  slif

   * configure.in, configure:

   undo previous patch -- no semi-colons in DEFAULT_MIB{FILES,DIRS}

2004-02-23 11:13  slif

   * configure.in, configure:

   convert other list-oriented settings to consider semi-colon delimiter for mingw32

2004-02-22 22:04  rstory

   * include/net-snmp/library/container.h:

   tweak insert/remove/free to deal will all containers in list correctly

2004-02-22 22:00  rstory

   * snmplib/container.c:

   set prev ptr when adding additional index; tweak insert/remove/free to deal
   will all containers in list correctly

2004-02-22 09:49  slif

   * win32/install-net-snmp.bat:

   per AlexB: also install snmpconf files

2004-02-22 09:29  nba

   * agent/mibgroup/host/hr_system.c:

   Properly redefine pututline

2004-02-21 13:58  slif

   * README.win32, acconfig.h,
     include/net-snmp/net-snmp-config.h.in,
     include/net-snmp/library/getopt.h, snmplib/tools.c
, win32/libsdll.dsw,
     win32/libsnmp_dll/libsnmp.def,
     win32/net-snmp/net-snmp-config.h:

   Apply patch #898464 to fix bugs #896030 and #773412

2004-02-20 10:11  nba

   * agent/mibgroup/host/hr_system.c:

   Handle pututent just like the other *utent routines

2004-02-20 07:20  slif

   * configure.in, include/net-snmp/net-snmp-config.h.in
, configure:

   per AlexB: fix DEFAULT_MIBS to use ';' separator on Win32.

2004-02-19 20:46  hardaker

   * agent/mibgroup/host/hr_proc.c:

   Whoops.  That would not have worked.  Silly me.

2004-02-19 20:42  hardaker

   * agent/mibgroup/host/hr_proc.c:

   check number of support processors properly

2004-02-19 20:37  hardaker

   * agent/mibgroup/host/hr_proc.c:

   [ 900244 ] support up to 32 CPUs on linux from Michal Luczak

2004-02-19 19:41  slif

   * agent/mibgroup/notification/: snmpNotifyFilterTable.h,
     snmpNotifyTable.h:

   fix bug 898509 function pointer prototypes defined twice

2004-02-19 18:52  slif

   * configure.in, configure:

   allow DOS volume name [A-Z]: to begin the path spec for prefixes

2004-02-19 09:42  slif

   * net-snmp-config.in:

   fix spell NSC_EXEC_PREFIX

2004-02-19 04:40  nba

   * agent/mibgroup/host/hr_system.c:

   Clean up some warnings

2004-02-19 04:39  nba

   * agent/mibgroup/mibII/ipAddr.c:

   Tsk, tsk Wes! You should know better than returning a pointer to an automatic

2004-02-18 23:36  slif

   * perl/SNMP/t/mibload.t:

   per AlexB: -win32 support

2004-02-18 23:35  slif

   * perl/SNMP/t/startagent.pl:

   per AlexB:
   -add Win32 support for starting / stopping snmpd and snmptrapd
   -allow spaces in snmptest.cmd file

2004-02-18 23:34  slif

   * perl/SNMP/Makefile.PL:

   per AlexB:
   -make $my opts global so it's visible to GetTestInfo()
   -re-write win32 code create snmptest.cmd file

2004-02-18 23:28  slif

   * perl/SNMP/t/: bulkwalk.t, notify.t:

   per AlexB: test that variables are defined before using them.

2004-02-18 23:17  slif

   * perl/SNMP/t/: async.t, bulkwalk.t:

   per AlexB: disable asynch tests when run on win32 platform.

2004-02-18 23:00  slif

   * perl/SNMP/t/: bulkwalk.t, mibload.t:

   per AlexB: add missing snmptest_cleanup call

2004-02-18 22:45  slif

   * perl/SNMP/t/conf.t:

   per AlexB: typo fix "compiled the"

2004-02-18 22:41  slif

   * perl/: Makefile.PL, Makefile.subs.pl,
     ASN/Makefile.PL, OID/Makefile.PL,
     SNMP/Makefile.PL, agent/Makefile.PL,
     default_store/Makefile.PL:

   from Alex Burger: case insensitive check for -NET-SNMP-IN-SOURCE command param.

2004-02-18 12:35  hardaker

   * Makefile.in:

   Remove a v3-security auto-built header during distclean

2004-02-18 12:00  rstory

   * dist/: nsb-functions, nsb-nightly,
     nsb-package:

   sync w/main

2004-02-18 11:41  slif

   * win32/net-snmp/net-snmp-config.h:

   use INSTALL_BASE -relative mktemp file pattern.

2004-02-18 06:14  dts12

   * snmplib/snmpUDPIPv6Domain.c:

   Provide a definition for 'in6addr_any' under Windows
   (Although there's an external declaration mentioned in
    <ws2tcpip.h>, there no actual variable in the library)

2004-02-17 10:45  hardaker

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.1.1.pre1 )

2004-02-17 10:45  hardaker

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.1.1.pre1 )

2004-02-17 10:45  hardaker

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.1.1.pre1 )

2004-02-17 10:45  hardaker

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.1.1.pre1 )

2004-02-17 10:45  hardaker

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.1.1.pre1 )

2004-02-17 10:44  hardaker

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.1.1.pre1 )

2004-02-17 10:44  hardaker

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.1.1.pre1 )

2004-02-17 10:44  hardaker

   * dist/Makefile:

   - (dist/Makefile): version tag ( 5.1.1.pre1 )

2004-02-17 10:44  hardaker

   * sedscript.in:

   - (sedscript.in): version tag ( 5.1.1.pre1 )

2004-02-17 10:44  hardaker

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.1.1.pre1 )

2004-02-17 10:43  hardaker

   * FAQ:

   - (FAQ): version tag ( 5.1.1.pre1 )

2004-02-17 10:43  hardaker

   * README:

   - (README): version tag ( 5.1.1.pre1 )

2004-02-17 10:43  hardaker

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.1.1.pre1 )

2004-02-17 10:34  hardaker

   * agent/Makefile.depend, agent/helpers/Makefile.depend
, agent/mibgroup/Makefile.depend,
     apps/Makefile.depend, apps/snmpnetstat/Makefile.depend
, snmplib/Makefile.depend:

   make depend

2004-02-17 10:33  hardaker

   * makenosysdepend.pl:

   regexp touchups

2004-02-17 10:11  hardaker

   * man/: netsnmp_Container_iterator.3, netsnmp_Library.3
, netsnmp_agent.3, netsnmp_agent_registry.3
, netsnmp_agent_trap.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3,
     netsnmp_cache_handler.3, netsnmp_callback.3,
     netsnmp_container.3, netsnmp_data_list.3,
     netsnmp_debug.3, netsnmp_default_store.3,
     netsnmp_deprecated.3, netsnmp_handler.3,
     netsnmp_instance.3, netsnmp_iterator_info_s.3
, netsnmp_leaf.3, netsnmp_mfd_pdu_context_s.3
, netsnmp_mib_utilities.3,
     netsnmp_mode_end_call.3, netsnmp_multiplexer.3
, netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3
, netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3
, netsnmp_snmp_client.3,
     netsnmp_snmp_logging.3, netsnmp_snmp_pdu.3,
     netsnmp_snmp_session.3, netsnmp_stash_cache.3
, netsnmp_table.3, netsnmp_table_array.3
, netsnmp_table_data.3,
     netsnmp_table_dataset.3, netsnmp_table_iterator.3
, netsnmp_todo.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3,
     netsnmp_watcher.3:

   doxygen update

2004-02-17 09:50  hardaker

   * Makefile.top:

   version change

2004-02-17 08:58  rstory

   * include/net-snmp/library/container.h:

   more detail to nots on how to free subset rtn value

2004-02-17 07:58  rstory

   * include/net-snmp/library/container.h:

   comment chg only - get_subset returns allocated memory

2004-02-17 07:28  rstory

   * snmplib/parse.c:

   bump MAXTC up to 4096

2004-02-17 05:54  slif

   * snmplib/mib.c:

   fix error after change for Fix [801928]

2004-02-17 04:40  slif

   * snmplib/mib.c:

   Fix [801928] wrong call of strlcpy in uptime_string

2004-02-17 03:23  dts12

   * snmplib/: snmpTCPIPv6Domain.c, snmpUDPIPv6Domain.c
:

   Tweak IPv6 transports so that they compile under Windows.

2004-02-17 02:42  dts12

   * snmplib/: inet_ntop.c, inet_pton.c:

   Provide implementations of 'inet_ntop' and 'inet_pton' for
   systems that don't support them natively.

2004-02-17 02:30  slif

   * agent/mibgroup/ucd-snmp/loadave.c:

   Fix [896793] loadave.c includes sys/stat.h twice

2004-02-17 00:45  slif

   * agent/mibgroup/notification/snmpNotifyFilterProfileTable.h
:

   fix bug 898509 function pointer prototypes defined twice

2004-02-16 21:40  hardaker

   * agent/mibgroup/ucd-snmp/proc.c:

   removed unused function from last patch

2004-02-16 21:35  hardaker

   * agent/mibgroup/: host/hr_swrun.c, host/hr_system.c
, ucd-snmp/proc.c:

   patch [ 836393 ] More proc improvements for Linux from Howard Wilkinson

2004-02-16 18:28  slif

   * win32/nmakeperl.bat:

   note sub-directory where "nmake" output files are written.

2004-02-16 15:03  hardaker

   * testing/: README, RUNTESTS, TESTCONF.sh
, eval_tools.sh, tests/Svacmconfig,
     tests/Svanyconfig, tests/T001snmpv1get,
     tests/T014snmpv2cget, tests/T015snmpv2cgetnext
, tests/T0160snmpv2cbulkget,
     tests/T016snmpv2cgetfail, tests/T017snmpv2ctov1getfail
, tests/T018snmpv1tov2cgetfail,
     tests/T019snmpv2cnosuch, tests/T020snmpv3get,
     tests/T021snmpv3getnext, tests/T0220snmpv3bulkget
, tests/T022snmpv3getMD5,
     tests/T023snmpv3getMD5DES, tests/T024snmpv3getSHA1
, tests/T025snmpv3getSHADES,
     tests/T028snmpv3getfail, tests/T030snmpv3usercreation
, tests/T049snmpv3inform, tests/T050snmpv3trap
, tests/T051snmpv2ctrap,
     tests/T052snmpv2cinform, tests/T053agentv1trap
, tests/T054agentv2ctrap,
     tests/T055agentv1mintrap, tests/T056agentv2cmintrap
, tests/T058agentauthtrap, tests/T100agenthup
, tests/T110agentxget, tests/T111agentxset
, tests/T112agentxsetfail,
     tests/T113agentxtrap, tests/T120proxyget,
     tests/T121proxyset, tests/T122proxysetfail,
     tests/T130snmpv1vacmget, tests/T131snmpv2cvacmget
, tests/T132snmpv3vacmget,
     tests/T140snmpv1vacmgetfail,
     tests/T141snmpv2cvacmgetfail,
     tests/T142snmpv3vacmgetfail:

   Patch #702835 (plus tweaks): patch to enable test cases run on different transport domain from Xiaofeng Ling

2004-02-16 14:39  hardaker

   * agent/mibgroup/ucd-snmp/errormib.c:

   Fix bug [ 896777 ] errormib.c includes sys/stat/h twice

2004-02-16 14:20  hardaker

   * perl/SNMP/SNMP.pm:

   [no log message]

2004-02-16 14:09  hardaker

   * perl/SNMP/SNMP.pm:

   Bug [ 897550 ] Perl SNMP.pm missing documentation and attached patch from Alex Burger

2004-02-16 13:54  hardaker

   * include/net-snmp/library/data_list.h,
     snmplib/snmp_api.c:

   fix broken comment.

2004-02-16 13:45  hardaker

   * local/Version-Munge.pl:

   doxygen file update

2004-02-16 12:46  hardaker

   * doxygen.conf, agent/agent_handler.c,
     agent/agent_registry.c, agent/agent_trap.c,
     agent/snmp_agent.c, agent/snmp_vars.c,
     agent/helpers/instance.c, agent/helpers/scalar.c
, agent/helpers/table.c,
     agent/helpers/table_iterator.c,
     include/net-snmp/agent/agent_handler.h,
     include/net-snmp/agent/snmp_agent.h,
     include/net-snmp/agent/table.h,
     include/net-snmp/agent/table_iterator.h,
     include/net-snmp/library/data_list.h,
     include/net-snmp/library/default_store.h,
     include/net-snmp/library/snmp_api.h, snmplib/callback.c
, snmplib/default_store.c,
     snmplib/read_config.c, snmplib/snmp_alarm.c,
     snmplib/snmp_api.c, snmplib/snmp_client.c,
     snmplib/snmp_logging.c:

   Patch: [ 819241 ] Add to the API documentation from Bob Rowlands

2004-02-16 11:42  hardaker

   * apps/snmptable.c:

   Patch [ 898160 ] Snmptable loops if table is at the end of the mib from Crispin Flowerday

2004-02-16 10:30  slif

   * README.win32:

   make menu path to register PSDK more complete.

2004-02-16 10:02  slif

   * win32/: libsnmp/libsnmp.dsp,
     libsnmp_dll/libsnmp_dll.dsp:

   remove platform SDK header Snmp.h from SOURCES list.

2004-02-16 06:40  hardaker

   * agent/mibgroup/mibII/ipAddr.c:

   Fix a missing variable from the previous patch.

2004-02-15 18:20  slif

   * win32/install-net-snmp.bat:

   copy dll to system32 cache

2004-02-15 15:47  slif

   * win32/: win32.dsw, win32sdk.dsw:

   the project dependencies are not reliable.  remove them.

2004-02-15 12:00  slif

   * perl/SNMP/SNMP.xs:

   remove XYX comments; note that snmp_init_mib_internals does nothing.

2004-02-14 09:42  slif

   * win32/: win32.dsw, win32sdk.dsw:

   remove dependencies for libsnmp project

2004-02-14 06:20  slif

   * README:

   Add Noah Friedman, fixing bug 887291

2004-02-14 02:51  slif

   * win32/win32sdk.dsw:

   Remove global dependency for libsnmp project (not necessary).

2004-02-13 16:02  slif

   * win32/nmakeperl.bat:

   better explanatory messages, and improved test results collected.

2004-02-13 14:42  rstory

   * Makefile.rules:

   install all libs before bins, so relinking works

2004-02-13 13:33  hardaker

   * agent/mibgroup/mibII/ipAddr.c,
     include/net-snmp/library/cmu_compat.h:

   Patch [ 812034 ] ipAdEntReasmMaxSize does not return data on snmpget from Bob Rowlands

2004-02-13 12:31  hardaker

   * configure.in, configure:

   fix AES note output broken by last patch

2004-02-13 12:19  hardaker

   * acconfig.h, configure, configure.in
, include/net-snmp/net-snmp-config.h.in,
     snmplib/Makefile.in, snmplib/keytools.c,
     snmplib/pkcs.c, snmplib/scapi.c:

   Patch [ 807375 ] add standard PKCS#11 interface support for usm: alternative security library (openssl no longer needed on future solaris) from Bob Rowlands

2004-02-13 12:08  rstory

   * include/net-snmp/system/solaris.h:

   turn of inline support on solaris if ndef __GNUC__

2004-02-13 12:05  rstory

   * README.solaris:

   more updates from Bruce

2004-02-13 11:59  hardaker

   * perl/SNMP/: SNMP.pm, SNMP.xs:

   Part of patch (some had been done) for [ 767316 ] fix handling of augmented tables in perl module from Randy Couey

2004-02-13 11:19  hardaker

   * agent/mibgroup/ucd-snmp/diskio.c:

   patch [ 799050 ] AIX patches - ucd-snmp/diskio from Michael Kukat

2004-02-13 11:14  hardaker

   * snmplib/snmp_api.c:

   Missed a portion of patch #815439 fixing auth failure traps.  patch got confused by previously existing code before.

2004-02-13 10:49  slif

   * perl/SNMP/SNMP.xs:

   one line change to properly terminate a comment injected by the previous patch.

2004-02-13 10:41  slif

   * perl/SNMP/SNMP.xs:

   Don't operate on a null pointer for indexes that don't exist.
   Replace get_tree_head() for references to variables Mib and tree_head.
   Remove DLL_IMPORT lines, and BOOT section, as they are not needed.
   Mark questionable commented code with XYX for possible removal.

2004-02-13 10:40  hardaker

   * README:

   Added Nick Barkas to the README

2004-02-13 10:36  hardaker

   * agent/mibgroup/ucd-snmp/memory.c:

   Patch [ 895509 ] memory info from ucd-snmp mib on linux 2.6 from Nick Barkas

2004-02-13 10:20  hardaker

   * testing/tests/T151solarishostdisk:

   Patch [ 894711 ] Solaris disk test fails on some OS's from Bruce Shaw

2004-02-13 10:15  rstory

   * dist/: nsb-functions, nsb-nightly,
     nsb-package:

   sync w/MAIN

2004-02-13 07:14  rstory

   * README.osX:

   hits for building on osX

2004-02-12 17:14  hardaker

   * agent/snmp_agent.c:

   Patch [ 815439 ] snmagent does not send auth failure traps for v3 from Bob Rowlands

2004-02-12 17:06  hardaker

   * apps/snmptable.c:

   remove copyright comment accidentically placed

2004-02-12 17:03  hardaker

   * apps/snmptable.c:

   [ 812005 ] segmentation fault in snmptable

2004-02-12 16:53  hardaker

   * acconfig.h, configure, configure.in
, agent/mibgroup/agentx/master.c:

   patch [ 811278 ] make agentx udp/tcp transports configurable from Bob Rowlands

2004-02-12 16:37  hardaker

   * NEWS, agent/mibgroup/host/hr_system.c:

   Patch [ 809438 ] Fix several problems with host resources MIB from Bob Rowlands (fixes multiple bugs)

2004-02-12 14:41  slif

   * README.win32:

   Add a section "Building with MinGW"

2004-02-12 11:35  slif

   * README.win32, win32/nmakeperl.bat:

   Add how to (with script) for building Perl SNMP modules using MSVC.

2004-02-12 08:31  slif

   * win32/: libagent/libagent.dsp,
     libhelpers/libhelpers.dsp, libsnmp/libsnmp.dsp
, netsnmpmibs/netsnmpmibs.dsp,
     netsnmpmibssdk/netsnmpmibssdk.dsp, snmpd/snmpd.dsp
, snmpdsdk/snmpd.dsp, snmptrapd/snmptrapd.dsp
:

   remove unused compile constant that Slif created during his DLL experiments.

2004-02-12 08:29  slif

   * win32/win32sdk.dsw:

   restore use of snmptrapd project to build snmptrapd

2004-02-12 05:32  slif

   * perl/OID/OID.xs, perl/SNMP/SNMP.xs,
     perl/agent/agent.xs, win32/net-snmp/net-snmp-config.h
:

   cleanup Perl SNMP module build through type casting and
   removing unused variables.
   The win32 config.h no longer tries to define bcopy,bzero,bcmp,strcasecmp.

2004-02-12 01:23  slif

   * perl/SNMP/t/bulkwalk.t:

   use a reasonable value (1) for non-repeater in first bulkwalk.

2004-02-12 01:19  slif

   * win32/install-net-snmp.bat:

   Preserve directory layout known and loved last at 5.1.

2004-02-12 00:26  slif

   * perl/SNMP/SNMP.xs:

   include net-snmp-config.h before using HAVE_REGEX_H.
   replace compute_match with the non-regex savvy version from snmplib/parse.c.
   Finally, disable Win32 DLL decoration, as DLL build is not supported.

2004-02-11 22:29  slif

   * win32/net-snmp/net-snmp-config.h:

   Preserve directory layout known and loved last at 5.1.

2004-02-11 18:26  slif

   * perl/: Makefile.subs.pl, ASN/Makefile.PL,
     OID/Makefile.PL, SNMP/Makefile.PL,
     agent/Makefile.PL, agent/default_store/Makefile.PL
, default_store/Makefile.PL:

   fix bug [ 895367 ] Win32 Perl build -NET-SNMP-PATH and paths with spaces

2004-02-11 17:43  slif

   * win32/netsnmpmibssdk/netsnmpmibssdk.dsp,
     win32/snmpdsdk/snmpd.dsp, perl/agent/Makefile.PL
:

   netsnmpmibssdk.lib renamed to netsnmpmibs.lib

2004-02-11 17:17  hardaker

   * perl/SNMP/SNMP.pm:

   Do not have gettable return hex encoded strings if not printable.  No
   other function does this, so why would gettable be any different.

2004-02-11 17:11  slif

   * README.win32:

   MSVC build requires using but one workspace.

2004-02-10 17:07  rstory

   * agent/mibgroup/disman/mteTriggerTable.c:

   fix always false test (limited range of data type)

2004-02-10 17:06  rstory

   * include/net-snmp/agent/table.h:

   increase size range for valid column lists

2004-02-10 15:52  rstory

   * README.solaris:

   more updates from Bruce

2004-02-10 13:23  slif

   * README.win32:

   touch up instructions for MSVC builds that use OpenSSL

2004-02-10 10:26  rstory

   * agent/helpers/table.c:

   complete re-work of closest_column list logic

2004-02-10 09:29  rstory

   * agent/helpers/table.c:

   apply tweaked version of patch 878303 - Fix for netsnmp_closest_column()

2004-02-10 09:01  rstory

   * README.solaris:

   update from bruce:
   Additional material added and did some shuffling for better
   readability.  In particular:

   -running net-snmp as a sub-agent
   -determining what daemon is running

2004-02-10 08:33  slif

   * local/snmpconf:

   apply snmpconf3 of patch 837967; add close to read_config

2004-02-10 03:50  slif

   * perl/agent/Makefile.PL:

   fix bug 892616

2004-02-09 15:03  nba

   * apps/snmpnetstat/main.c, snmplib/snmp_parse_args.c
:

   Enable stderrlog if no other logging is enabled - to avoid warning

2004-02-09 10:21  rstory

   * local/mib2c.array-user.conf:

   update tutorial and irc urls

2004-02-09 04:06  slif

   * agent/snmpd.c:

   build agent on mingw, without win32 SCM glue.

2004-02-09 03:27  slif

   * win32/: win32.dsw, win32sdk.dsw:

   add dependency for libsnmp to build snmpd.

2004-02-08 19:50  slif

   * snmplib/winservice.c:

   cleaned up, ready for mainstream.  However, not gcc-friendly, just yet.

2004-02-08 19:27  slif

   * configure:

   fix weird-ness on autoconf -- local machine flakey ?

2004-02-08 19:10  slif

   * configure:

   regen

2004-02-08 19:09  slif

   * configure.in:

   straighten out confusion surrounding patch 843679 -- my bad!

2004-02-08 18:22  rstory

   * agent/mibgroup/host/hr_system.c:

   use new define UTMP_HAS_NO_PID; simplify loop logic

2004-02-08 18:21  rstory

   * include/net-snmp/system/bsd.h:

   new define UTMP_HAS_NO_PID

2004-02-08 17:44  rstory

   * agent/mibgroup/host/hr_system.c:

   don't put open brace in ifdef if close brace has no ifdef

2004-02-08 16:14  slif

   * include/net-snmp/library/winservice.h,
     include/net-snmp/system/mingw32.h, snmplib/Makefile.in
, snmplib/winpipe.c:

   fix various problems with mingw builds.

2004-02-08 15:51  slif

   * README.win32:

   Include sample display from running install-net-snmp.bat

2004-02-08 15:43  slif

   * README.win32, win32/install-net-snmp.bat,
     win32/net-snmp/net-snmp-config.h:

   Create a batch file for installing after MSVC build.
   Documentation describes use of batch file.
   Batch file matches header definitions for xxPATH.

2004-02-08 10:09  slif

   * README.win32:

   MSVC build instructions are simpler, thanks to Alex Burger's project/workspace changes.

2004-02-08 09:35  slif

   * win32/: win32.dsw, win32sdk.dsw:

   Apply changes offered by Alex Burger to clean up projects and workspaces
   and to build snmptrapd using the Platform-SDK workspace (win32sdk).

2004-02-07 11:10  slif

   * agent/mibgroup/util_funcs.c,
     include/net-snmp/library/default_store.h,
     include/net-snmp/library/read_config.h,
     man/snmp.conf.5.def, snmplib/read_config.c,
     snmplib/snmp_api.c:

   Apply patch843919 to fix bug892077 - new tempFilePattern snmp.conf option

2004-02-06 11:21  hardaker

   * COPYING:

   Year update for Sparta

2004-02-06 10:12  slif

   * agent/mibgroup/utilities/execute.c:

   patch 843924 run_shell_command to quote redirected parameters.

2004-02-06 08:51  dts12

   * agent/mibgroup/mibII/tcp.c:

   Re-instate the 'hz' variable for FreeBSD (but *only* FreeBSD)

2004-02-06 05:58  dts12

   * agent/agent_trap.c:

   Provide missing agent_address/snmpTrapAddress information
   (Bugs #865178 & #877587 and Patch #883028)

2004-02-06 04:52  slif

   * README.win32, win32/win32.dsw,
     win32/win32sdk.dsw:

   get from HEAD

2004-02-05 04:45  dts12

   * agent/mibgroup/examples/netSnmpHostsTable.h:

   Add the NET-SNMP-EXAMPLES-MIB to the load list
   (Patch #890839 from Yixiong Zou)

2004-02-05 04:39  dts12

   * agent/mibgroup/agentx/master.c:

   Correct the use of a wrong debug token (Patch #889777 by Dirk Balcerczak)

2004-02-05 04:38  slif

   * README.win32:

   Apply patch 850785 - instructions to copy header files following build.

2004-02-05 03:41  slif

   * win32/: net-snmp/agent/mib_module_config.h,
     netsnmpmibs/netsnmpmibs.dsp,
     netsnmpmibssdk/netsnmpmibssdk.dsp:

   Don't build the Rmon modules.

2004-02-04 20:11  slif

   * agent/mibgroup/agent/nsLogging.c,
     include/net-snmp/library/snmp_logging.h,
     snmplib/snmp_logging.c, win32/libsnmp_dll/libsnmp.def
:

   expose one less static data variable (logh_head); list two others for DLL.

2004-02-04 20:07  slif

   * win32/: libagent/libagent.dsp,
     libhelpers/libhelpers.dsp, libsnmp/libsnmp.dsp
, netsnmpmibs/netsnmpmibs.dsp,
     netsnmpmibssdk/netsnmpmibssdk.dsp, snmpd/snmpd.dsp
, snmpdsdk/snmpd.dsp, snmptrapd/snmptrapd.dsp
:

   clean up BASE CPP settings.

2004-02-04 13:01  slif

   * snmplib/scapi.c:

   cast to quiet msvc compiler.

2004-02-04 03:43  slif

   * win32/: config.h.borland, mib_module_config.h
, mib_module_includes.h, mib_module_inits.h
, win32.dsw, win32sdk.dsw,
     encode_keychange/encode_keychange.dsp,
     libagent/libagent.dsp, libhelpers/libhelpers.dsp
, libsnmp/libsnmp.dsp, libsnmp_dll/libsnmp.def
, libsnmp_dll/libsnmp_dll.dsp,
     net-snmp/net-snmp-config.h,
     net-snmp/agent/mib_module_config.h,
     netsnmpmibs/netsnmpmibs.dsp,
     netsnmpmibssdk/netsnmpmibssdk.dsp,
     snmpbulkget/snmpbulkget.dsp,
     snmpbulkwalk/snmpbulkwalk.dsp, snmpd/snmpd.dsp
, snmpdelta/snmpdelta.dsp, snmpdf/snmpdf.dsp
, snmpdsdk/snmpd.dsp, snmpget/snmpget.dsp
, snmpgetnext/snmpgetnext.dsp,
     snmpnetstat/snmpnetstat.dsp, snmpset/snmpset.dsp
, snmpstatus/snmpstatus.dsp,
     snmptable/snmptable.dsp, snmptest/snmptest.dsp
, snmptranslate/snmptranslate.dsp,
     snmptrap/snmptrap.dsp, snmptrapd/snmptrapd.dsp
, snmpusm/snmpusm.dsp, snmpvacm/snmpvacm.dsp
, snmpwalk/snmpwalk.dsp:

   Bring the changes made in HEAD branch here.

2004-02-04 03:35  slif

   * include/net-snmp/library/winpipe.h, snmplib/winpipe.c
:

   Add source for B. Penz' pipe simulation for Win32.

2004-02-04 03:30  slif

   * agent/mibgroup/agent/nsLogging.c,
     include/net-snmp/library/snmp_logging.h:

   move declaration of logh_head into the related source header.

2004-02-04 03:25  slif

   * agent/snmpd.c, agent/helpers/table_dataset.c
, agent/helpers/table_iterator.c,
     agent/mibgroup/util_funcs.c,
     agent/mibgroup/Rmon/agutil.c,
     agent/mibgroup/Rmon/alarm.c,
     agent/mibgroup/Rmon/event.c,
     agent/mibgroup/Rmon/history.c,
     agent/mibgroup/Rmon/rows.c,
     agent/mibgroup/Rmon/statistics.c,
     agent/mibgroup/agentx/master.c,
     agent/mibgroup/agentx/protocol.c,
     agent/mibgroup/disman/mteEventTable.c,
     agent/mibgroup/disman/mteTriggerTable.c,
     agent/mibgroup/mibII/ip.c, agent/mibgroup/mibII/tcp.c
, agent/mibgroup/mibII/tcpTable.c,
     agent/mibgroup/mibII/udp.c,
     agent/mibgroup/mibII/udpTable.c,
     agent/mibgroup/smux/smux.c,
     agent/mibgroup/ucd-snmp/pass.c,
     agent/mibgroup/ucd-snmp/pass_persist.c,
     agent/mibgroup/ucd-snmp/versioninfo.c,
     agent/mibgroup/utilities/execute.c,
     agent/mibgroup/utilities/override.c,
     apps/notification_log.c, apps/snmptrapd.c,
     apps/snmpvacm.c, include/net-snmp/version.h,
     snmplib/asn1.c, snmplib/container_binary_array.c
, snmplib/container_list_ssll.c,
     snmplib/data_list.c, snmplib/mib.c,
     snmplib/oid_stash.c, snmplib/snmp-tc.c,
     snmplib/snmpCallbackDomain.c, snmplib/snmpTCPDomain.c
, snmplib/snmpUDPDomain.c, snmplib/snmp_api.c
, snmplib/snmp_enum.c, snmplib/snmp_logging.c
, snmplib/snmp_version.c, snmplib/system.c
, snmplib/tools.c:

   insert type casting to quiet msvc compiler warnings.
   insert header files for Win32 builds for similar reasons.

2004-02-04 03:21  slif

   * include/net-snmp/: types.h, system/mingw32.h:

   process ifndef HAVE_SSIZE_T to benefit compilers that do not define ssize_t.

2004-02-04 03:16  slif

   * acconfig.h, include/net-snmp/net-snmp-config.h.in
, ov/oid_to_sym.in, ov/oid_to_type.in
:

   propagate SNMPv2-TC::win32 definition

2004-02-04 03:14  slif

   * include/net-snmp/library/winservice.h,
     snmplib/winservice.c:

   per author's approval, reformatted for easier reading.

2004-02-04 03:02  slif

   * win32/: .cvsignore, win32.opt:

   remove re-generated visual studio file.

2004-02-04 03:00  slif

   * win32/: libhelpers/.cvsignore, net-snmp/.cvsignore
, net-snmp/agent/.cvsignore,
     net-snmp/library/.cvsignore, netsnmpmibs/.cvsignore
, netsnmpmibssdk/.cvsignore,
     snmpdsdk/.cvsignore:

   add cvs filter where needed.

2004-02-03 17:51  slif

   * win32/: libagent/libagent.def,
     libucdmibs/libucdmibs.def:

   the .def files are not recognized by Visual Studio unless they have CRLF line ends.

2004-02-03 17:50  slif

   * README.Panasonic_AM3X.txt,
     include/net-snmp/library/winservice.h,
     snmplib/winservice.c:

   convert DOS line to UNIX line format.

2004-02-03 17:13  rstory

   * agent/mibgroup/agentx/subagent.c:

   merge patch from 5.0-patches

2004-02-03 16:53  rstory

   * agent/mibgroup/agentx/subagent.c:

   strdup value from netsnmp_ds_get_string, since it is free'd later

2004-02-03 15:16  rstory

   * README:

   add Andy Smith

2004-02-03 15:14  rstory

   * configure:

   configure for new configure.in

2004-02-03 15:10  rstory

   * configure.in:

   remove stray '-'

2004-02-03 03:26  nba

   * apps/snmpnetstat/main.c:

   Remove positional community from usage

2004-02-02 15:33  nba

   * agent/mibgroup/mibII/ipv6.c:

   Fix a file descriptor leak

2004-01-31 06:00  nba

   * snmplib/mib.c:

   Properly reset wildcardmatcher between calls

2004-01-31 05:58  nba

   * snmplib/parse.c:

   Give message when explicitly requested module is not found

2004-01-31 05:58  nba

   * apps/snmpdf.c:

   Protect against buffer overflow for very long disk names

2004-01-30 13:29  rstory

   * agent/mibgroup/agentx/master.c:

   ifdef around variables used only when UNIX transports are supported.

2004-01-30 06:45  dts12

   * snmplib/mib.c:

   Whitespace (C/R & L/F) shouldn't trigger hex string behaviour (Bug #864367)

2004-01-30 06:33  dts12

   * include/net-snmp/library/snmp_logging.h,
     snmplib/snmp_logging.c:

   Define a "dummy" log handler that simply discards all messages.
   Not really a sensible thing to do, but could be used to prevent
   turning on the "last ditch" logging to stderr (see Bug #867574)

2004-01-30 06:19  dts12

   * snmplib/snmp_logging.c:

   Issue a warning when turning on "last ditch" logging (Bug #867574)

2004-01-30 03:22  dts12

   * agent/snmp_agent.c:

   Handle completely empty GetBulk requests properly (Bug #877419)

2004-01-30 01:39  dts12

   * snmplib/tools.c:

   Use 'snprint_hexstring' in the engine testing code, rather
   than the (non-existent) 'sprint_hexstring'  (Bug #886110)

2004-01-30 01:20  nba

   * apps/: snmpget.c, snmpgetnext.c, snmpset.c
:

   Fix cmd-line oid max constant name

2004-01-29 06:38  dts12

   * apps/snmpnetstat/main.c:

   Bring version handling into line with the 'snmp_parse_args' legerdemain

2004-01-29 06:34  rstory

   * README.aix:

   new readme for AIX

2004-01-29 06:26  dts12

   * apps/snmpget.c, apps/snmpgetnext.c,
     apps/snmpset.c, include/net-snmp/library/tools.h
:

   Validate the request against the maximum number of varbinds supported
   (Patch #826714 from Jeremy Puhlman)

2004-01-29 05:53  dts12

   * agent/mibgroup/: host/hr_device.c, host/hr_disk.c
, host/hr_filesys.c, host/hr_network.c
, host/hr_partition.c, host/hr_storage.c
, host/hr_swrun.c, host/hr_system.c,
     ucd-snmp/logmatch.c, ucd-snmp/memory.c,
     ucd-snmp/memory_aix4.c, ucd-snmp/memory_dynix.c
, ucd-snmp/memory_freebsd2.c,
     ucd-snmp/memory_hpux.c, ucd-snmp/memory_netbsd1.c
, ucd-snmp/memory_solaris2.c:

   Increase assorted fixed buffer sizes.  (Patch #836395 from Howard Wilkinson)

2004-01-29 05:36  dts12

   * agent/mibgroup/mibII/vacm_vars.c:

   Reject attempts to delete a 'permanent' row
   (Patch #837427 from Bob Rowlands)

2004-01-29 04:23  dts12

   * perl/SNMP/SNMP.xs:

   Protect against freeing an empty contextEngineID
   (Which shouldn't happen, but seems to occur under Windows)
   (Patch #840830 from Alex Burger)

2004-01-29 03:40  dts12

   * snmplib/: snmp_api.c, snmp_enum.c:

   Properly release various resources when shutting down the library.
   (Patch #849154 from Stephen J. Friedl)

2004-01-29 01:57  dts12

   * win32/libsnmp_dll/libsnmp.def:

   Adding missing definition of 'snprint_value' (and remove duplicates)
   (Patch #849151 from Stephen J. Friedl)

2004-01-29 01:44  dts12

   * include/net-snmp/net-snmp-config.h.in:

   Provide missing config definition template for 'ssize_t' flag
   (Patch #886655 from Andy Smith)

2004-01-28 08:41  dts12

   * testing/RUNTESTS:

   Import SNMP_SLEEP time from environment, if available
   (Patch #850957 from Johannes Schmidt-Fischer,
    merging a change from the 5.0.x branch)

2004-01-28 08:04  dts12

   * agent/mibgroup/util_funcs.c:

   Ensure the size of the exec-cache is handled correctly on 64-bit systems
   (Patch #860575 by Bob Rowlands)

2004-01-28 07:55  dts12

   * perl/: OID/OID.xs, SNMP/SNMP.xs,
     agent/agent.xs:

   Be more cautious about the maximum length of OIDs (Patch 862183 by Austin Schutz)

2004-01-28 07:41  dts12

   * snmplib/mib.c:

   Guard against a missing IP address structure (Patch #861939 by Dan Mongrain)

2004-01-28 06:59  rstory

   * agent/mibgroup/agentx/master.c:

   don't chown/chmod if unix domain support not enabled

2004-01-28 06:54  dts12

   * configure, configure.in:

   Check for perl 5.8 entry point.  (Patch #854395)

2004-01-28 04:22  dts12

   * agent/mibgroup/ucd-snmp/diskio.c:

   Increase the (fixed) number of disks handled (patch #884859)

2004-01-28 04:18  dts12

   * Makefile.in:

   Install the mingw32.h system header file (patch #884100)

2004-01-28 04:14  dts12

   * configure, configure.in,
     include/net-snmp/system/mingw32.h:

   Check for the existence of ssize_t, and don't redefine it when
   using the WinGW compiler.   (Patch #881752)

2004-01-28 03:55  dts12

   * include/net-snmp/agent/table_mfd.h:

   Remove two redundent forward declarations  (patch #873326)

2004-01-27 07:04  dts12

   * apps/snmptrapd_handlers.c:

   Forward traps to port 162 by default.

2004-01-26 15:52  rstory

   * snmplib/container_binary_array.c:

   don't hardcode pointer size; noted on coders by rajesh arumugam

2004-01-26 04:19  dts12

   * apps/snmptrapd_handlers.c:

   Fix the ordering of hostname and IP address as passed to trap handler
   (Bug #882071 and others)

2004-01-26 02:43  dts12

   * agent/mibgroup/host/hr_filesys.c:

   Align hrFSStorageIndex values with hrStorageTable (bug #882987)

2004-01-20 05:48  rstory

   * configure:

   configure for new config.in

2004-01-20 05:46  rstory

   * configure.in, include/net-snmp/system/mingw32.h
:

   merge mingw32 patches from main

2004-01-15 04:58  nba

   * apps/snmptrapd_log.c, man/snmptrapd.8.def:

   Allow %V to take more than one character

2004-01-12 03:29  nba

   * apps/snmptrapd_log.c, man/snmptrapd.8.def:

   Fix backslashed char in %V spec, and add a note about it to the man page

2004-01-12 03:28  nba

   * man/snmpcmd.1.def:

   Fix reference to -Le to -LE

2004-01-11 16:55  rstory

   * local/mib2c.check_values.conf:

   use correct return value

2004-01-11 16:51  rstory

   * local/: mib2c.check_values.conf, mib2c.conf:

   fix mib2c conf file issues noted on coders by Oleg Ivanov

2004-01-08 15:15  nba

   * agent/mibgroup/host/hr_storage.c:

   Properly skip AllocationFailures with NO_DUMMY_VALUES

2004-01-08 15:11  nba

   * apps/snmpnetstat/main.c:

   A bit of cleanup and properly default community from conf file

2004-01-08 15:10  nba

   * agent/mibgroup/ucd-snmp/disk.c:

   Remove an unused declaration

2004-01-08 15:09  nba

   * apps/snmptrapd_handlers.c,
     include/net-snmp/agent/agent_trap.h:

   properly convert v1 pdu to v2 before passing it to trap handler

2004-01-08 11:59  nba

   * apps/snmptrapd_handlers.c:

   Properly default trap forward to port 162

2004-01-08 11:56  nba

   * snmplib/parse.c:

   Proper error message when unable to locate requested MIB

2004-01-08 11:55  nba

   * snmplib/mib.c:

   Fix bug returning only for characters for uptime string

2004-01-08 11:54  nba

   * mibs/rfclist:

   Update for re-issued ATM and EtherLike RFCs

2004-01-08 11:53  nba

   * local/traptoemail:

   Fix stupid bug fetching the trap oid

2004-01-08 11:50  nba

   * agent/agent_trap.c:

   Properly set community oid in v1->v2 converted trap

2004-01-06 14:42  hardaker

   * snmplib/mib.c:

   - translate a MIB type of IPADDR to IPADDRESS instead of OCTET_STRING.\n- small other bug fix

2003-12-23 02:00  dts12

   * README.win32:

   Note that Cygwin no longer needs a separate regex library
   Reported by John McCash (Bug #864563)

2003-12-22 05:22  nba

   * agent/mibgroup/mibII/: at.c, ipAddr.c:

   Fix return of IPv4 address on 64-bit Solaris

2003-12-22 05:21  nba

   * agent/mibgroup/kernel_sunos5.c:

   Add missing error message when access problems

2003-12-19 20:38  hardaker

   * local/: Makefile.in, mib2c.access_functions.conf
, mib2c.array-user.conf,
     mib2c.check_values.conf, mib2c.conf:

   Patch from Brian Buesker to fix misc problems (variable {}ing, ...)

2003-12-18 13:57  nba

   * snmplib/snmp_logging.c:

   Fix a bunch of problems with logging, such as
   [ 860321 ] snmpd fails to log to the given syslog facility
   [ 858495 ] Win32 syslog event logging is broken
   [ 858492 ] When using the -L option, logs are not initialized (v5.1)

2003-12-18 13:05  nba

   * include/net-snmp/library/container.h:

   Fix a misspelled prototype

2003-12-18 12:56  nba

   * agent/mibgroup/utilities/execute.c:

   Apply (modified) patch 860443 which also fixes bug 848284 by properly
   terminating the input buffer.

2003-12-18 12:34  nba

   * agent/mibgroup/ucd-snmp/: disk.h, disk.c:

   Try to untangle an #ifdef mess that hinders compilation on OS/X

2003-12-18 12:30  nba

   * agent/mibgroup/mibII/mta_sendmail.c:

   Remove a bunch of superfluous newlines in messages

2003-12-18 12:29  nba

   * agent/mibgroup/host/hr_storage.c:

   Apply patch 859958 to fix memory statistics for Linux 2.6

2003-12-18 12:25  nba

   * agent/helpers/table_mfd.c, snmplib/container_iterator.c
:

   Fix usage of __FUNCTION__ macro by applying patch 850197

2003-12-18 01:58  dts12

   * man/snmpnetstat.1:

   Fix more markup errors, reported by Eric Raymond.

2003-12-16 02:00  dts12

   * include/net-snmp/agent/table_mfd.h:

   Be consistent in use of forward definitions (explicit vs implicit struct)
   Reported by Magnus Fromreide

2003-12-10 02:41  dts12

   * man/: mib_api.3.def, snmp.conf.5.def,
     snmp_config.5.def:

   Fix assorted markup errors, reported by Eric Raymond.

2003-12-08 14:35  nba

   * include/net-snmp/utilities.h:

   Fix bug 854179 (bad include for getopt.h)

2003-12-08 14:00  nba

   * snmplib/mib.c:

   Applied patch from bug 849153

2003-12-08 13:48  nba

   * snmplib/vacm.c:

   Apply patch 836568 to fix bug 829119

2003-12-08 13:42  nba

   * snmplib/snmp_api.c:

   Apply patch 841705 to fix bug 817386

2003-12-08 13:25  nba

   * snmplib/snmpUDPDomain.c:

   Apply patch 845798 to fix bug 831299

2003-12-08 13:23  nba

   * agent/mibgroup/mibII/: mibII_common.h, tcp.c
:

   Allow compiling with dmalloc

2003-12-08 12:40  nba

   * agent/mibgroup/ucd-snmp/proxy.c:

   Apply patch 850716 to fix bug 850185

2003-12-07 15:46  nba

   * agent/mibgroup/host/hr_storage.c:

   Yet another stab at walking the complete table across missing elements

2003-12-07 13:43  nba

   * snmplib/asn1.c:

   FIx more warnings

2003-12-07 13:36  nba

   * agent/helpers/table_iterator.c,
     agent/mibgroup/kernel_sunos5.c,
     agent/mibgroup/mibII/interfaces.c,
     agent/mibgroup/mibII/system_mib.c,
     agent/mibgroup/smux/smux.c,
     agent/mibgroup/ucd-snmp/dlmod.c, apps/snmptest.c
, apps/snmptrapd_handlers.c,
     apps/snmptrapd_log.c, snmplib/asn1.c,
     snmplib/snmp_debug.c:

   Fix warnings from gcc -m64

2003-12-07 09:51  nba

   * agent/mibgroup/: host/hr_swrun.c, host/hr_system.c
, ucd-snmp/extensible.c, ucd-snmp/loadave.c
:

   Eliminate some compiler warnings

2003-12-07 09:49  nba

   * agent/mibgroup/: kernel_sunos5.c,
     ucd-snmp/memory_solaris2.c:

   Better error messages

2003-12-07 09:48  nba

   * agent/mibgroup/host/hr_filesys.c:

   Better FS detection for Solaris

2003-12-07 07:57  nba

   * agent/mibgroup/kernel_sunos5.c:

   swap two interchanged parameters to strncy

2003-12-07 07:40  nba

   * apps/snmptrapd_handlers.c:

   Remove some superfluous negations

2003-12-07 06:17  nba

   * agent/mibgroup/host/hr_filesys.c:

   Support for more file systems for Linux

2003-12-07 06:10  nba

   * agent/mibgroup/host/hr_storage.c:

   Fix to allow it to skip past hung mountpoints and similar

2003-11-30 15:48  rstory

   * agent/helpers/table.c:

   debug msg when skipping vb with bogus index

-------------------------------------------------------------------------------

Changes: V5.0.9 -> V5.1

2003-11-13 18:46  hardaker

   * dist/RELEASE-INSTRUCTIONS:

   reverse 5.x and 4.x listing since, um, this is 5.x (again)
   
2003-11-13 18:44  hardaker

   * dist/RELEASE-INSTRUCTIONS:

   reverse 5.x and 4.x listing since, um, this is 5.x
   
2003-11-13 18:42  hardaker

   * man/: netsnmp_Container_iterator.3, netsnmp_agent.3,
   netsnmp_baby_steps.3, netsnmp_bulk_to_next.3,
   netsnmp_cache_handler.3, netsnmp_container.3,
   netsnmp_data_list.3, netsnmp_debug.3,
   netsnmp_deprecated.3, netsnmp_handler.3,
   netsnmp_instance.3, netsnmp_iterator_info_s.3,
   netsnmp_leaf.3, netsnmp_library.3,
   netsnmp_mfd_pdu_context_s.3, netsnmp_mib_utilities.3,
   netsnmp_mode_end_call.3, netsnmp_multiplexer.3,
   netsnmp_netsnmp_iterator_info_s.3,
   netsnmp_netsnmp_mib_handler_methods.3, netsnmp_oid_stash.3
, netsnmp_old_api.3, netsnmp_read_only.3,
   netsnmp_row_merge.3, netsnmp_scalar.3,
   netsnmp_scalar_group_group.3, netsnmp_serialize.3,
   netsnmp_stash_cache.3, netsnmp_table.3,
   netsnmp_table_array.3, netsnmp_table_data.3,
   netsnmp_table_dataset.3, netsnmp_table_iterator.3,
   netsnmp_todo.3, netsnmp_util.3, netsnmp_utilities.3
, netsnmp_watcher.3:

   update for 5.1
   
2003-11-13 18:21  hardaker

   * NEWS:

   update for 5.1
   
2003-11-13 18:14  hardaker

   * perl/: ASN/Makefile.PL, OID/Makefile.PL,
   SNMP/Makefile.PL, agent/Makefile.PL,
   agent/default_store/Makefile.PL, default_store/Makefile.PL
:

   patch #838112 to fix windows perl building
   
2003-11-13 17:28  rstory

   * local/mib2c:

   fix regexp for duplicate index exclusion to only match whole words
   
2003-11-13 15:03  hardaker

   * man/snmpd.conf.5.def:

   document stash_cache
   
2003-11-13 14:47  hardaker

   * agent/mibgroup/agent/: nsCache.c, nsDebug.c,
   nsLogging.c:

   - properly check for the ->processed flag.
     - (fixes a bug pointed out by Bruce where a getnext returned noSuchInstance)
   
2003-11-13 12:11  rstory

   * agent/helpers/table.c:

   don't call handlers for error recovery if they hadn't been called for at least
   reserve1 (e.g. set w/invalid indexes)
   
2003-11-13 11:34  rstory

   * include/net-snmp/library/snmp_assert.h:

   fix void definition for netsnmp_assert when debugging disabled, noted on coders
   
2003-11-13 11:32  rstory

   * README.win32:

   apply patch [ 841463 ] 5.1rc1 README.win32 changes
   
2003-11-12 09:25  dts12

   * agent/mibgroup/mibII/var_route.c:

   Providee missing declaration for Route_Scan_Reload
   HP-UX 11 only.  Latest in the saga of bug # 840615
   
2003-11-12 04:55  dts12

   * agent/mibgroup/mibII/: icmp.c, ip.c, tcpTable.c
:

   Fix more HP-UX 11 specific bogus code.
   Tracking Bug #840615
   
2003-11-12 02:38  dts12

   * agent/mibgroup/mibII/tcp.c:

   Use correct variable for detecting which object is being processed.
   (HPUX-11 only - fixes bug #840615)
   
2003-11-10 14:39  hardaker

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.1.rc1 )
   
2003-11-10 14:39  hardaker

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.1.rc1 )
   
2003-11-10 14:39  hardaker

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.1.rc1 )
   
2003-11-10 14:39  hardaker

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.1.rc1 )
   
2003-11-10 14:38  hardaker

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.1.rc1 )
   
2003-11-10 14:38  hardaker

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.1.rc1 )
   
2003-11-10 14:38  hardaker

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.1.rc1 )
   
2003-11-10 14:38  hardaker

   * FAQ:

   - (FAQ): version tag ( 5.1.rc1 )
   
2003-11-10 14:38  hardaker

   * README:

   - (README): version tag ( 5.1.rc1 )
   
2003-11-10 14:38  hardaker

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.1.rc1 )
   
2003-11-10 14:28  hardaker

   * agent/Makefile.depend, agent/mibgroup/Makefile.depend
, apps/Makefile.depend,
   apps/snmpnetstat/Makefile.depend, snmplib/Makefile.depend
:

   make depend
   
2003-11-10 08:47  rstory

   * snmplib/system.c:

   don't double create temp directory
   
2003-11-10 08:46  rstory

   * win32/net-snmp/net-snmp-config.h:

   always use inline, now that it works (needed extern)
   
2003-11-07 16:34  rstory

   * local/mib2c-conf.d/: generic-data-allocate.m2i,
   generic-table-indexes-from-oid.m2i,
   generic-table-indexes-to-oid.m2i,
   mfd-access-unsorted-external-body.m2i,
   mfd-access-unsorted-external-interface.m2i, mfd-interface.m2c
, mfd-top.m2c, node-set.m2i, parent-set.m2i
:

   use DEBUGTRACE instead of hardcoded __FUNCTION__
   
2003-11-07 10:34  hardaker

   * local/mib2c:

   much better error message when a MIB node can't be found in the
   command line arguments
   
2003-11-07 10:27  hardaker

   * local/Version-Munge.pl:

   - fix sed script regexp for odd versions (pre2b, eg).
   - make -h actually print help.
   
2003-11-07 09:03  rstory

   * local/mib2c.array-user.conf:

   braces around var name
   
2003-11-06 20:46  rstory

   * win32/net-snmp/net-snmp-config.h:

   use inline to __inline from main net-snmp-config file; add extern to basic
   NETSNMP_INLINE def, per MS tech note 123768
   
2003-11-06 20:42  rstory

   * include/net-snmp/library/system.h,
   include/net-snmp/system/mingw32.h, snmplib/system.c:

   apply patch [ 828362 ] First pass at MinGW32
   
2003-11-06 20:29  rstory

   * snmplib/: system.c (V5-0-patches.2), system.c:

   apply patch [ 836162 ] 5.1pre3 win32 mkdirhier()
   
2003-11-06 20:00  rstory

   * win32/: encode_keychange/encode_keychange.dsp,
   libsnmp/libsnmp.dsp, libsnmp_dll/libsnmp.def,
   libsnmp_dll/libsnmp_dll.dsp, snmpbulkget/snmpbulkget.dsp
, snmpbulkwalk/snmpbulkwalk.dsp, snmpd/snmpd.dsp,
   snmpdelta/snmpdelta.dsp, snmpdf/snmpdf.dsp,
   snmpdsdk/snmpd.dsp, snmpget/snmpget.dsp,
   snmpgetnext/snmpgetnext.dsp, snmpnetstat/snmpnetstat.dsp
, snmpset/snmpset.dsp, snmpstatus/snmpstatus.dsp,
   snmptable/snmptable.dsp, snmptest/snmptest.dsp,
   snmptranslate/snmptranslate.dsp, snmptrap/snmptrap.dsp,
   snmptrapd/snmptrapd.dsp, snmpusm/snmpusm.dsp,
   snmpvacm/snmpvacm.dsp, snmpwalk/snmpwalk.dsp:

   apply patch [ 837633 ] 5.1pre3 win32 lib rename
   
2003-11-06 16:05  rstory

   * include/net-snmp/library/snmp_debug.h:

   restore accidentally deleted \n in trace macro
   
2003-11-05 19:13  rstory

   * snmplib/snmp_client.c:

   comment for possible future optimization
   
2003-11-05 19:13  rstory

   * agent/mibgroup/util_funcs.c:

   apply spirit of patch 836721: use new tmp file pattern macro; use _open on
   windows; add err log & debug msg; include sys/stat.h iff exists
   
2003-11-05 19:05  rstory

   * win32/net-snmp/net-snmp-config.h:

   apply spirit of patch 836721: define HAVE_SYSTEM; add new tmp file pattern macro
   
2003-11-05 19:02  rstory

   * agent/mibgroup/utilities/execute.c:

   apply spirit of patch 836721 for run_shell_command: test for bad return codes
   from functions; don't touch out_len if output not set or out_len is null
   
2003-11-05 18:55  rstory

   * include/net-snmp/net-snmp-config.h.in:

   regenerate from aclocal.h, which reveals that we can't do an ifdef test
   to prevent redefining PACKAGE_* unless it is manually re-added each time
   this file is regenerated from acconfig.h. Blech.
   
2003-11-05 18:50  rstory

   * acconfig.h:

   add macro for temp file name (configure option tbd)
   
2003-11-05 18:14  rstory

   * README.win32:

   apply patch [ 833216 ] 5.1.pre3 Win32 compile patch
   
2003-11-05 18:13  rstory

   * configure:

   configure to match new config.in
   
2003-11-05 18:11  rstory

   * configure.in:

   include mibgroup utilities for mini-agent (run_shell_command for snmptrapd)
   
2003-11-05 09:36  rstory

   * local/mib2c-conf.d/: generic-ctx-copy.m2i,
   generic-ctx-get.m2i, generic-ctx-set.m2i,
   generic-data-context.m2i, generic-table-indexes-from-oid.m2i
, generic-table-indexes-to-oid.m2i, mfd-interface.m2c
:

   always convert generated array len to array element count (not bytes)
   
2003-11-05 02:52  dts12

   * apps/: snmptable.c (V5-0-patches.1), snmptable.c:

   Don't try searching for column objects if there isn't anything to search.
   Report problems using the object name originally specified, rather than
   a temporary internal buffer.
   
2003-11-04 15:06  rstory

   * win32/: libsnmp_dll/libsnmp_dll.dsp,
   net-snmp/net-snmp-config.h:

   INLINE changes - don't use inline for the DLL version, as it's reported to
   cause errors
   
2003-11-04 14:45  rstory

   * win32/: win32.dsw, win32sdk.dsw,
   libhelpers/libhelpers.dsp, libsnmp_dll/libsnmp.def,
   netsnmpmibs/netsnmpmibs.dsp:

   apply patch [ 833216 ] 5.1.pre3 Win32 compile patch
   
2003-11-04 08:58  rstory

   * include/net-snmp/net-snmp-config.h.in:

   don't define configure PACKAGE_* macros if already defines.
   
2003-11-04 08:04  dts12

   * FAQ:

   A new entry discussing tables with >256 columns.
   
2003-11-04 07:33  rstory

   * local/mib2c-conf.d/generic-ctx-set.m2i:

   always generate code when data context is generated
   
2003-11-04 07:32  rstory

   * local/mib2c-conf.d/syntax-InetAddress-set.m2i:

   clarify comments
   
2003-11-04 07:31  rstory

   * local/mib2c-conf.d/syntax-InetAddressType-set.m2i:

   clarify comments; use generic-set instead of get
   
2003-11-04 07:22  rstory

   * local/mib2c-conf.d/parent-set.m2i:

   clarify comments
   
2003-11-04 07:19  rstory

   * README:

   sync contributors w/5.0.x
   
2003-11-04 01:28  dts12

   * man/snmpd.8.def:

   Document the effect of -C on persistent config files.
   
2003-11-03 14:29  rstory

   * local/mib2c-conf.d/node-set.m2i:

   fix generated code for undo_setup
   
2003-11-03 12:57  rstory

   * local/mib2c-conf.d/mfd-data-set.m2c:

   clarify comments; remove bogus asserts
   
2003-11-03 10:31  rstory

   * local/mib2c-conf.d/generic-get-char.m2i:

   make IS_SET macros unique per node
   
2003-11-03 10:30  rstory

   * local/mib2c-conf.d/generic-table-indexes-from-oid.m2i:

   fix var name typo
   
2003-11-03 10:28  rstory

   * local/mib2c-conf.d/generic-table-indexes-to-oid.m2i:

   must use addr of local var to get ptr
   
2003-11-03 10:24  rstory

   * local/mib2c-conf.d/generic-table-indexes-varbind-setup.m2i:

   must use addr of local var to get ptr
   
2003-11-03 10:22  rstory

   * local/mib2c-conf.d/default-mfd-top.m2c:

   set up defaults for mfd tables
   
2003-11-03 07:50  rstory

   * include/net-snmp/agent/snmp_agent.h:

   recognize SNMP_MSG_SET is not a valid GET mode; comment tweaks
   
2003-11-03 07:26  dts12

   * include/net-snmp/agent/snmp_agent.h:

   Recognise SNMP_MSG_SET as a valid SET mode
   (so that the varbind caching doesn't lose the assigned values!)
   
2003-11-02 09:51  rstory

   * include/net-snmp/system/hpux.h:

   restore accidentaly deleted hpux define; add comment
   
2003-11-02 04:55  nba

   * man/.cvsignore:

   Fix a bunch of compiler warnings: const-ness, casts, missing protoypes,
   unused variables, cvs ignore ignorable files
   
2003-11-02 04:50  nba

   * .cvsignore, agent/agent_trap.c, agent/snmpd.c,
   agent/mibgroup/agent/nsLogging.c,
   agent/mibgroup/agentx/protocol.c,
   agent/mibgroup/mibII/interfaces.c, apps/.cvsignore,
   apps/snmptrapd_handlers.c, apps/snmptrapd_log.c,
   include/net-snmp/agent/snmp_agent.h,
   include/net-snmp/library/container.h,
   include/net-snmp/library/container_binary_array.h,
   include/net-snmp/library/snmp_enum.h, snmplib/mib.c,
   snmplib/snmp_enum.c:

   Fix a bunch of compiler warnings: const-ness, casts, missing protoypes,
   unused variables, cvs ignore ignorable files
   
2003-11-02 04:44  nba

   * configure.in, configure:

   Fix a bad syntax when testing for perl modules
   
2003-11-02 04:42  nba

   * apps/snmpnetstat/main.c, man/snmpnetstat.1:

   Another left over -p option
   
2003-11-01 16:04  rstory

   * local/mib2c-conf.d/m2c_setup_node.m2i:

   always quote both sides of perl ne/eq tests; allow override of varbind variable
   name; add subid to node summary
   
2003-11-01 16:02  rstory

   * local/mib2c-conf.d/default-mfd-top.m2c:

   move example and transient defaults to table setup
   
2003-11-01 16:02  rstory

   * local/mib2c-conf.d/m2c_setup_table.m2i:

   change default reg ctx from void* to netsnmp_data_list *; move example
   and transient defaults here (from top)
   
2003-11-01 15:58  rstory

   * local/mib2c-conf.d/node-get.m2i:

   add 'TODO' comment; don't generate code if example not set & not generated data
   context; default to returning no data for node;
   
2003-11-01 15:56  rstory

   * local/mib2c-conf.d/mfd-top.m2c:

   put 'TODO' comment on it's own line(removable w/out disrupting code comments);
   use quotes on both sides of perl eq/ne tests; fix reg ptr dcl
   
2003-11-01 15:55  rstory

   * local/mib2c-conf.d/mfd-makefile.m2m:

   add users target to only build user code
   
2003-11-01 15:54  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   use quotes on both sides of perl eq/ne tests; check_indexs is only for row
   creation; data not found only ok for row creation, not settable; sanity
   check for bogus index oid size before memcpy; set ASN_PRIV_RETRY for no data,
   so sparse tables work
   
2003-11-01 15:51  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-interface.m2i
:

   set oid size to max before trying to parse oid
   
2003-11-01 15:50  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-body.m2i:

   put 'TODO' comment on it's own line(removable w/out disrupting code comments);
   rename ref to loop_ref; more asserts; move TODO outside of conditional; move
   itr_ctr free outside of example conditional
   
2003-11-01 15:48  rstory

   * local/mib2c-conf.d/generic-get-decl.m2i:

   tweak indention
   
2003-11-01 15:47  rstory

   * local/mib2c-conf.d/generic-ctx-set.m2i:

   put 'TODO' comment on it's own line(removable w/out disrupting code comments);
   move TODO outside of conditional; don't include code if examples not set
   
2003-11-01 15:45  rstory

   * local/mib2c-conf.d/generic-ctx-get.m2i:

   put 'TODO' comment on it's own line(removable w/out disrupting code comments);
   quote both sides of perl eq/ne tests; document include in comments
   
2003-11-01 15:44  rstory

   * local/mib2c-conf.d/generic-ctx-copy.m2i:

   put 'TODO' comment on it's own line(removable w/out disrupting code comments);
   move TODO outside of conditional; tweak conditional
   
2003-11-01 15:43  rstory

   * local/mib2c-conf.d/node-set.m2i:

   put 'TODO' comment on it's own line(removable w/out disrupting code comments);
   move conditional inside include
   
2003-11-01 15:41  rstory

   * local/mib2c-conf.d/: mfd-data-get.m2c, mfd-readme.m2c
, parent-set.m2i:

   put 'TODO' comment on it's own line(removable w/out disrupting code comments);
   quote both sides of perl eq/ne tests
   
2003-11-01 15:37  rstory

   * local/mib2c-conf.d/syntax-RowStatus-get.m2i:

   put 'TODO' comment on it's own line(removable w/out disrupting code comments)
   
2003-11-01 15:37  rstory

   * local/mib2c-conf.d/: syntax-COUNTER64-get.m2i,
   syntax-DateAndTime-get.m2i, syntax-InetAddress-get.m2i,
   syntax-InetAddressType-get.m2i, syntax-TestAndIncr-get.m2i
:

   put 'TODO' comment on it's own line(removable w/out disrupting code comments);
   default to returning no data for nodes
   
2003-11-01 15:21  rstory

   * local/mib2c-conf.d/: details-enums.m2i,
   generic-data-context.m2i, generic-get-char.m2i,
   generic-value-map-reverse.m2i, generic-value-map.m2i,
   mfd-access-unsorted-external-header.m2i, mfd-data-set.m2c
, parent-dependencies.m2i:

   put 'TODO' comment on it's own line(removable w/out disrupting code comments)
   
2003-11-01 15:16  rstory

   * local/mib2c-conf.d/: generic-table-indexes-from-oid.m2i,
   generic-table-indexes-to-oid.m2i,
   generic-table-indexes-varbind-setup.m2i:

   new code for indexes and oid conversions
   
2003-11-01 10:43  rstory

   * snmplib/container_iterator.c:

   use endofmibview instead of no_vars
   
2003-10-30 17:38  rstory

   * agent/mibgroup/host/hr_swrun.c, local/mib2c.array-user.conf
:

   add comments
   
2003-10-30 17:37  rstory

   * agent/snmp_agent.c:

   test func parameter, not variable we're about to overwrite
   
2003-10-30 17:36  rstory

   * agent/snmp_vars.c:

   declare  callback_master_num even if SNMP_TRANSPORT_CALLBACK_DOMAIN is not
   defined (so I don't need to add more ifdef's in other code)
   
2003-10-30 17:34  rstory

   * agent/mibgroup/disman/mteTriggerTable.c:

   log warning and don't open callback transport if SNMP_TRANSPORT_CALLBACK_DOMAIN
   is not defined
   
2003-10-30 17:33  rstory

   * agent/mibgroup/agentx/subagent.c:

   log warning and don't open callback transport if SNMP_TRANSPORT_CALLBACK_DOMAIN
   is not defined; fix test for agentx_open_session
   
2003-10-30 17:29  rstory

   * snmplib/snmpCallbackDomain.c:

   don't compile code if SNMP_TRANSPORT_CALLBACK_DOMAIN not defined
   
2003-10-30 16:51  rstory

   * win32/net-snmp/net-snmp-config.h:

   merge transport comments from non-win net-snmp-config.h; undef callback
   transport instead of def of 0, so it actually turns off code; undef inline
   macros before redefining them
   
2003-10-30 16:49  rstory

   * win32/config.h:

   replace contents w/include of net-snmp/net-snmp-config.h so only one header
   needs to be maintained. Everyone should be using the new one anyway, right?
   
2003-10-30 01:31  dts12

   * configure, configure.in:

   Don't configure the Host-Resources support by default.
   It's a good idea, but we're too close to 5.1 for this to be safe.
   
2003-10-29 10:51  hardaker

   * agent/helpers/table_iterator.c:

   inline -> NETSNMP_INLINE
   
2003-10-29 03:10  dts12

   * man/: snmpcmd.1.def, snmpd.8.def, snmptrapd.8.def
:

   Document new -Lx logging option block, and assorted deprecated options.
   
2003-10-29 02:59  dts12

   * FAQ:

   Various updates to the FAQ.
     Highlights include better explanation of access control and timeout
   problems, discussion of what traps are sent and where to (including
   Disman Event-MIB support) and more on mib2c usage (including the
   differences between configs, and pointers to examples).
     Separate sections for compilation and coding new modules
   (restructuring existing entries)
     Refer to project as 'Net-SNMP' rather than 'UCD' throughout
   (except where specifically v4 or UCD-SNMP-MIB are meant)
   
2003-10-29 02:33  dts12

   * agent/mibgroup/mibII/: sysORTable.h (V5-0-patches.1),
   sysORTable.h (V4-2-patches.[1,2]), sysORTable.h:

   Fix null definition of REGISTER_SYSOR_TABLE (when not using this table).
   Reported by Mark Hopkins
   
2003-10-28 18:16  rstory

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.1.pre3 )
   
2003-10-28 18:16  rstory

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.1.pre3 )
   
2003-10-28 18:16  rstory

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.1.pre3 )
   
2003-10-28 18:16  rstory

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.1.pre3 )
   
2003-10-28 18:16  rstory

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.1.pre3 )
   
2003-10-28 18:16  rstory

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.1.pre3 )
   
2003-10-28 18:16  rstory

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.1.pre3 )
   
2003-10-28 18:16  rstory

   * sedscript.in:

   - (sedscript.in): version tag ( 5.1.pre3 )
   
2003-10-28 18:15  rstory

   * FAQ:

   - (FAQ): version tag ( 5.1.pre3 )
   
2003-10-28 18:15  rstory

   * README:

   - (README): version tag ( 5.1.pre3 )
   
2003-10-28 18:15  rstory

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.1.pre3 )
   
2003-10-28 18:14  rstory

   * doxygen.conf, man/netsnmp_Container_iterator.3,
   man/netsnmp_agent.3, man/netsnmp_baby_steps.3,
   man/netsnmp_bulk_to_next.3, man/netsnmp_cache_handler.3
, man/netsnmp_container.3, man/netsnmp_data_list.3
, man/netsnmp_debug.3, man/netsnmp_handler.3,
   man/netsnmp_instance.3, man/netsnmp_iterator_info_s.3,
   man/netsnmp_leaf.3, man/netsnmp_library.3,
   man/netsnmp_mfd_pdu_context_s.3, man/netsnmp_mib_utilities.3
, man/netsnmp_mode_end_call.3, man/netsnmp_multiplexer.3
, man/netsnmp_netsnmp_iterator_info_s.3,
   man/netsnmp_netsnmp_mib_handler_methods.3,
   man/netsnmp_oid_stash.3, man/netsnmp_old_api.3,
   man/netsnmp_read_only.3, man/netsnmp_row_merge.3,
   man/netsnmp_scalar.3, man/netsnmp_scalar_group_group.3
, man/netsnmp_serialize.3, man/netsnmp_stash_cache.3
, man/netsnmp_table.3, man/netsnmp_table_array.3
, man/netsnmp_table_data.3,
   man/netsnmp_table_dataset.3, man/netsnmp_table_iterator.3
, man/netsnmp_todo.3, man/netsnmp_util.3,
   man/netsnmp_utilities.3, man/netsnmp_watcher.3:

   update for 5.1.pre3
   
2003-10-28 18:05  rstory

   * agent/Makefile.depend, agent/helpers/Makefile.depend
, agent/mibgroup/Makefile.depend, apps/Makefile.depend
, apps/snmpnetstat/Makefile.depend,
   snmplib/Makefile.depend:

   make depend
   
2003-10-28 17:31  hardaker

   * Makefile.top:

   fix version for 5.1 release
   
2003-10-28 12:47  rstory

   * include/net-snmp/net-snmp-config.h.in:

   regenerate from new acconfig.h
   
2003-10-28 12:45  rstory

   * acconfig.h:

   fix bug [ 830852 ] Build doesn't work on HP-UX 11i
   undef macro before redefining it
   
2003-10-28 10:32  rstory

   * agent/mibgroup/mibII/: route_write.c (V5-0-patches.1),
   route_write.c:

   apply patch [ 812019 ] snmpset on ipRouteDest.127.0.0.1 kill agent dumps core
   fixes bug [ 808958 ] OSSun snmpset on ipRouteDest.127.0.0.1 kill agent dumps ...
   
2003-10-28 10:16  rstory

   * agent/helpers/: debug_handler.c (V5-0-patches.1), debug_handler.c
:

   apply patch [ 831161 ] netsnmp_get_debug_helper crashes snmpd
   fixes bug [ 826963 ] netsnmp_get_debug_helper crashes snmpd
   
2003-10-28 10:05  rstory

   * perl/SNMP/SNMP.xs:

   apply patch [ 829633 ] 5.1pre1 Perl translateObj fix
   
2003-10-28 07:32  rstory

   * dist/: net-snmp.spec (V5-0-patches.3), net-snmp.spec:

   apparently nested %if's are a no-no
   
2003-10-28 07:22  rstory

   * dist/net-snmp.spec:

   fix perl conditional builds after read rpm docs
   
2003-10-26 00:34  hardaker

   * snmplib/oid_stash.c:

   inline -> NETSNMP_INLINE as pointed out by Alex Burger
   
2003-10-24 16:49  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-readme.m2i:

   rename loop_ctx loop_context; prefix all loop functions w/loop
   
2003-10-24 16:46  rstory

   * local/mib2c-conf.d/mfd-readme.m2c:

   move defaults to an easier to spot place
   
2003-10-24 16:45  rstory

   * local/mib2c-conf.d/: generic-table-indexes.m2i,
   mfd-access-unsorted-external-body.m2i,
   mfd-access-unsorted-external-header.m2i,
   mfd-access-unsorted-external-interface.m2i, mfd-top.m2c
:

   rename table_idx table_mib_index; rename loop_ctx loop_context; prefix all
   loop functions w/loop; remove index2oid
   
2003-10-24 06:02  dts12

   * configure, configure.in:

   Add Host-Resources support to the list of default MIB modules.
   We've talked about this for years - it's about time we did so!
   
2003-10-24 05:49  dts12

   * agent/snmpd.c, apps/snmptrapd.c:

   New choices for some command-line options, to improve consistency
   between agent and trap handler usage.  The previous options still
   work but are now marked as "deprecated".  These should probably
   be removed completely in a future release (e.g. 5.2).
   
2003-10-23 15:58  rstory

   * include/net-snmp/library/container.h:

   fix bug 828671: The lib isn't C++ compatible; remove 'struct' before typdef
   
2003-10-23 15:54  rstory

   * snmplib/container_null.c:

   fix bug 828671: The lib isn't C++ compatible; rename structure
   remove unused noalloc function
   
2003-10-23 15:53  rstory

   * include/net-snmp/library/container.h,
   snmplib/container_binary_array.c:

   fix bug 828671: The lib isn't C++ compatible; rename structure
   
2003-10-23 15:39  rstory

   * snmplib/: parse.c (V5-0-patches.3), parse.c:

   fix bug 767753: snmpwalk crash (adopt_orphans)
   
2003-10-23 10:34  rstory

   * configure:

   configure to match new configure.in
   
2003-10-23 10:32  rstory

   * configure.in:

   apparently configure translates '_' to '-' in arguments/enables, so use -
   consistently; move common module arg mistake checks with other module
   checks, and add a few more; add check for enable perl-modules too
   
2003-10-23 10:24  rstory

   * acconfig.h, include/net-snmp/net-snmp-config.h.in:

   move comment fixes to acconfig.h and regenerate net-snmp-config.h.in
   
2003-10-23 08:52  rstory

   * snmplib/container.c:

   remove nonstd NDEBUG ifdef tst; use DBGMSGSUBOID instead of DBGMSDOID; add
   debug for comparison result
   
2003-10-23 08:45  rstory

   * snmplib/container_iterator.c:

   add comments; fix get_next w/null key (get-first); remove redundant debugs
   
2003-10-22 17:10  rstory

   * snmplib/: snmpusm.c (V5-0-patches.2), snmpusm.c:

   fix bug 822870 (usmStatsDecryptionErrors did not increment on failed get req)
   with patch 827056 from browlands
   
2003-10-22 09:43  rstory

   * include/net-snmp/library/snmp_assert.h:

   define __STRING if not defined
   
2003-10-22 06:14  rstory

   * Makefile.top:

   increment libtool revision
   
2003-10-22 06:13  rstory

   * Makefile.in:

   fix commentcheck pattern to exclude ftp and http urls
   
2003-10-22 02:08  dts12

   * snmplib/snmp_api.c:

   The variables 'do_hint' and 'check' are only declared
   or needed when 'DISABLE_MIB_LOADING' is not defined.
   There's no point in giving them dummy values otherwise.
   
2003-10-21 12:16  rstory

   * agent/mibgroup/ucd-snmp/diskio.c:

   remove c++ style comment
   
2003-10-21 12:12  rstory

   * acconfig.h, agent/mibgroup/mibII/interfaces.c,
   agent/mibgroup/ucd-snmp/diskio.c:

   remove c++ style comment
   
2003-10-21 11:51  rstory

   * local/Version-Munge.pl:

   move usage sub to top so it actually does something; print usage for param
   errors, instead of just dying
   
2003-10-21 11:51  rstory

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.1.pre2 )
   
2003-10-21 11:51  rstory

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.1.pre2 )
   
2003-10-21 11:51  rstory

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.1.pre2 )
   
2003-10-21 11:51  rstory

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.1.pre2 )
   
2003-10-21 11:51  rstory

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.1.pre2 )
   
2003-10-21 11:51  rstory

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.1.pre2 )
   
2003-10-21 11:50  rstory

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.1.pre2 )
   
2003-10-21 11:50  rstory

   * sedscript.in:

   - (sedscript.in): version tag ( 5.1.pre2 )
   
2003-10-21 11:50  rstory

   * FAQ:

   - (FAQ): version tag ( 5.1.pre2 )
   
2003-10-21 11:50  rstory

   * README:

   - (README): version tag ( 5.1.pre2 )
   
2003-10-21 11:50  rstory

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.1.pre2 )
   
2003-10-21 11:42  rstory

   * Makefile.rules:

   remove bogus install target
   
2003-10-21 11:18  rstory

   * configure:

   configure for new config.in
   
2003-10-21 11:16  rstory

   * configure.in:

   fix cut-n-paste error in perl uninstall support; update version in init
   
2003-10-21 01:54  dts12

   * snmplib/system.c:

   Include <fcntl.h> for definition of O_RDWR. Reported by SebNob.
   
2003-10-21 01:47  dts12

   * include/net-snmp/net-snmp-config.h.in:

   Ensure that multi-line comments aren't broken when the active
   net-snmp-config.h file is generated.  Reported by SebNob.
   (Possibly being a bit over-cautious here, but you can't be too careful!)
   
2003-10-17 22:52  hardaker

   * NEWS:

   more updates
   
2003-10-17 22:39  hardaker

   * agent/snmp_agent.c:

   turn on the lookup cache.
   
2003-10-17 16:35  hardaker

   * man/: Makefile.in, netsnmp_Container_iterator.3,
   netsnmp_baby_steps.3, netsnmp_cache_handler.3,
   netsnmp_container.3, netsnmp_deprecated.3,
   netsnmp_iterator_info_s.3, netsnmp_leaf.3,
   netsnmp_mfd_pdu_context_s.3, netsnmp_row_merge.3,
   netsnmp_scalar_group_group.3, netsnmp_stash_cache.3,
   netsnmp_utilities.3:

   more (new) updates from doxygen
   
2003-10-17 16:33  hardaker

   * man/: netsnmp_agent.3, netsnmp_bulk_to_next.3,
   netsnmp_data_list.3, netsnmp_debug.3,
   netsnmp_handler.3, netsnmp_instance.3,
   netsnmp_library.3, netsnmp_mib_utilities.3,
   netsnmp_mode_end_call.3, netsnmp_multiplexer.3,
   netsnmp_netsnmp_iterator_info_s.3,
   netsnmp_netsnmp_mib_handler_methods.3, netsnmp_oid_stash.3
, netsnmp_old_api.3, netsnmp_read_only.3,
   netsnmp_scalar.3, netsnmp_serialize.3,
   netsnmp_set_data.3, netsnmp_table.3,
   netsnmp_table_array.3, netsnmp_table_data.3,
   netsnmp_table_dataset.3, netsnmp_table_iterator.3,
   netsnmp_todo.3, netsnmp_util.3, netsnmp_watcher.3
:

   updates from doxygen
   
2003-10-17 16:16  hardaker

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.1.pre1 )
   
2003-10-17 16:15  hardaker

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.1.pre1 )
   
2003-10-17 16:15  hardaker

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.1.pre1 )
   
2003-10-17 16:15  hardaker

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.1.pre1 )
   
2003-10-17 16:15  hardaker

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.1.pre1 )
   
2003-10-17 16:15  hardaker

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.1.pre1 )
   
2003-10-17 16:15  hardaker

   * sedscript.in:

   - (sedscript.in): version tag ( 5.1.pre1 )
   
2003-10-17 16:15  hardaker

   * FAQ:

   - (FAQ): version tag ( 5.1.pre1 )
   
2003-10-17 16:15  hardaker

   * README:

   - (README): version tag ( 5.1.pre1 )
   
2003-10-17 15:51  hardaker

   * local/Version-Munge.pl:

   added anydata modules
   
2003-10-17 15:44  hardaker

   * perl/SNMP/SNMP.pm:

   make gettable return a hash instead.
   
2003-10-17 15:03  hardaker

   * apps/snmptrapd_handlers.c:

   add oid/default portion to help text for the forward token
   
2003-10-17 15:02  hardaker

   * COPYING:

   Add sparta
   
2003-10-17 14:59  hardaker

   * man/snmptrapd.conf.5.def:

   document the forward token
   
2003-10-17 14:41  hardaker

   * Makefile.in:

   use new version modification script
   
2003-10-17 14:40  hardaker

   * local/Version-Munge.pl:

   new version messing-with script
   
2003-10-17 14:39  hardaker

   * agent/mibgroup/versiontag:

   remove portions old script replaced by newer Version-Munge.pl
   
2003-10-17 14:37  hardaker

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.1.pre1 )
   
2003-10-15 09:25  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-body.m2i:

   remove hardcoded context name
   
2003-10-14 16:42  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-header.m2i:

   add note that example code is base on a data file
   
2003-10-14 16:32  rstory

   * local/mib2c-conf.d/: mfd-access-unsorted-external-body.m2i,
   mfd-access-unsorted-external-readme.m2i:

   add not that iterator get/get-next don't correspond to pdu types, and they
   shouldn't be ordering their data
   
2003-10-14 16:09  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-header.m2i:

   sync comments w/readme
   
2003-10-14 16:08  rstory

   * local/mib2c-conf.d/mfd-makefile.m2m:

   as long as we're using gnu-make specifics, only process config vars once (also
   lets make output represent actual values, instead of script)
   
2003-10-14 16:07  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   use big obnoxious warning; set error for no context if table not settable
   
2003-10-14 16:06  rstory

   * local/mib2c-conf.d/m2c-internal-warning.m2i:

   big obnoxious warning for top of implementation files
   
2003-10-14 16:06  rstory

   * local/mib2c-conf.d/: mfd-access-unsorted-external-body.m2i,
   mfd-access-unsorted-external-readme.m2i:

   sync function header summary comments w/readme summary header comments;
   present function in same order in both files
   
2003-10-14 16:04  rstory

   * local/mib2c-conf.d/m2c_setup_table.m2i:

   init m2c_data_init
   
2003-10-14 13:34  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-body.m2i:

   use new common setup; wrappers for all container functions, to convert
   between interface context and user context; some param tweaks; remove
   unused prototype; keep ptr to table context in example; rename some vars
   use new MFD_* error codes; rename example function; documenation updates;
   
2003-10-14 13:32  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-header.m2i:

   use new common setup; wrappers for all container functions, to convert
   between interface context and user context; some param tweaks; remove
   unused prototype; keep ptr to table context in example; rename some vars
   
2003-10-14 13:30  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-interface.m2i
:

   use new common setup; wrappers for all container functions, to convert
   between interface context and user context; some param tweaks; don't auto
   allocate context for get data, so user could use one they've allocated
   
2003-10-14 13:28  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-setup.m2i:

   common setup for unsorted external, which has 3 parts included at different
   times
   
2003-10-14 13:27  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-readme.m2i:

   invert verbose logic test; add quick overview of iteration loop; reorder
   some text/blank lines; update for renamed vars
   
2003-10-14 13:11  rstory

   * local/mib2c-conf.d/syntax-COUNTER64-get.m2i:

   handle counter64 vars
   
2003-10-14 13:10  rstory

   * local/mib2c-conf.d/node-get.m2i:

   use new MFD_* error codes; update for m2c param rename; handle counter64 vars
   
2003-10-14 13:09  rstory

   * local/mib2c-conf.d/mfd-makefile.m2m:

   name deps files explicity, since .c=.deps isn't portable
   
2003-10-14 13:08  rstory

   * local/mib2c-conf.d/mfd-top.m2c:

   update base param from mfd reg to mfd pdu ctx; update for renamed mfd/m2c vars;
   rename user reg typedef; no undo in table ctx if table not settable; add user
   reg ptr, request mode and data list to table context; mv container init proto
   and other interface prototypes to their own header; add protos for pre/post
   requests, table context init/cleanup; add set prototypes; include new headers
   at bottom of main header; move as mush of init routine as possible into
   interface code; use new MFD_* return codes; don't run makefile/subagent
   conf files if they've already been run
   
2003-10-14 12:59  rstory

   * local/mib2c-conf.d/mfd-readme.m2c:

   add mfd overview of SNMP and mfd data structures; document m2c configuration
   variables; indent some comments to be more consistent; docs for set support
   
2003-10-14 12:57  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   replace hardcoded header name w/$name.h; documentation updates; use MFD_*
   return codes instead of SNMP_*;  update renamed m2c params; remove local static
   prototypes from headers; new per table interface context; rename interface init;
   use table reg in local table context instead of malloc; remove _ prefix from
   public table allocate & release ctx funcs; init vars in allocate_ctx; call
   table ctx init func in allocate, if defined; wrappers for all mfd functions, to
   convert from our table context to the users registration pointer; after object
   lookup set users indexes back to the varbind oid and set context vars; only
   do get routines for accessable internal indexes; prefix wrappers w/mfd_;
   detect if user get routines munges vb value pointer; check for null ptr before
   free; merge check_index into check_indexes; add set values, commit, undo
   and irreversible commit wrappers; update for renamed commit mode names;
   simplify param for internal index check funcs
   
2003-10-14 12:34  rstory

   * local/mib2c-conf.d/mfd-data-get.m2c:

   put prototypes in $name_data_get.h
   
2003-10-14 12:33  rstory

   * local/mib2c-conf.d/m2c_setup_node.m2i:

   update m2c node params to be based on var/val/ref instead of function name
   
2003-10-14 12:31  rstory

   * local/mib2c-conf.d/generic-get-decl.m2i:

   update for rename m2c var names
   
2003-10-14 12:31  rstory

   * local/mib2c-conf.d/: generic-data-context.m2i,
   generic-table-indexes.m2i:

   use m2c_node_summary in comment
   
2003-10-14 12:30  rstory

   * local/mib2c-conf.d/mfd-data-set.m2c:

   documentation updates; use MFD_* return codes instead of SNMP_*; put prototypes
   in $name_data_set.h; update renamed m2c params; add external index check func
   if table has external index; simplify param for internal index check funcs
   
2003-10-14 12:27  rstory

   * local/mib2c-conf.d/parent-dependencies.m2i:

   remove mfd reg param && assert
   
2003-10-14 12:26  rstory

   * local/mib2c-conf.d/node-set.m2i:

   documentation updates; use MFD_* return codes instead of SNMP_*; add per node
   undo_setup ; update for renamed commit mode names; update renamed mfd params
   
2003-10-14 12:24  rstory

   * local/mib2c-conf.d/parent-set.m2i:

   documentation updates; chg mfd_reg params to table_reg; use MFD_* return
   codes instead of SNMP_*; no per node code in table undo_setup (will be in
   new per node undo_setup); update for renamed commit mode names
   
2003-10-14 12:20  rstory

   * local/mib2c-conf.d/syntax-DateAndTime-readme.m2i:

   indent to match other readmes
   
2003-10-14 12:18  rstory

   * local/mib2c-conf.d/m2c_setup_table.m2i:

   rename m2c_table_writable to m2c_table_settable (consistent w/node.settable);
   base m2c_table_row_creation on new function table_has_create; new
   m2c_table_external_indexes base on new function count_external_indexes
   
2003-10-14 12:15  rstory

   * local/mib2c-conf.d/details-table.m2i:

   remove unused lines; add oid length in output
   
2003-10-14 12:14  rstory

   * local/mib2c-conf.d/default-mfd-top.m2c:

   only set defaults if value is empty
   
2003-10-14 11:48  rstory

   * snmplib/container_iterator.c:

   if sorted, skip iteration on find first; add new reuse param to save_pos
   
2003-10-14 11:38  rstory

   * agent/mibgroup/agentx/agentx_config.c:

   log each agentxperms part separtely, so as not to crash if any of the optional
   items are left out; update help to show that optional parms must be in order
   
2003-10-14 11:18  rstory

   * local/mib2c:

   change counter 64 type from 'counter64' to 'U64', since the former can't be
   used as a variable declaration type; process $HOME/.snmp/mib2c.conf, if it
   exists; new foreach internalindex and externalindex; new sub table_has_create
   and count_external_indexes
   
2003-10-14 09:49  rstory

   * include/net-snmp/library/snmp_assert.h:

   don't require DEBUG dfine for asserts; new logic: use assert if
   NETSNMP_USE_ASSERT defines. otherwise, failed asserts will use snmp_log
   to log a message (unless SNMP_NO_DEBUGGING is defined).
   
2003-10-14 09:45  rstory

   * agent/helpers/table_mfd.c,
   include/net-snmp/agent/table_mfd.h:

   update for renamed modes; chg callback param to use new mfd_pdu_ctx; don't
   split callbacks into two structures; define mfd specific error codes as a
   subset of existing error codes; add documentation; remove table registration
   from registration param list, since it's in the mfd reg obj; handle get request
   split into object_lookup and get values; only call next handler if next handler
   has access method; tweak lookup params: return error code and set found row
   in new pdu ctx param
   
2003-10-14 09:35  rstory

   * include/net-snmp/library/container_iterator.h:

   add reuse flag to ctx dup params
   
2003-10-14 09:25  rstory

   * include/net-snmp/agent/snmp_agent.h:

   add mode msg defines for baby step modes; simplify mode test macros; add
   next_mode to agent_request_info
   
2003-10-14 09:24  rstory

   * include/net-snmp/library/snmp.h:

   add internal msg defines for baby step modes; renumber get stash mode; fix typo
   in comment; reserve  modes < 128 for set processing to simplify mode tests
   
2003-10-14 09:20  rstory

   * include/net-snmp/agent/baby_steps.h:

   rename a few modes
   
2003-10-14 09:20  rstory

   * agent/helpers/baby_steps.c:

   update for renamed modes; add mode map for get-requests as well
   
2003-10-14 09:19  rstory

   * agent/snmpd.c:

   const correctness
   
2003-10-14 09:18  rstory

   * agent/snmp_agent.c:

   remove ifdef'd code after restoring some of it; update new reqinfo ptr in
   requests; fix enless loop; fix typos in asserts
   
2003-10-14 09:15  rstory

   * net-snmp-config.in:

   check for relative path to src dir for build-dir checks
   
2003-10-14 06:29  rstory

   * agent/: Makefile.in (V5-0-patches.3), Makefile.in:

   don't leave possibly empty configure @var@ on continuation line by itself
   
2003-10-08 22:12  hardaker

   * agent/mibgroup/mibII/: var_route.c (V5-0-patches.2), var_route.c
:

   patch from Johannes Schmidt-Fischer to fix HPUX 11
   
2003-10-08 14:08  rstory

   * agent/helpers/table.c:

   add detail on improperyly registered table message, and chg to ERR (from INFO);
   fix valid column search for ranges; go straight to first row if no indexes
   
2003-10-07 15:10  rstory

   * agent/mibgroup/agentx/agentx_config.c:

   more useful help text for agentxperms
   
2003-10-07 14:43  rstory

   * agent/snmpd.c:

   fix logic check of DS_AGENT_QUIT_IMMEDIATELY so that parent and child don't
   both try to become the master agent. Logic seems backwards to me - do we have
   all these DS vars document somewhere?
   
2003-10-07 14:39  rstory

   * snmplib/system.c:

   netsnmp_daemonize: init local var; chg return code to be fork result; add docs
   
2003-10-07 07:00  hardaker

   * local/: mib2c (V5-0-patches.3), mib2c:

   Check for ^-S instead of -S, as reported by Jean-Marc Ranger on -users
   
2003-10-07 03:13  dts12

   * local/mib2c:

   There are no statistics printed, so there's no point in having
   a flag to turn them off.
   
2003-10-04 11:01  rstory

   * dist/net-snmp.spec:

   merge changes from 5.0 patches branch; fix to build without requiring arguments;
   separate embedded perl and perl modules options; fix fix for init.d script
   for non-/usr/local installation
   
2003-10-03 07:43  rstory

   * agent/mibgroup/examples/ucdDemoPublic.conf:

   change v1 demo community to match what is actualt configured on the
   soon-to-be-reopened test.net-snmp.org
   
2003-10-02 19:30  rstory

   * agent/mibgroup/examples/ucdDemoPublic.conf:

   add explanatory text and lines/arrows showing relationship between entries;
   add createUser lines, w/note explaining they might be better suited for
   the persistentdir snmpd.conf for security purposes.
   
2003-10-02 11:04  hardaker

   * man/mib2c.1.def:

   document the -I switch
   
2003-10-02 10:54  hardaker

   * Makefile.rules, Makefile.top, NEWS, configure
, configure.in, agent/Makefile.in,
   apps/Makefile.in, local/Makefile.in, man/Makefile.in
, mibs/Makefile.in, testing/Makefile.in:

   Robert told me to keep going, so I added support for a --with-install-prefix
   flag to configure (and thus a INSTALL_PREFIX make variable as well).
   
2003-10-01 16:30  hardaker

   * Makefile.in, Makefile.rules, Makefile.top,
   NEWS, configure, configure.in,
   agent/Makefile.in, apps/Makefile.in, local/Makefile.in
, man/Makefile.in, mibs/Makefile.in:

   Support for "make uninstall"
   
2003-10-01 14:51  hardaker

   * apps/snmptranslate.c:

   Added -L support for output logging.
   
2003-10-01 14:49  hardaker

   * agent/mibgroup/disman/mteEventTable.h:

   updated prototypes to match earlier trap -> notification string replacements.
   
2003-09-30 17:20  rstory

   * local/mib2c-conf.d/syntax-RowStatus-varbind-validate.m2i:

   syntax specific varbind validation
   
2003-09-30 17:20  rstory

   * local/mib2c-conf.d/: syntax-RowStatus-dependencies.m2i,
   syntax-StorageType-dependencies.m2i:

   syntax specific dependency checks
   
2003-09-30 17:19  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-readme.m2i:

   fix typos
   
2003-09-30 17:19  rstory

   * local/mib2c-conf.d/: syntax-DateAndTime-get.m2i,
   syntax-DateAndTime-readme.m2i:

   set emags tag for c; update variable name
   
2003-09-30 17:18  rstory

   * local/mib2c-conf.d/parent-set.m2i:

   set emags tag for c; add/correct doxygen style docs; new validate_index,
   undo_setup, reversible_commit, final_commit
   
2003-09-30 17:17  rstory

   * local/mib2c-conf.d/parent-dependencies.m2i:

   set emags tag for c; in check_dependencies, remove non-existant param and
   include any node specific syntax dependencies
   
2003-09-30 17:15  rstory

   * local/mib2c-conf.d/node-varbind-validate.m2i:

   new include to do basicy syntax validation against an incoming varbind
   
2003-09-30 17:14  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-body.m2i:

   add/correct doxygen style docs in comments; change example from linked list
   to flat file; use var for func params so it's easy to change; check new
   m2c_include_examples before including example code;
   
2003-09-30 17:12  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-header.m2i:

   add/correct doxygen style docs in comments; change example from linked list
   to flat file; use var for func params so it's easy to change
   
2003-09-30 17:11  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-interface.m2i
:

   set emacs tag to c; add/correct doxygen style docs in comments; use local
   static variable_list for index to oid conversion; free memory used in that
   conversion, eventually; don't ignore rc from build_oid_noalloc here (return
   it and let someone else ignore it); prefix some internal functions names w/'_';
   wrapper around get_data to allocate new context
   
2003-09-30 17:08  rstory

   * local/mib2c-conf.d/: node-get.m2i, node-set.m2i:

   set emacs tag to c; add/correct doxygen style docs in comments
   
2003-09-30 17:06  rstory

   * local/mib2c-conf.d/mfd-top.m2c:

   new mfd_base_params var so it's easy to change params; chg comments so that
   indent won't not indent; don't include some prototypes here if the function
   is in *_interfaces; new pre/post request functions; moved bulk of table
   init into interfaces, just a little function setup here
   
2003-09-30 16:54  rstory

   * local/mib2c-conf.d/mfd-makefile.m2m:

   set emacs mode to Makefile; turn off strict token checks til wes gets @ escape;
   expand deps includes since $(x:.c=.deps) isn't portable
   
2003-09-30 16:46  rstory

   * local/mib2c:

   only put MIB2C_DIR env var in search path if it isn't empty
   
2003-09-30 16:45  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   create new $name_interface.h header; move table initialization here; prefix a
   bunch of interface functions w/'_'; use new m2c_node_summary; use new
   m2c_node_var_* variables; change some accessible tests to settable tests; use
   new node-varbind-validate include; always call user $node_check_value; new
   functions to check new index syntax; new _set_values, _undo_setup and
   _undo_values to call user functions
   
2003-09-30 16:36  rstory

   * local/mib2c-conf.d/mfd-data-set.m2c:

   set emacs mode to c; tweak processing msgs; always include parent-set; move
   parent dependencies to bottom of file; add $node_check_index
   
2003-09-30 16:25  rstory

   * local/mib2c-conf.d/mfd-data-get.m2c:

   tweak processing msgs
   
2003-09-30 16:23  rstory

   * local/mib2c-conf.d/m2c_setup_node.m2i:

   set emacs mode to c; add some sanity checks; set up new $m2c_enum_mask,
   $m2c_node_var_val, $m2c_node_var_ref, $m2c_node_var_val_ptr, $m2c_node_summary
   
2003-09-30 16:18  rstory

   * local/mib2c-conf.d/generic-data-allocate.m2i:

   set emacs mode to c; remove unused create_undo_context
   
2003-09-30 16:15  rstory

   * local/mib2c-conf.d/: generic-ctx-copy.m2i,
   generic-ctx-get.m2i, generic-ctx-set.m2i,
   m2c_setup_table.m2i:

   set emacs mode to c; suck 'ctx->' or 'ctx.' into $m2c_data_item
   
2003-09-30 16:11  rstory

   * local/mib2c-conf.d/details-table.m2i:

   set emacs mode to c
   
2003-09-30 16:10  rstory

   * local/mib2c-conf.d/details-enums.m2i:

   set emacs mode to c; generate define for mask of all bits
   
2003-09-30 14:27  hardaker

   * local/mib2c-conf.d/mfd-readme.m2c:

   xxx tagging.
   
2003-09-30 14:26  hardaker

   * local/mib2c-conf.d/mfd-makefile.m2m:

   create the Makefile to either reference a Net-SNMP source dir or not
     (and require gnu-make or not).
   
2003-09-30 06:50  rstory

   * local/mib2c:

   new flag/token strict_unk_token will abort on unknow @token
   
2003-09-30 06:38  rstory

   * include/net-snmp/library/check_varbind.h:

   add netsnmp_check_vb_size, netsnmp_check_vb_size_range
   and netsnmp_check_vb_rowstatus_value
   
2003-09-30 06:37  rstory

   * snmplib/check_varbind.c:

   more null ptr checks; add netsnmp_check_vb_size, netsnmp_check_vb_size_range
   and netsnmp_check_vb_rowstatus_value
   
2003-09-30 06:34  rstory

   * local/mib2c-conf.d/: generic-data-context.m2i,
   generic-get-char.m2i, generic-get-decl-bot.m2i,
   generic-get-decl.m2i, generic-get-long.m2i,
   generic-get-oid.m2i, generic-header-bottom.m2i,
   generic-header-top.m2i, generic-source-includes.m2i,
   generic-table-indexes.m2i, generic-value-map-reverse.m2i
, generic-value-map.m2i, m2c_setup_enum.m2i,
   mfd-data-access.m2c, node-storage.m2i,
   syntax-InetAddress-get.m2i, syntax-InetAddress-set.m2i,
   syntax-InetAddressType-get.m2i,
   syntax-InetAddressType-set.m2i, syntax-RowStatus-get.m2i
, syntax-TestAndIncr-get.m2i:

   set emacs mode to c
   
2003-09-30 06:19  rstory

   * local/mib2c-conf.d/details-node.m2i:

   set emacs mode to c; fix generated comment
   
2003-09-30 06:18  rstory

   * local/mib2c-conf.d/default-mfd-top.m2c:

   new flag for including example code
   
2003-09-29 22:45  hardaker

   * local/mib2c-conf.d/: mfd-access-unsorted-external-readme.m2i
, mfd-readme.m2c:

   Misc updates for readability, etc.
   
2003-09-29 16:43  hardaker

   * local/mib2c-conf.d/mfd-readme.m2c:

   Initial word smithing of the global README.
   
2003-09-29 15:41  hardaker

   * local/mib2c:

   Support a -I switch to specify config file search paths.
   
2003-09-29 15:30  hardaker

   * local/mib2c.iterate_access.conf:

   missing some end statements
   
2003-09-29 14:27  hardaker

   * NEWS:

   reference new disman features
   
2003-09-29 14:25  hardaker

   * man/snmpd.conf.5.def:

   document (poorly of course) new monitoring features.
   
2003-09-29 14:16  hardaker

   * agent/mibgroup/disman/mteEventTable.c:

   - trapEvent -> notificationEvent
   
2003-09-29 14:13  hardaker

   * agent/mibgroup/disman/mteEventTable.c:

   - linkUpDownTraps -> linkUpDownNotifications
   
2003-09-29 14:09  hardaker

   * agent/mibgroup/disman/: mteEventTable.c, mteEventTable.h
, mteTriggerTable.c:

   - A new snmpd.conf token (trapEvent) for generating traps of any kind
     on a monitoring event and a -e switch to monitor token to reference it.
   - A new snmpd.conf token linkUpDownTraps to enable linkUp/linkDown
     traps using the above piece.
   
2003-09-29 07:00  hardaker

   * dist/snmpd-init.d:

   /etc/init.d -> /etc/rc.d/init.d
   
2003-09-28 21:58  hardaker

   * include/net-snmp/agent/snmp_agent.h:

   remove comment in comment problem.
   
2003-09-28 19:58  hardaker

   * man/snmp_trap_api.3.def:

   Added Dave's really coll ascii diagram from -users explaining how
   traps are sent to their destinations over any SNMP version.
   
2003-09-28 19:39  hardaker

   * agent/mibgroup/examples/notification.c:

   Added Dave's really coll ascii diagram from -users explaining how
   traps are sent to their destinations over any SNMP version.
   
2003-09-26 22:29  hardaker

   * agent/agent_trap.c:

   properly malloc the enterprise pointer before using it.
   
2003-09-26 21:27  hardaker

   * perl/SNMP/: SNMP.xs (V5-0-patches.4), SNMP.xs:

   correct length in string fixed string comparison
   
2003-09-26 16:19  hardaker

   * dist/net-snmp.spec:

   misc install fixes (mostly perl) and one perl patch.
   
2003-09-26 10:31  hardaker

   * perl/SNMP/: SNMP.xs (V5-0-patches.3), SNMP.xs:

   fix useNumeric once and for all (maybe)
   
2003-09-20 22:38  hardaker

   * agent/mibgroup/host/: hr_swrun.c (V5-0-patches.1), hr_swrun.c
:

   Patch #809243 for bug #808920 from Bob R. for fixing process name discrepency (ps vs SNMP)
   
2003-09-20 22:29  hardaker

   * agent/helpers/: instance.c (V5-0-patches.1), instance.c:

   patch #807414 for bug #757923 by Bob Rowlands to fix int watching on 64 bit systems
   
2003-09-17 20:16  rstory

   * agent/helpers/table_mfd.c:

   use net data_list_add_data
   
2003-09-17 17:48  rstory

   * include/net-snmp/agent/table_mfd.h:

   change mfd api parameters
   
2003-09-17 17:47  rstory

   * agent/snmp_agent.c:

   use new inline macros; always create agent_req_info when creating asp; move
   getbulk reorder code into an inline function for code readability; deprecate
   netsnmp_set_request_error and netsnmp_set_mode_request_error in favor
   of new netsnmp_request_set_error; deprecate netsnmp_set_all_requests_error in
   favor of new netsnmp_request_set_error_all; try and return useful error codes
   
2003-09-17 17:29  rstory

   * include/net-snmp/library/snmp-tc.h:

   make sure params are unique
   
2003-09-17 17:24  rstory

   * include/net-snmp/net-snmp-config.h.in:

   autoheader update for new acconfig.h
   
2003-09-17 17:07  rstory

   * local/mib2c-conf.d/m2c_setup_enum.m2i:

   setup for enum vars
   
2003-09-17 17:05  rstory

   * local/mib2c-conf.d/parent-set.m2i:

   remove create_undo_context (assuming undo_context == data_context for now);
   fix log level macro; allocate_data_context moved elsewhere
   
2003-09-17 17:03  rstory

   * local/mib2c-conf.d/parent-dependencies.m2i:

   fix paramater type;
   
2003-09-17 16:57  rstory

   * local/mib2c-conf.d/mfd-makefile.m2m:

   don't need source dir if we use new net-snmp-config --build-includes; add
   build/src dir -I paths before base cflags
   
2003-09-17 16:55  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   use new inline macros; add object_syntax_check processing;
   
2003-09-17 16:54  rstory

   * local/mib2c-conf.d/mfd-data-set.m2c:

   only include parent-set if data context is generated & allocated
   
2003-09-17 16:50  rstory

   * local/mib2c-conf.d/m2c_setup_node.m2i:

   per node setup for enums
   
2003-09-17 16:47  rstory

   * local/mib2c-conf.d/: generic-get-char.m2i,
   generic-value-map.m2i:

   new file to setup enums vars
   
2003-09-17 16:43  rstory

   * local/mib2c-conf.d/generic-table-enums.m2c:

   new file to generate enums header file
   
2003-09-17 16:40  rstory

   * local/mib2c-conf.d/: generic-ctx-get.m2i,
   generic-ctx-set.m2i, generic-data-context.m2i,
   m2c_setup_table.m2i, mfd-access-unsorted-external-body.m2i
:

   new m2c_data_item for getting to data items, so includes don't need to know
   whether or not to use data->item or data.item.
   
2003-09-17 16:34  rstory

   * local/mib2c-conf.d/details-enums.m2i:

   move some setup for enums to m2c_setup_node and new m2c_setup_enum; add some
   comments and examples to document process flow; move some comments to the
   top of the header instead for each node; make sure internal mapping
   defines are unique per node
   
2003-09-17 16:32  rstory

   * snmplib/data_list.c:

   use doxygen deprecated tag instead of simple comments
   
2003-09-17 16:29  rstory

   * local/mib2c-conf.d/mfd-top.m2c,
   include/net-snmp/library/container.h:

   use new inline macros; change FIRST to use find_next instead of find; add
   func pointer for item memory free
   
2003-09-17 16:11  rstory

   * include/net-snmp/library/check_varbind.h:

   prototype for new check_vb_type
   
2003-09-17 13:09  rstory

   * include/net-snmp/agent/snmp_agent.h:

   add comments; add agent_request_info ptr to request_info; add
   netsnmp_request_set_error; deprecate netsnmp_set_request_error and
   netsnmp_set_mode_request_error; use new inline macros; remove unused pdu
   pointer from agent_request_info
   
2003-09-17 13:05  rstory

   * agent/helpers/table_mfd.c:

   for set, save row in first request; chg mfd param list; don't call later
   modes unless row exists; call lower handlers;
   
2003-09-17 12:34  rstory

   * include/net-snmp/library/data_list.h, snmplib/data_list.c
:

   use new inline macros; add data_list_add_node, data_list_add_data
   
2003-09-17 12:08  rstory

   * agent/agent_handler.c, agent/agent_registry.c,
   agent/helpers/table.c, agent/helpers/table_data.c,
   agent/helpers/table_dataset.c,
   include/net-snmp/agent/agent_handler.h,
   include/net-snmp/agent/table_data.h,
   include/net-snmp/agent/table_dataset.h:

   use new inline macros
   
2003-09-17 12:02  rstory

   * include/net-snmp/library/snmp-tc.h:

   new netsnmp_dateandtime_set_buf_from_vars
   
2003-09-17 11:58  rstory

   * snmplib/snmp-tc.c:

   new netsnmp_dateandtime_set_buf_from_vars
   
2003-09-17 09:49  rstory

   * snmplib/container.c:

   use new inline macro
   
2003-09-17 09:49  rstory

   * snmplib/check_varbind.c:

   use new inline macros; new check_vb_type
   
2003-09-17 09:48  rstory

   * snmplib/.cvsignore:

   ignore binary array test binary
   
2003-09-17 09:46  rstory

   * win32/: config.h, net-snmp/net-snmp-config.h:

   update for new inline macros (I think microsloth supports inline)
   
2003-09-17 09:43  rstory

   * include/net-snmp/system/: aix.h, hpux.h, irix.h
, osf5.h:

   turn off net-snmp use of inline for non-gcc compilers (don't undef inline)
   
2003-09-17 09:38  rstory

   * acconfig.h:

   define (and comment) macros for handling inline use in net-snmp
   
2003-09-17 09:37  rstory

   * net-snmp-config.in:

   mv build dir check to subroutine; add missing NSC_SRC_LIBDIRS; add new
   --build-includes
   
2003-09-17 09:33  rstory

   * configure.in:

   add -Winline to dev flags
   
2003-09-17 09:33  rstory

   * Makefile.in:

   give reason when re-running config.status
   
2003-09-16 17:25  hardaker

   * README:

   peter hicks
   
2003-09-16 17:24  hardaker

   * perl/SNMP/SNMP.pm:

   Patch from Peter Hicks for a new get_table function
   
2003-09-16 17:09  hardaker

   * snmplib/: snmpUDPIPv6Domain.c (V5-0-patches.1),
   snmpUDPIPv6Domain.c:

   Patch from Katsuhisa ABE from -users to fix a masking problem
   
2003-09-12 12:43  hardaker

   * dist/: RELEASE-INSTRUCTIONS, net-snmp.spec:

   - minor changes for improved perl Makefile.PL argument support (>= 5.0.9)
   
2003-09-12 11:03  hardaker

   * Makefile.in (V5-0-patches.2), Makefile.in:

   Patch for --with-perl-modules extra argument support
   
2003-09-12 06:28  rstory

   * configure:

   configure to match config.in
   
2003-09-12 06:25  rstory

   * configure.in:

   fix mis-matched parens
   
2003-09-11 15:50  rstory

   * agent/snmpd.c:

   use new netsnmp_daemonize library call
   
2003-09-11 15:48  rstory

   * local/mib2c.access_functions.conf:

   move comments about routines closer to routines to reduce confusion
   
2003-09-11 15:47  rstory

   * local/mib2c:

   add @debug@ token to turn debug on/off; print locations for more warnings/errors
   
2003-09-11 15:45  rstory

   * local/mib2c-conf.d/default-mfd-top.m2c:

   defaults for two new flags: readme_verbose and data_transient
   
2003-09-11 15:44  rstory

   * local/mib2c-conf.d/syntax-DateAndTime-readme.m2i:

   readme for DateAndTime
   
2003-09-11 15:44  rstory

   * local/mib2c-conf.d/syntax-DateAndTime-get.m2i:

   add buf len param to netsnmp_dateandtime_set
   
2003-09-11 15:33  rstory

   * local/mib2c-conf.d/mfd-top.m2c:

   un-comment include of enums header; move all data context processing into
   include; don't assume pointers to data/undo contexts; only define prototype
   for allocate_data if needed; run enum header conf file; run new readme conf file
   
2003-09-11 14:12  rstory

   * net-snmp-config.in:

   add build-lib-deps
   
2003-09-11 14:04  rstory

   * local/mib2c-conf.d/mfd-makefile.m2m:

   open file earlier; use new var for default NETSNMPDIR; don't assume NETSNMPDIR
   is sourcedir; use new net-snmp-config options for get lib dirs/deps
   
2003-09-11 13:58  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   include new generic-data-allocate if data_allocate set and data_context is
   generated; move table_(allocate|release)_ctx here
   
2003-09-11 13:55  rstory

   * local/mib2c-conf.d/generic-data-allocate.m2i:

   new file for allocate/release of data context
   
2003-09-11 13:54  rstory

   * local/mib2c-conf.d/mfd-data-get.m2c:

   move data allocate/release to it's own include; only include it if data_allocate
   set and data_context isn't generated
   
2003-09-11 13:52  rstory

   * local/mib2c-conf.d/: mfd-access-unsorted-external-readme.m2i
, mfd-readme.m2c:

   new readme generation
   
2003-09-11 13:52  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-interface.m2i
:

   wrap get_first/get_next so we can move index2oid here and make it static
   
2003-09-11 13:51  rstory

   * local/mib2c-conf.d/mfd-access-unsorted-external-body.m2i:

   only generate tabe_get_data for transient data; move index2oid into interface
   code; gen different code based on data transient setting
   
2003-09-11 13:44  rstory

   * local/mib2c-conf.d/m2c_setup_table.m2i:

   default to generated, non-allocated data_context
   
2003-09-11 13:40  rstory

   * local/mib2c-conf.d/generic-value-map-reverse.m2i:

   fix renamed var
   
2003-09-11 13:40  rstory

   * local/mib2c-conf.d/generic-table-oids.m2c:

   don't include enum stuff in oid header
   
2003-09-11 13:39  rstory

   * local/mib2c-conf.d/generic-table-indexes.m2i:

   remove unused owner ptr
   
2003-09-11 13:39  rstory

   * local/mib2c-conf.d/generic-get-decl-bot.m2i:

   fix len_ptr variable name
   
2003-09-11 13:39  rstory

   * local/mib2c-conf.d/generic-get-char.m2i:

   define IS_SET_* macros here instead of in header
   
2003-09-11 13:37  rstory

   * local/mib2c-conf.d/generic-data-context.m2i:

   merge data struct back into single typedef; don't generate struct if user
   specified existing struct; add * in typedef if data_allocate set
   
2003-09-11 13:35  rstory

   * local/mib2c-conf.d/generic-ctx-copy.m2i:

   remove example start/end (parent decides that)
   
2003-09-11 13:35  rstory

   * local/mib2c-conf.d/details-table.m2i:

   more distinctive separator before tables
   
2003-09-11 13:18  rstory

   * local/mib2c-conf.d/details-enums.m2i:

   remove IS_SET_* macros; tweak conditions for generating enums and mapping
   macros
   
2003-09-11 13:09  rstory

   * snmplib/system.c:

   new netsnmp_daemonize
   
2003-09-11 13:05  rstory

   * include/net-snmp/library/system.h:

   reduce scope of sun's copyright claim; bail if net-snmp-config not included;
   prototype for new netsnmp_daemonize
   
2003-09-11 12:57  rstory

   * agent/mibgroup/examples/netSnmpHostsTable_access.c:

   fix comment typo; document possible race condition and move one line to
   make window smaller
   
2003-09-11 12:55  rstory

   * net-snmp-config.in:

   use vars to make it easier to understand what flags are what in generated
   version; group similar options together; add options to to get source
   directory and lib path in build dir; add --base-subagent-libs (no lib path),
   --libdir
   
2003-09-11 08:33  rstory

   * configure:

   configure to match config.in
   
2003-09-11 08:26  rstory

   * configure.in:

   trap bad options --with-modules or --with-out-modules
   
2003-09-05 23:37  hardaker

   * README (V5-0-patches.7), README:

   added Bob Rowlands
   
2003-09-05 22:36  hardaker

   * agent/helpers/: table.c, table_iterator.c (V5-0-patches.[2,2]),
   table.c, table_iterator.c:

   Patch #800561 from Bob Rowlands to fix 64bit problems (-> size_t)
   
2003-09-05 22:30  hardaker

   * agent/mibgroup/agentx/: protocol.c (V5-0-patches.1), protocol.c
:

   Patch #800485 from Bob Rowlands for 64 bit agentx problems
   
2003-09-05 22:16  hardaker

   * snmplib/: snmpusm.c (V5-0-patches.1), snmpusm.c:

   Patch #792008 from Thomas? to allow usmUser tokens to override previous entries
   
2003-09-05 22:04  hardaker

   * man/: mib2c.1.def, snmpcmd.1.def, snmpdelta.1, snmpdf.1,
   snmpnetstat.1, snmpstatus.1.def, snmptable.1.def, snmptest.1.def,
   snmptranslate.1.def (V5-0-patches.[2,2,1,1,1,1,1,1,1]), mib2c.1.def
, netsnmp_agent.3, netsnmp_bulk_to_next.3,
   netsnmp_data_list.3, netsnmp_debug.3,
   netsnmp_handler.3, netsnmp_instance.3,
   netsnmp_library.3, netsnmp_mib_utilities.3,
   netsnmp_mode_end_call.3, netsnmp_multiplexer.3,
   netsnmp_netsnmp_iterator_info_s.3,
   netsnmp_netsnmp_mib_handler_methods.3, netsnmp_oid_stash.3
, netsnmp_old_api.3, netsnmp_read_only.3,
   netsnmp_scalar.3, netsnmp_serialize.3,
   netsnmp_set_data.3, netsnmp_table.3,
   netsnmp_table_array.3, netsnmp_table_data.3,
   netsnmp_table_dataset.3, netsnmp_table_iterator.3,
   netsnmp_todo.3, netsnmp_util.3, netsnmp_watcher.3
, snmpcmd.1.def, snmpdelta.1, snmpdf.1,
   snmpnetstat.1, snmpstatus.1.def, snmptable.1.def,
   snmptest.1.def, snmptranslate.1.def:

   Patch #789485 from Bob Rowlands for a long needed overhaul of the manual pages.
   
2003-09-05 21:21  hardaker

   * Makefile.in, configure, configure.in (V5-0-patches.[9,9,9]),
   Makefile.in, configure, configure.in:

   Add optional arguments to the --with-perl-modules flag for passing down
   
2003-09-05 16:56  hardaker

   * agent/snmp_agent.c, include/net-snmp/agent/snmp_agent.h
   (V5-0-patches.[4,2]), agent/snmp_agent.c,
   include/net-snmp/agent/snmp_agent.h:

   - fix a getbulk bug pointed out by Jurij Smakov.
   
2003-09-05 06:25  dts12

   * include/net-snmp/agent/agent_trap.h, agent/agent_trap.c
:

   Re-written internals of agent trap generation.
   Work with separate v1 and v2 template PDUs, and separate
   (standalone) routines to convert between them, following RFC 2576,
   Hopefully a somewhat cleaner approach than before,
   
2003-09-02 23:09  hardaker

   * dist/net-snmp.spec:

   - new spec to include building the perl modules.
     - done in sort of a temporary hacky way till proper support is put
       directly into the master Makefile to support optional arguments
       being passed to the Makefile.PL script.
   
2003-09-02 23:07  hardaker

   * dist/RELEASE-INSTRUCTIONS:

   update to include RPM building instructions.
   
2003-09-02 23:07  hardaker

   * dist/Makefile:

   Modifications to support perl and building source and binary at once.
   
2003-09-02 14:53  rstory

   * dist/nsb-nightly:

   add option to not source ~/.nsb-nightly; don't remobe build dir on success here
   
2003-09-02 14:52  rstory

   * dist/nsb-functions:

   allow env vars to override defaults for more options; rename DATE to
   NSB_DATE; only scp make files from this run; add uname to output
   
2003-09-01 16:45  hardaker

   * Makefile.in:

   prune dist/rpm from etags results
   
2003-08-28 02:02  dts12

   * apps/snmptrapd.c:

   A configure token to control the addresses/ports that trapd listens on.
   
2003-08-22 02:38  dts12

   * perl/SNMP/SNMP.pm:

   Document the default version change.
   
2003-08-21 14:28  rstory

   * dist/cvsup:

   make upload tarball name based on date
   
2003-08-21 01:55  dts12

   * agent/snmp_agent.c:

   If a GETBULK hits the end of the MIB tree, make sure any empty varbinds
   are returned as 'endOfMibView' exceptions, rather than (.0.0 = NULL)
   
   If *all* the repeating varbinds hit the end of the MIB tree, truncate
   after the first full empty row.
   
2003-08-21 01:50  dts12

   * agent/snmp_agent.c:

   If there's a mixture of "still active" repetitions, and ones that have
   already reached the end of the OID tree, then some of the varbind structures
   may well be NULL.
     It's preferable to skip these, and continue processing everything else,
   rather than crash the server:-)
   
2003-08-21 01:29  dts12

   * acconfig.h, configure, configure.in,
   agent/mibgroup/smux/smux.c,
   include/net-snmp/net-snmp-config.h.in:

   Default to global SMUX access (as currently), but supply a configure
   option to set default SMUX access to be localhost only.
   Happy now?
   
2003-08-21 01:24  dts12

   * acconfig.h:

   Ensure that the SNMP_TRANSPORT_CALLBACK_DOMAIN token remains available
   when configure system files are recreated.
   
2003-08-20 02:39  dts12

   * agent/snmp_agent.c:

   Expand the description of the post-BULK re-organisation, so it's somewhat
   clearer what's happening.  It took me best part of an hour (plus inserting
   assorted debugging statements) to make sense of this!
   
2003-08-20 02:36  dts12

   * agent/agent_handler.c:

   Register MIBs using the lowest-level available name, rather than the
   first handler in the chain.   This no longer results in the whole MIB
   registry being identified as "bulk_to_get"!
   
2003-08-20 02:26  dts12

   * agent/mibgroup/ucd-snmp/: extensible.c, extensible.h:

   Unregister (relocatable) extensions when re-reading the configuration file.
   This allows "exec" lines to be re-loaded without causing the agent to crash!
   
2003-08-19 08:12  dts12

   * perl/SNMP/SNMP.xs:

   Better fix for Bug #630348.  Treat all DBPRT calls consistently, and
   make sure the PerlIO_printf call is passed the correct parameter list.
   
2003-08-19 07:31  dts12

   * perl/SNMP/SNMP.xs:

   Whatever the cause of bug #630348 was, this isn't the answer.
   With 'PerlIO_fprintf', it doesn't compile!  More investigation needed.
   
2003-08-19 01:56  dts12

   * agent/mibgroup/smux/smux.c:

   Allow the (compile-time) option of restoring global access to SMUX services.
   If the consensus is that this should be the default (as currently), then
   I've no strong feelings either way.  Feel free to adjust accordingly.
   
2003-08-19 01:53  dts12

   * agent/helpers/cache_handler.c:

   Automatically release expired cache resources.
   
2003-08-19 01:52  dts12

   * agent/helpers/cache_handler.c:

   Invalidate the cache on (successful) SET requests.
   This is currently done regardless - it would be sensible to make it
   configurable on a per-cache basis.
   
2003-08-18 15:14  rstory

   * snmplib/container_iterator.c:

   comment out code that shouldn't have been checked in yet
   
2003-08-18 15:13  rstory

   * snmplib/container.c:

   update for correct method to cleanup container factory list; remove
   release_if_top and _ba_* functions
   
2003-08-18 15:11  rstory

   * include/net-snmp/library/container.h:

   update prototype for correct function to cleanup container factory list; fix
   comment typos; remove release_if_top prototype and call in CONTAINER_FREE
   
2003-08-18 15:09  rstory

   * agent/snmp_vars.c:

   call correct function to cleanup container factory list
   
2003-08-18 15:08  rstory

   * agent/agent_handler.c:

   document segfault location for future fixing
   
2003-08-18 09:12  dts12

   * agent/mibgroup/agent/nsCache.c:

   Bring into line with new cache release API definition.
   
2003-08-18 08:49  rstory

   * agent/helpers/table_mfd.c:

   source for table_mfd
   
2003-08-18 08:30  hardaker

   * include/net-snmp/agent/stash_cache.h:

   opps.  missed the header
   
2003-08-18 08:04  rstory

   * include/net-snmp/agent/table_mfd.h:

   don't reference non-existent file
   
2003-08-18 08:01  rstory

   * include/net-snmp/agent/table_mfd.h:

   header for table_mfd
   
2003-08-18 06:35  rstory

   * include/net-snmp/library/container_iterator.h:

   header for container iterator
   
2003-08-18 05:42  dts12

   * agent/mibgroup/mibII/: icmp.c, ip.c, tcp.c,
   tcpTable.c, udp.c, udpTable.c:

   New v5-style handlers should only ever receive MODE_GET requests.
   Log a warning for other unexpected (or unrecognised) request modes.
   
2003-08-18 03:19  dts12

   * agent/mibgroup/mibII/: icmp.c, ip.c, tcp.c,
   tcpTable.c, udp.c, udpTable.c:

   Use the new (internal) cache validity checking.
   Qn: How can we access the request-information structure (or similar)
       from within iterator data_point routines?
   
2003-08-18 03:17  dts12

   * agent/helpers/cache_handler.c,
   include/net-snmp/agent/cache_handler.h:

   Provide an API for determining whether a given cache is currently valid.
   Release old cache resources before loading the new values.
   NB: This involves a change in the 'free' hook API.
   
2003-08-18 03:14  dts12

   * include/net-snmp/library/container.h:

   The macro function definitions rely on logging routines from 'snmp_logging.c'
   so the appropriate declarations and defined constants need to be available.
   
2003-08-18 03:12  dts12

   * include/net-snmp/agent/ds_agent.h, agent/snmp_agent.c
, agent/mibgroup/smux/smux.c,
   agent/mibgroup/smux/smux.h:

   Support configuration of the socket address to listen for SMUX connections on.
   
   Note: Change of behaviour - this patch defaults to listening for connections
   from the localhost only.
   
2003-08-18 02:55  dts12

   * include/net-snmp/library/default_store.h,
   snmplib/snmpUDPDomain.c, snmplib/snmp_api.c:

   Provisional support for sending client requests from a specified interface
   or socket address.
   Qn: Should this be applied to TCP connections too?
       What about other transports?
   
2003-08-18 02:53  dts12

   * include/net-snmp/library/mib.h, snmplib/mib.c:

   Implement 'snprintf_description' routines,
   to output MIB definitions to a string rather than a file.
   
2003-08-17 16:49  rstory

   * local/mib2c-conf.d/syntax-RowStatus-get.m2i:

   fix hardcoded var names/constants (eek!)
   
2003-08-17 16:47  rstory

   * local/mib2c-conf.d/mfd-top.m2c:

   rename some typedefs; add *_ref_* typedefs; make netsnmp_index first item
   in ctx; make index local instead of ptr; run new mfd-access-*-header; add
   some prototypes, debug msgs; update init to set up mfd_registration, container,
   *_get_values; fix renames mfd registration routine; run new makefile and
   subagent conf files
   
2003-08-17 16:43  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   include mfd header; new *_get_values; tweak *_get_column: include accessible
   indexes, push var memory check up a level *_get_values (should go up one
   more, into helper instead of generated code); run new mfd_access_*_interface
   
2003-08-17 16:40  rstory

   * local/mib2c-conf.d/mfd-data-set.m2c:

   move process print after noaccess test
   
2003-08-17 16:39  rstory

   * local/mib2c-conf.d/mfd-data-get.m2c:

   new *_(allocate|release)_(data|ctx); move process print after noaccess test
   
2003-08-17 16:38  rstory

   * local/mib2c-conf.d/mfd-data-access.m2c:

   rename access-* to mfd-access-*
   
2003-08-17 16:37  rstory

   * local/mib2c-conf.d/generic-table-oids.m2c:

   add header; include enums too
   
2003-08-17 16:33  rstory

   * local/mib2c-conf.d/: mfd-access-unsorted-external-body.m2i,
   mfd-access-unsorted-external-header.m2i,
   mfd-access-unsorted-external-interface.m2i, mfd-makefile.m2m
, subagent.m2c:

   new mfd data access conf files (wrap around new container iterator); new mfd
   conf files to generate makefile/subagent main
   
2003-08-17 16:31  rstory

   * win32/net-snmp/net-snmp-config.h:

   use config.h define to temporarily disable win callback transport, instead
   of win specific ifdefs in code
   
2003-08-17 16:21  rstory

   * snmplib/snmp_debug.c:

   new debugmsg_suboid
   
2003-08-17 16:21  rstory

   * snmplib/read_config.c:

   check for null ptr
   
2003-08-17 16:21  rstory

   * snmplib/container_list_ssll.c:

   remove noalloc functions; rename typedef
   
2003-08-17 16:18  rstory

   * snmplib/container_binary_array.c:

   remove noalloc functions
   
2003-08-17 16:17  rstory

   * snmplib/container.c:

   remove unused var and noalloc functions
   
2003-08-17 16:17  rstory

   * dist/cvsup:

   add optional upload of src tarball after update
   
2003-08-17 15:22  rstory

   * snmplib/mib.c:

   new netsnmp_sprint_realloc_objid (doesn't use mibs); rework ifdefs for
   netsnmp_sprint_realloc_objid_tree & DISABLE_MIB_LOADING
   
2003-08-17 15:20  rstory

   * snmplib/: Makefile.in, container_iterator.c:

   add new container iterator
   
2003-08-17 15:19  rstory

   * local/mib2c:

   don't run indent on files unless they end w/ .c or .h; print more info when
   die of unexpected else
   
2003-08-17 15:18  rstory

   * include/net-snmp/library/snmp_debug.h:

   new DEBUGMSGSUBOID & supporting cast
   
2003-08-17 15:17  rstory

   * include/net-snmp/library/snmp.h:

   fix comments which exceed 80 chars
   
2003-08-17 15:16  rstory

   * include/net-snmp/library/mib.h:

   new netsnmp_sprint_realloc_objid prototype
   
2003-08-17 15:15  rstory

   * include/net-snmp/agent/table.h:

   new netsnmp_table_find_next_row prototype
   
2003-08-17 15:15  rstory

   * include/net-snmp/agent/snmp_vars.h:

   new netsnmp_enable_subagent prototype
   
2003-08-17 15:14  rstory

   * include/net-snmp/agent/snmp_agent.h:

   new netsnmp_check_requests_error prototype
   
2003-08-17 15:12  rstory

   * agent/helpers/baby_steps.c,
   include/net-snmp/agent/baby_steps.h:

   new (temporary?) baby steps helper
   
2003-08-17 15:10  rstory

   * include/net-snmp/agent/all_helpers.h:

   add baby_steps.h, row_merge.h, table_mfd.h
   
2003-08-17 15:10  rstory

   * include/net-snmp/agent/agent_handler.h:

   define new can baby step mode flag
   
2003-08-17 15:10  rstory

   * include/net-snmp/types.h:

   new netsnmp_ref_void, netsnmp_ref_size_t typedefs
   
2003-08-17 15:09  rstory

   * include/net-snmp/utilities.h:

   bail if net-snmp-config hasn't been included; add container/assert headers
   
2003-08-17 15:08  rstory

   * include/net-snmp/net-snmp-includes.h:

   bail if net-snmp-config hasn't been included; don't inlcude utilities twice
   
2003-08-17 15:06  rstory

   * agent/mibgroup/agentx/subagent.c:

   new netsnmp_enable_subagent, only defined if USING_AGENTX_SUBAGENT_MODULE, so
   a link error will occur if agentx support not compiled in
   
2003-08-17 15:05  rstory

   * agent/helpers/table_array.c:

   remove find_next_row, use new netsnmp_table_index_find_next_row; fix typo
   
2003-08-17 15:03  rstory

   * agent/helpers/table.c:

   notes for future enhancements; fix potential memory leak; new
   netsnmp_table_index_find_next_row
   
2003-08-17 15:02  rstory

   * agent/helpers/row_merge.c:

   skip grouping if only 1 varbind; note for future enhancements
   
2003-08-17 15:02  rstory

   * agent/helpers/Makefile.in:

   add new baby_steps, table_mfd helpers; build objs/lobjs from srcs
   
2003-08-17 14:59  rstory

   * agent/snmp_agent.c:

   new netsmp_check_requests_errors
   
2003-08-17 14:58  rstory

   * agent/agent_handler.c:

   code reuse (call_handlers uses call_handler); add new mode text for
   handler_can_mode slist
   
2003-08-16 07:27  hardaker

   * agent/helpers/table_iterator.c:

   - move some pointer saving for STASH related stuff outside the more
     frequently called loop.
   
2003-08-15 04:24  dts12

   * include/net-snmp/library/mib.h, man/snmpcmd.1.def,
   snmplib/mib.c, snmplib/snmp_parse_args.c:

   Move prefix/suffix options under -I
   
2003-08-15 03:33  dts12

   * snmplib/mib.c:

   Don't add a trailing dot if we're setting a prefix, but not a suffix.
   
2003-08-14 01:13  dts12

   * agent/helpers/: all_helpers.c, bulk_to_next.c,
   cache_handler.c, debug_handler.c, instance.c,
   mode_end_call.c, multiplexer.c, read_only.c,
   row_merge.c, scalar.c, scalar_group.c,
   serialize.c, watcher.c:

   Reorganise the agent helper 'doxygen' structure, to make it less "flat".
   Group "leaf-object" helpers together, and internal "utility" helpers similarly.
   
2003-08-14 01:09  dts12

   * snmplib/snmp_api.c:

   Try to catch (some) PDU dual-free's.
   
2003-08-14 00:15  hardaker

   * agent/helpers/table_iterator.c:

   1 of 2 memory leaks found (ok, I said I wasn't going to find it but...)
   
2003-08-13 23:40  hardaker

   * agent/helpers/: Makefile.in, all_helpers.c,
   stash_cache.c, table_iterator.c:

   - added a new helper to auto-cache data.  Currently the only
     sub-module supported by this is the table_iterator, but significant
     speed improvements can be seen when caching of iterator data is
     turned on.
     - to test add to snmpd.conf:
         injectHandler stash_cache MODULE table_iterator
       (a good test module is the nsModuleTable which has a lot of rows)
     - warning: not heavily tested.  Seems ok for at least the simple cases.
   
2003-08-13 23:36  hardaker

   * include/net-snmp/: agent/snmp_agent.h, library/snmp.h
:

   - define a new internal-use mode:  MODE_GET_CACHE
   
2003-08-13 23:36  hardaker

   * snmplib/snmp_enum.c:

   use calloc to initialize and zero memory (fixes an error spotted by valgrind).
   
2003-08-13 23:35  hardaker

   * snmplib/oid_stash.c:

   spotted one memory leak.
   
2003-08-13 23:15  hardaker

   * apps/snmpwalk.c, man/snmpwalk.1.def:

   - added a -Ct option to snmpwalk to display walk clock timer results
   
2003-08-13 22:40  hardaker

   * include/net-snmp/library/oid_stash.h, snmplib/oid_stash.c
:

   - added a parent node for upward traversal.
   - a getnext implementation that actually works (fairly heavily tested).
   
2003-08-13 22:36  hardaker

   * agent/mibgroup/mibII/icmp.c, agent/mibgroup/mibII/ip.c
, agent/mibgroup/mibII/tcp.c,
   agent/mibgroup/mibII/tcpTable.c, agent/mibgroup/mibII/udp.c
, agent/mibgroup/mibII/udpTable.c,
   include/net-snmp/agent/cache_handler.h:

   - modified the free function pointer to take a cache argument for
     generalizing it a bit more.
   
2003-08-13 22:33  hardaker

   * agent/agent_handler.c,
   include/net-snmp/agent/agent_handler.h:

   - Implement netsnmp_inject_handler_before() which takes an argument to
     determine where in the handler chain it should inject something.
   - Modify the injectHandler .conf token to taken an optional final
     BEFORE argument.
   
2003-08-10 11:39  hardaker

   * include/net-snmp/library/system.h, snmplib/Makefile.in
, snmplib/mib.c, snmplib/parse.c:

   misc high level copyright notes added (IE, see the COPYING file, ...).
   
2003-08-10 11:38  hardaker

   * configure.in, agent/snmpd.c,
   agent/mibgroup/ucd-snmp/file.c,
   agent/mibgroup/ucd-snmp/logmatch.c:

   misc copyright notes added.
   
2003-08-05 01:42  dts12

   * net-snmp-config.in:

   Catch missing parameters in compile-subagent handling too
   
2003-08-05 01:38  dts12

   * net-snmp-config.in:

   Catch missing parameters in create-snmpv3-user handling
   
2003-08-05 01:32  dts12

   * net-snmp-config.in:

   Use $1 parameter directly in create-snmpv3-user processing.
   Somewhat less confusing than with the additional $arg parameter,
   and less chance of shifting a non-existent value.
   (Relevant to bug #755571)
   
2003-08-02 06:45  rstory

   * local/mib2c-conf.d/mfd-top.m2c:

   reog/update code generation; run mfd-data-access; set handler RWRITE if table
   writable; chg table registration type; include new table setup
   
2003-08-02 06:39  rstory

   * local/mib2c-conf.d/parent-set.m2i:

   simplify param lists; update code generation
   
2003-08-02 06:37  rstory

   * local/mib2c-conf.d/m2c_setup_node.m2i:

   setup node srh independent of get temp use
   
2003-08-02 06:36  rstory

   * local/mib2c-conf.d/generic-table-oids.m2c:

   be more paranoid about temporary override of $name
   
2003-08-02 06:35  rstory

   * local/mib2c-conf.d/generic-table-indexes.m2i:

   chg indention on some comment blocks; use new node-storage.m2i; rmv data ptr
   
2003-08-02 06:33  rstory

   * local/mib2c-conf.d/: m2c_setup_table.m2i,
   mfd-data-access.m2c, node-storage.m2i:

   new code templates
   
2003-08-02 06:31  rstory

   * local/mib2c-conf.d/: generic-ctx-get.m2i,
   generic-ctx-set.m2i, generic-data-context.m2i,
   generic-get-oid.m2i, generic-value-map.m2i,
   mfd-data-get.m2c, mfd-data-set.m2c, node-get.m2i,
   node-set.m2i, syntax-DateAndTime-get.m2d:

   data at ctx->data, not ctx; chg indention on block comments; fix some missed
   name changes; update for renamed conf files; simplify some param lists;
   add some asserts
   
2003-07-31 07:23  dts12

   * net-snmp-config.in:

   Don't shift away command-line parameters that probably aren't there
   (and certainly aren't relevant to the action being handled)
   Reported by Vinod Johnson
   
2003-07-31 03:12  dts12

   * agent/mibgroup/ucd-snmp/proxy.c:

   Handle proxied SETs in the ACTION pass, rather than the commit pass.
   This allows failures here to back out assignments in other modules.
   We can't process UNDO requests successfully, but we can at least report
   this fact.  Which is preferable to claiming failure but (silently)
   acting on some assignments.
   
2003-07-31 03:08  dts12

   * agent/mibgroup/ucd-snmp/proxy.c:

   Don't log warnings for deliberately unused SET passes.
   
2003-07-31 03:04  dts12

   * agent/mibgroup/ucd-snmp/proxy.c:

   Handle SNMP errors from proxied servers correctly.
   Passing the error back up the chain seems to Do The Right Thing.
   
2003-07-31 03:03  dts12

   * agent/snmp_agent.c:

   Problems in MIB processing are indicated via the 'asp->status' field,
   rather than the return value.  So use that when downgrading v2-style
   errors for v1 responses.
   
2003-07-30 10:55  rstory

   * local/mib2c-conf.d/: default-mfd-top.m2c, mfd-data-get.m2c
, mfd-data-set.m2c, mfd-interface.m2c, mfd-top.m2c
:

   new MIBs For Dummies (mfd) conf files
   
2003-07-30 10:51  rstory

   * local/mib2c:

   add example_(start/end); fix $x.ranges; allow literal var names in user code
   via $@var; add table_is_writable function
   
2003-07-30 10:45  rstory

   * local/mib2c-conf.d/: generic-ctx-copy.m2i,
   generic-ctx-get.m2i, generic-ctx-set.m2i,
   generic-data-context.m2i, generic-get-char.m2i,
   generic-get-decl-bot.m2i, generic-get-decl.m2i,
   generic-get-long.m2i, generic-get-oid.m2i,
   generic-header-bottom.m2i, generic-header-top.m2i,
   generic-source-includes.m2i, generic-table-indexes.m2i,
   generic-table-oids.m2c, generic-value-map-reverse.m2i,
   generic-value-map.m2i, m2c_setup_node.m2i, node-get.m2i
, node-set.m2i, parent-dependencies.m2i,
   parent-set.m2i, syntax-DateAndTime-get.m2d,
   syntax-DateAndTime-get.m2i, syntax-InetAddress-get.m2i,
   syntax-InetAddress-set.m2i, syntax-InetAddressType-get.m2i
, syntax-InetAddressType-set.m2i,
   syntax-RowStatus-get.m2i, syntax-TestAndIncr-get.m2i:

   lots of new mib2c helpers (includes)
   
2003-07-30 10:38  rstory

   * local/mib2c-conf.d/: details-enums.m2i, details-node.m2i
, details-table.m2i:

   mostly variable renames; some reorg
   
2003-07-30 06:25  dts12

   * agent/mibgroup/ucd-snmp/proxy.c:

   Discard values received from the proxy if the OID is invalid.
   (Typically when a GetNext walks past the end of the proxied subtree).
   Also update the comments to describe the behaviour in a bit more detail.
   
2003-07-30 06:11  dts12

   * agent/mibgroup/ucd-snmp/proxy.c:

   Respond to SNMP errors from the proxied agent.
   (The response is much too simplistic, and is likely to prove an
   over-reaction in many cases.   But it's a start)
   Note that the indentation has not been adjusted - wait until things
   settle down first.
   
2003-07-29 08:13  dts12

   * apps/: snmpdf.c (V4-2-patches.6), snmpdf.c:

   Fix a typo in an error message (Patch #769221)
   
2003-07-29 05:07  dts12

   * include/net-snmp/library/snmp.h:

   Correct the comments identifying hex/ascii values for PDU types.
   Reported by Oleg Ivanov.
   
2003-07-29 02:06  dts12

   * agent/mibgroup/: ucd-snmp/extensible.c, utilities/execute.c
:

   Support for multi-command directives for 'sh' extensibility.
       (i.e. running "this; that; the other")
   Retained the original behaviour of truncating at the first ';' for
   'exec' directives  (following the Principle of Least Astonishment)
   
2003-07-29 01:54  dts12

   * agent/mibgroup/ucd-snmp/proxy.c:

   Log failure to set up proxy command (rather than ploughing on regardless!)
   
2003-07-29 01:53  dts12

   * agent/mibgroup/ucd-snmp/extensible.c:

   Fix support for multi-line (relocatable) output.
   
2003-07-27 16:54  rstory

   * local/: mib2c (V5-0-patches.2), mib2c:

   fix filename in error msg, as noted in coders
   
2003-07-24 19:29  rstory

   * local/mib2c:

   fix oidlength function
   
2003-07-24 17:55  rstory

   * local/mib2c:

   add cvs id tag; add comment documenting nonindex; indexes loop will now
   include index for tables using augments
   
2003-07-24 17:52  rstory

   * perl/SNMP/SNMP.xs:

   add access to the AUGMENTS attribute
   
2003-07-23 16:43  rstory

   * local/mib2c:

   add warning for unknown $var.tag tags to catch typos; watch for unmatched
   @ in skipvars; don't open new file it it's already open; add flag to
   process_file for save/restore of vars; fix process again so it will catch
   unmatches @@; add new @foreach nonindex@
   
2003-07-22 09:07  jbpn

   * include/net-snmp/library/snmp_parse_args.h,
   snmplib/snmp_parse_args.c:

     - zero out sensitive command-line arguments (community string, user name,
       authentication passphrase, privacy passphrase).
   
       NOTE: this does not work for all plaforms -- certainly it doesn't
             work for Solaris.  A different, more gross method is needed
             for these platforms (see sendmail code for details --  need
             I say more?).
   
2003-07-22 08:45  dts12

   * man/snmpvacm.1.def:

   Improved descriptions of the various subcommands.
   Based on material supplied by Nick DiRico.
   
2003-07-22 08:08  dts12

   * agent/mibgroup/mibII/tcpTable.c:

   Various fixes to the recent TCP table redesign, supplied by Katsuhisa ABE.
   (Some others still outstanding, awaiting discussion.  But these are clear
   mistakes, which need fixing).
   
2003-07-22 08:04  dts12

   * agent/mibgroup/mibII/: tcpTable.c, udpTable.c:

   Use the table information 'colnum' field to identify the requested column
   object(s) rather than pulling stuff out of the OID.  Suggested by Oleg Ivanov.
   
2003-07-22 07:59  dts12

   * apps/snmpvacm.c:

   Make the createView mask parameter optional
   (as with the 'view' config directive)
   
2003-07-22 07:57  dts12

   * apps/snmpvacm.c:

   Correct the layout of the usage message.
   
2003-07-22 07:56  dts12

   * apps/snmpvacm.c:

   Use the more flexible API call for handling view OIDs
   
2003-07-19 10:55  rstory

   * local/mib2c-conf.d/: details-enums.m2i, details-node.m2i
, details-table.m2i:

   mib2c include files to generate node details
   
2003-07-19 10:52  rstory

   * local/mib2c:

   track current line and file name; new find_conf, process_file subs; remove
   @skip N@ ability; skip @token@ search if line doesn't begin with @;
   add @skipif@, @break@; dont require spaces for @close@; add -ifexists param to
   @include@; new @ifconf@ + rework code to make other @ifXXX@ tokens easy; merge
   else/elsif in process loop
   
2003-07-18 13:58  rstory

   * local/mib2c:

   add parsing of initial default file; delay processing of cmd line vars til
   after processing default file; add new $c.needslength, $c.hasdefval, $c.defval,
   $c.module, $c.accessible, $c.children (needs work), $c.hashint, $c.hint,
   $c.ranges,$c.enumrange (needs work) and various code to support them; add
   parameter to skip to allow one to break out of multiple levels (needs work);
   allow spaces after @cmd@ to allow for better control of indention; move file
   open/close to subroutines; new @append file@, @close file@, @include file@;
   allow writing to multiple files at once; new @print text@ (to stdout);
   whew! more to come...
   
2003-07-16 03:29  dts12

   * net-snmp-config.in:

   Support processing of compile-subagent sub-options in any order
   
2003-07-16 03:28  dts12

   * net-snmp-config.in:

   Handle compile-subagent called with no parameters
   
2003-07-16 03:24  dts12

   * net-snmp-config.in:

   Fix inconsistent usage within compile-subagent
   
2003-07-16 03:21  dts12

   * net-snmp-config.in:

   Handle --create-snmpv3-user called with no parameters
   
2003-07-16 02:07  dts12

   * README:

   Clarify the roles of the various mailing lists, and which ones to use
   (or not use).  Also updated the project web page along the same lines.
   
2003-07-15 21:50  rstory

   * local/mib2c:

   rename istable to iscolumn; add enums; add currentvar; fix enum dump to work
   for scalars
   
2003-07-15 08:06  dts12

   * agent/helpers/table.c:

   Fix a varargs type specification.  Spotted by Oleg Ivanov.
   
2003-07-15 07:35  dts12

   * agent/mibgroup/mibII/sysORTable.c:

   Avoid referencing freed memory.  (Reported by Steve Bennett)
   
2003-07-15 07:26  dts12

   * agent/mibgroup/ucd-snmp/pass.c:

   Run pass-through scripts in the ACTION pass, not COMMIT, so any errors
   can be reported back properly.
   Also tweak the error-checking code to recognise the error strings properly.
   
2003-07-14 17:00  rstory

   * configure:

   configure to mach configure.in
   
2003-07-14 16:52  rstory

   * configure.in:

   apply patch from Steve Bennett <steveb@snapgear.com> to allow one to disable
   the callback transport and reduce agent size. Tweaked by me a bit. disable
   agentx if callbacks disabled
   
   remove (transport|security)_[l]obj_list, as [l]obj lists are now generated
   from srcs; remove AgentX beta code warning from help
   
2003-07-14 16:50  rstory

   * agent/snmp_vars.c, include/net-snmp/net-snmp-config.h.in
, include/net-snmp/library/snmpCallbackDomain.h:

   apply patch from Steve Bennett <steveb@snapgear.com> to allow one to disable
   the callback transport and reduce agent size. Tweaked by me a bit. disable
   agentx if callbacks disabled.
   
2003-07-13 11:19  rstory

   * include/net-snmp/library/callback.h, snmplib/callback.c
:

   add priority to callback so user can determine callback order
   
2003-07-13 09:44  rstory

   * agent/mibgroup/mibII/tcpTable.h:

   restore inpcb struct for linux (until it shows up somewhere else in cvs)
   
2003-07-11 05:08  dts12

   * man/snmpvacm.1.def:

   Fix errors in the examples, spotted by Nick DiRico
   
2003-07-10 06:11  rstory

   * dist/: nsb-functions, nsb-nightly, nsb-package
:

   sync w/patches
   
2003-07-10 05:57  dts12

   * agent/mibgroup/mibII/: tcp.c, tcp.h, tcpTable.c
, tcpTable.h, udp.c, udp.h, udpTable.c
, udpTable.h:

   New-API implementation of UDP and TCP tables, using cache and iterator helpers.
   Works on Linux and HP-UX 10, compiles (but untested) on Solaris & Windows.
   
2003-07-10 03:55  dts12

   * include/net-snmp/library/container_binary_array.h:

   Colon? semicolon?  What's a pixel or two between friends....
   
2003-07-10 02:12  dts12

   * win32/: win32sdk.dsw, libagent/libagent.def,
   libhelpers/libhelpers.dsp, libsnmp/libsnmp.dsp,
   libsnmp_dll/libsnmp.def, libsnmp_dll/libsnmp_dll.dsp,
   netsnmpmibssdk/netsnmpmibssdk.dsp, snmpdsdk/snmpd.dsp:

   Visual C++ tweaks, to get everything to compile cleanly.
   
2003-07-09 08:40  dts12

   * agent/mibgroup/agentx/master.c:

   Missing header protection checks
   
2003-07-09 08:14  dts12

   * agent/mibgroup/agentx/agentx_config.c:

   Handle systems without getpwnam or getgrnam
   
2003-07-09 08:06  dts12

   * snmplib/snmp_logging.c:

   Provide default definitions of syslog constants if not already present.
   
2003-07-09 08:05  dts12

   * include/net-snmp/library/container_binary_array.h,
   snmplib/container.c:

   Provide missing forward declarations
   
2003-07-09 05:25  dts12

   * agent/snmpd.c:

   Support for the old '-L' option.
   (Incredibly clunky, but necessary)
   
2003-07-09 05:24  dts12

   * include/net-snmp/library/snmp_enum.h, snmplib/snmp_api.c
, snmplib/snmp_enum.c:

   Support for "persistent enumerations".
   
2003-07-08 06:02  dts12

   * agent/mibgroup/mibII/: icmp.c, ip.c, tcp.c,
   udp.c:

   Improved debugging for new scalar_group implementations.
   
2003-07-07 15:49  hardaker

   * agent/mibgroup/mibII/mta_sendmail.c:

   Patch from Chuck Yerkes to make the MTA-MIB work with newer sendmail versions, including FFR_QUARANTINE support
   
2003-07-07 06:04  dts12

   * agent/mibgroup/util_funcs.h:

   Export the 'make_tempfile' routine.
   
2003-07-06 20:41  rstory

   * snmplib/: Makefile.in, container_binary_array.c:

   fix typos
   
2003-07-04 10:35  hardaker

   * snmplib/snmp_enum.c:

   added sys/types
   
2003-07-03 21:21  rstory

   * snmplib/container_binary_array.c:

   free container on free; sort before for_each executes; add init to register
   
2003-07-03 21:20  rstory

   * snmplib/Makefile.in:

   add new containers
   
2003-07-03 21:20  rstory

   * include/net-snmp/library/container.h:

   update CONTAINER_FREE for new requirement that containers free themselves
   
2003-07-03 21:20  rstory

   * snmplib/container.c:

   add init for list_ssll and null containers; add aliases for list and
   binary containers; update CONTAINER_FREE for new requirement that
   containers free themselves
   
2003-07-03 20:53  rstory

   * snmplib/container_list_ssll.c, snmplib/container_null.c
, include/net-snmp/library/container_list_ssll.h,
   include/net-snmp/library/container_null.h:

   new files
   
2003-07-03 20:26  rstory

   * snmplib/container_list_ssll.c:

   file container_list_ssll.c was initially added on branch V5-0-patches.
   
2003-07-03 20:26  rstory

   * snmplib/container_null.c:

   file container_null.c was initially added on branch V5-0-patches.
   
2003-07-02 14:57  hardaker

   * testing/tests/: T023snmpv3getMD5DES, T025snmpv3getSHADES
:

   Use a SKIPIFNOT for real tokens (typo).
   
2003-07-02 14:55  hardaker

   * testing/tests/: T150solarishostcpu, T151solarishostdisk
, T152hostuptime, T153solarisswap:

   fix new tests in various ways
   
2003-07-02 14:45  hardaker

   * snmplib/oid_stash.c:

   free the root pointer.
   
2003-07-02 14:45  hardaker

   * snmplib/snmpv3.c:

   free the engineid at *shutdown* not *startup*:-/
   
2003-07-02 14:41  hardaker

   * agent/snmpd.c:

   don't call the cleanup routines at shutdown since they're filled with
   double frees()
   
2003-07-02 14:32  hardaker

   * agent/mibgroup/examples/netSnmpHostsTable.h:

   require needs examples/ prefix
   
2003-07-02 14:13  hardaker

   * agent/agent_registry.c:

   Use a for loop instead of a recursive function.
   
2003-07-02 14:13  hardaker

   * agent/mibgroup/agent/nsDebug.c:

   protect against empty rows.
   
2003-07-02 13:52  hardaker

   * include/net-snmp/library/container.h, snmplib/container.c
:

   fix container code from the last patch
   
2003-07-02 13:29  hardaker

   * agent/agent_handler.c, agent/agent_registry.c,
   agent/snmp_agent.c, agent/snmpd.c,
   snmplib/container_binary_array.c, snmplib/mib.c,
   snmplib/read_config.c, snmplib/snmpCallbackDomain.c,
   snmplib/snmp_api.c, snmplib/snmp_transport.c,
   snmplib/snmpusm.c, snmplib/snmpv3.c:

   Patch: 756286: A global free -> SNMP_FREE replacement
   
2003-07-02 13:20  hardaker

   * README, agent/agent_handler.c,
   agent/agent_read_config.c, agent/agent_registry.c,
   agent/snmp_agent.c, agent/snmp_vars.c, agent/snmpd.c
, include/net-snmp/agent/agent_handler.h,
   include/net-snmp/agent/agent_registry.h,
   include/net-snmp/agent/snmp_agent.h,
   include/net-snmp/agent/snmp_vars.h,
   include/net-snmp/library/callback.h,
   include/net-snmp/library/container.h,
   include/net-snmp/library/container_binary_array.h,
   include/net-snmp/library/lcd_time.h,
   include/net-snmp/library/snmpCallbackDomain.h,
   include/net-snmp/library/snmp_enum.h,
   include/net-snmp/library/snmp_secmod.h,
   include/net-snmp/library/snmp_transport.h,
   include/net-snmp/library/snmpusm.h,
   include/net-snmp/library/snmpv3.h, snmplib/callback.c,
   snmplib/container.c, snmplib/container_binary_array.c,
   snmplib/lcd_time.c, snmplib/read_config.c,
   snmplib/snmpCallbackDomain.c, snmplib/snmp_enum.c,
   snmplib/snmp_secmod.c, snmplib/snmp_transport.c,
   snmplib/snmpusm.c, snmplib/snmpv3.c:

   Patch #724925 from Peter Warasin to free lots of memory for a really clean shutdown
   
2003-07-02 13:02  hardaker

   * agent/: agent_registry.c (V5-0-patches.2), agent_registry.c
:

   Patch #724925 from Peter Warasin to fix netsnmp_subtree_unload() to update the root pointer
   
2003-07-02 12:59  hardaker

   * testing/tests/: T150solarishostcpu, T151solarishostdisk
, T152hostuptime, T153solarisswap:

   Patch: 756286: New solaris specific HR tests from Bruce Shaw
   
2003-07-02 12:47  hardaker

   * agent/mibgroup/ucd-snmp/file.c,
   agent/mibgroup/ucd-snmp/logmatch.c, snmplib/parse.c
   (V5-0-patches.[1,2,1]), agent/mibgroup/ucd-snmp/file.c,
   agent/mibgroup/ucd-snmp/logmatch.c, snmplib/parse.c:

   Patch #760448 from Bob Rowlands/Sun to fix bug #751913 to protect a few minor security violations
   
2003-07-02 10:58  hardaker

   * COPYING, configure, configure.in,
   agent/snmpd.c, include/net-snmp/net-snmp-config.h.in,
   include/net-snmp/library/system.h, snmplib/Makefile.in
, snmplib/mib.c, snmplib/strlcpy.c:

   Patch #760417 from Bob Rowlands/Sun for fixing Bug #751920 for minor security problems (PID file unliked first, and use strlcpy instead of strcpy.  A new strlcpy file was defined if not defined for a system.
   
2003-07-02 10:44  hardaker

   * snmplib/strlcpy.c:

   file strlcpy.c was initially added on branch V5-0-patches.
   
2003-07-02 10:26  hardaker

   * include/net-snmp/library/: snmp_debug.h (V5-0-patches.1),
   snmp_debug.h:

   Patch #764047 from Stephen J. Friedl: Remove redundant declaration from snmp_debug.h and fix a few comments
   
2003-07-02 10:21  hardaker

   * configure, configure.in (V5-0-patches.[7,7]), configure,
   configure.in:

   Patch #759309 from Stephen Friedl to add prompt over-ride flag descriptions to prompt output
   
2003-07-02 10:15  hardaker

   * configure, configure.in:

   patch #759298: fix spelling error
   
2003-07-01 05:33  dts12

   * agent/helpers/scalar1.c:

   Remove redundent file.
   
2003-07-01 03:13  dts12

   * agent/mibgroup/mibII/: icmp.c, icmp.h, ip.c,
   ip.h, kernel_linux.c, kernel_linux.h,
   mibII_common.h, tcp.c, tcp.h, udp.c, udp.h
:

   Re-implement the scalar network statistics using new API features.
   This serves as an example of the 'scalar_group' and 'cache_handler'
   helpers, as well as (hopefully) simplifying the code somewhat.
   
2003-07-01 02:57  dts12

   * agent/helpers/: scalar.c, scalar_group.c:

   Minor tweaks to handle walking from one scalar to another correctly,
   and deal with internal missing objects within a scalar group.
   
2003-06-30 22:34  hardaker

   * local/mib2c.iterate_access.conf,
   agent/mibgroup/examples/netSnmpHostsTable_access.c,
   agent/mibgroup/examples/netSnmpHostsTable.c,
   agent/mibgroup/examples/netSnmpHostsTable.h:

   update for row deletion
   
2003-06-30 17:15  hardaker

   * local/: mib2c.access_functions.conf,
   mib2c.iterate_access.conf:

   update to support row creation.  Deletion support still coming, as is
   a separate handler.
   
2003-06-30 17:10  hardaker

   * agent/helpers/table_iterator.c:

   remove more "not serialized" code.
   
2003-06-30 17:08  hardaker

   * agent/mibgroup/examples/: netSnmpHostsTable.c,
   netSnmpHostsTable.h, netSnmpHostsTable_access.c,
   netSnmpHostsTable_access.h:

   Updated for row creation.
   
2003-06-30 10:53  hardaker

   * agent/mibgroup/Rmon/alarm.c:

   patch from Fong Tsui for fixing NULL references
   
2003-06-30 10:43  hardaker

   * agent/mibgroup/agentx/subagent.c:

   - make the default agentx ping interval be 15 seconds.
   
2003-06-30 09:26  dts12

   * agent/mibgroup/: util_funcs.c, ucd-snmp/extensible.h,
   utilities/execute.h:

   Make sure the dependencies for the new approach to sub-command
   invocation are properly acknowledged.
   
2003-06-30 07:40  dts12

   * agent/agent_handler.c:

   Check for validity of parameters before using them.  (Paranoid? Who, me?)
   
2003-06-30 06:51  dts12

   * agent/mibgroup/mibII/interfaces.c:

   Caching of interface data is actually Linux-specific.
   
2003-06-30 05:05  dts12

   * agent/helpers/Makefile.in,
   include/net-snmp/agent/all_helpers.h:

   Include recent helper modules in the helper library and meta-include file.
   
2003-06-27 04:43  dts12

   * apps/snmptrapd_handlers.c:

   Simplify the processing of "traphandle" directives
   (using the new generic sub-command execution utility routines,
   and the improved varlist logging configuration)
   
2003-06-27 04:39  dts12

   * agent/mibgroup/ucd-snmp/extensible.c:

   Use the new generic sub-command execution utility routines instead
   of the extensible-specific ones.
   
2003-06-27 04:37  dts12

   * agent/helpers/cache_handler.c,
   include/net-snmp/agent/cache_handler.h:

   Include a general 'magic' parameter in both cache data structure
   and cache loading routine.   Just In Case It Might Come In Useful.
   Happy, Wes?
   
2003-06-27 04:09  dts12

   * agent/: Makefile.in, mibgroup/utilities/execute.c,
   mibgroup/utilities/execute.h:

   Generalised sub-command execution utility routines.
   (The current 'exec_command' and 'shell_command' routines are very specific
    to the details of the 'struct extensible' data structure).
   These routines can be used more widely, wherever a sub-process is needed.
   
   Questions:
     a)  Should these utilise the "realloc" mechanism, rather than
         enforce a fixed size output buffer?
     b)  Do they belong in the main library (or possibly the agent library)
         rather than a mibgroup?
   
2003-06-27 01:42  dts12

   * apps/snmptrapd_log.c:

   More flexible handling of formatting varbind lists.
   "%V" configures the varbind separator character (alt_format => added space)
   "%v" uses this separator (alt_format => separator also printed before the list)
   Defaults to using the earlier '\t' or ", " if no separator is specified.
   
2003-06-26 02:27  dts12

   * local/mib2c.notify.conf:

   Use the new features of mib2c to tidy up the output a bit.
   
2003-06-26 02:26  dts12

   * local/mib2c:

   Extend mib2c's new counter routines to cover "subloops" as well
   (i.e. the number of columns/indexes in a particular table,
    and the number of objects to be included with a given notification)
   
2003-06-25 23:15  hardaker

   * local/: mib2c, mib2c.conf:

   - prompt support for mib2c to ask questions to the user.
   - A new top-level wrapper around all the other mib2c files that walks
     you through selecting the right mib2c configuration file you wish to
     use and then sources it for you.
     - todo: generate unique file names if both scalar and table creation
       is done, eg.
   
2003-06-25 23:13  hardaker

   * local/mib2c.vartypes.conf:

   boy is that not needed any more
   
2003-06-25 14:41  hardaker

   * local/mib2c:

   Dave asks, dave gets:
     - new functions returning 1 or 2:  $var.isscalar, $var.iscolumn
     - $var.parent returns the parent label string of the node.
   
2003-06-25 14:28  hardaker

   * agent/mibgroup/ucd-snmp/proxy.c:

   fix request -> requests as pointed out by Steve Benett
   
2003-06-25 07:38  dts12

   * agent/mibgroup/mibII/vacm_vars.c:

   Stamp on a trailing '.' when specifying VACM OIDs.
   
2003-06-25 07:30  dts12

   * snmplib/snmp_enum.c:

   Calls to release enumeration lists when no longer required.
   Normally this would be handled automatically when an application
   exists, but it might be useful to release resources earlier.
   
2003-06-25 07:24  dts12

   * agent/Makefile.in:

   Install the 'dlmod.h' header file
   
2003-06-24 06:20  dts12

   * local/: mib2c, mib2c.notify.conf:

   Initial support for code to send out traps and informs.
   This still doesn't address *when* such notifications should
   be generated, but it at least helps with doing so.
   
2003-06-23 22:30  nba

   * apps/snmptrapd_handlers.c:

   Remove too much memdup'ing in inform reply
   
2003-06-23 14:33  nba

   * mibs/rfclist:

   Add APS-MIB and MALLOC-MIB
   
2003-06-23 14:31  nba

   * mibs/IANAifType-MIB.txt:

   Update from IANA
   
2003-06-23 14:30  nba

   * apps/snmptrapd.c:

   remove now unused snmp_clone_pdu2
   
2003-06-23 12:37  nba

   * apps/snmptrapd_handlers.c:

   include wait.h for waitpid, and re-instate the code that responds to an inform
   
2003-06-23 06:47  dts12

   * agent/agent_trap.c, include/net-snmp/agent/agent_trap.h
:

   Utility routine to convert v1 traps to v2-notification-style varbind list.
   
2003-06-23 06:35  dts12

   * apps/Makefile.in:

   Construct a library containing the core trapd handling functionality.
   
2003-06-23 06:23  dts12

   * agent/mibgroup/mibII/sysORTable.h:

   The sysORTable module is dependent on system_mib, so ensure this is available.
   
2003-06-23 06:13  dts12

   * apps/: notification_log.c, snmptrapd_handlers.c,
   snmptrapd_handlers.h, notification_log.h:

   Consolidate the notification handler in with the rest of the
   NOTIFICATION-MIB related code.
   
2003-06-23 06:01  dts12

   * apps/: snmptrapd.c, snmptrapd_handlers.c,
   snmptrapd_handlers.h:

   Shuffle code around a bit.  The three files 'snmptrapd_handlers.c',
   'snmptrapd_log.c' and 'notification.c' now contain all the code
   needed to process an incoming trap.
   It should be possible to embed this functionality within an larger
   application, rather than having to use the 'snmptrapd.c' wrapper.
   
2003-06-22 16:20  hardaker

   * local/.cvsignore:

   ignore *.c and *.h files.
   
2003-06-22 16:18  hardaker

   * agent/mibgroup/examples/: netSnmpHostsTable.c,
   netSnmpHostsTable.h, netSnmpHostsTable_access.c,
   netSnmpHostsTable_access.h, netSnmpHostsTable_checkfns.c
, netSnmpHostsTable_checkfns.h,
   netSnmpHostsTable_checkfns_local.c,
   netSnmpHostsTable_checkfns_local.h,
   netSnmpHostsTable_columns.h, netSnmpHostsTable_enums.h:

   - A netSnmpHostsTable implementation that implements a table_iterator
     wrapper around /etc/hosts.  Note that although this is the first check
     in, it is not entirely complete yet.  Specifically:
     - It doesn't support row creation yet (my next target) and deletion yet.
     - It implements a bunch of stuff itself in netSnmpHostsTable.c that
       will eventually go into a more generic helper.
     - It doesn't support anything but ipv4 yet but doesn't ignore it in
       the hosts file (inet_aton returns a -1 thus all ipv6 address get
       mapped to 255.255.255.255).
   - It is still useful just to show how SET operations can be performed
     using a table_iterator.
   - Plus I needed to check it in before I start messing with it again
     just for archival purposes.
   
2003-06-22 16:14  hardaker

   * mibs/NET-SNMP-EXAMPLES-MIB.txt:

   Create an example table that is a wrapper around /etc/hosts data.
   
2003-06-22 12:53  nba

   * snmplib/snmp_logging.c:

   INFO is not a facility - USER could be
   
2003-06-22 12:50  nba

   * snmplib/snmp_parse_args.c:

   Add the new -L option to the usage message
   
2003-06-22 12:49  nba

   * include/net-snmp/library/snmpUnixDomain.h,
   snmplib/snmpUnixDomain.c:

   Add some missing prototypes, and use them
   
2003-06-22 12:46  nba

   * apps/snmptable.c:

   Do away with some warnings
   
2003-06-22 12:44  nba

   * include/net-snmp/library/snmp_logging.h,
   snmplib/snmp_logging.c:

   constify a few arguments, make sure that we defalt output to stderr
   
2003-06-22 12:42  nba

   * agent/mibgroup/host/hr_print.c,
   agent/mibgroup/ucd-snmp/logmatch.c,
   agent/mibgroup/ucd-snmp/proc.c, apps/snmptrapd_handlers.c
, snmplib/scapi.c, snmplib/vacm.c:

   Do away with some warnings
   
2003-06-22 12:38  nba

   * agent/mibgroup/ucd-snmp/diskio.c:

   Untangle a most extrordinary web og FreeBSD and Linux
   
2003-06-22 07:22  hardaker

   * apps/snmpvacm.c:

   fix help usage for flag ordering.
   
2003-06-22 07:22  hardaker

   * include/net-snmp/library/default_store.h, snmplib/mib.c
, snmplib/snmp_parse_args.c:

   - add -s SUFFIX and -S PREFIX flags
   - doxygen document snmp_parse_oid
   - Add a proper L: token to getopt for a missing accepted flag
   
2003-06-20 16:50  hardaker

   * agent/helpers/table_iterator.c:

   fix the loop free before call-sub-hook ordering problem Dave pointed out
   
2003-06-20 11:58  dts12

   * agent/helpers/table_iterator.c,
   include/net-snmp/agent/table_iterator.h:

   Support the option for sorted iterator-based tables, too.
   
2003-06-20 11:53  dts12

   * agent/helpers/table_iterator.c:

   Stop searching once we've found all "exact" requested rows.
   
2003-06-19 01:54  dts12

   * man/: snmpset.1.def, snmptrap.1.def:

   Clarify the ASN.1 type mappings for command-line type specifications.
   
2003-06-17 05:54  dts12

   * agent/snmpd.c:

   Start using the new -Lx style logging output.
   Unfortunately, this doesn't seem to support the old -L format
   (see comments in snmplib/snmp_logging.c for details).
   
   It may prove necessary to reverse this patch:-(
   But I'm committing it anyway, in case anyone can spot a suitable workaround.
   
2003-06-17 05:52  dts12

   * snmplib/snmp_logging.c:

   Minor tweak to stdout/stderr handling, to improve the appearance of
   MIB group output.
   
2003-06-17 05:50  dts12

   * agent/mibgroup/agent_mibs.h,
   agent/mibgroup/agent/nsLogging.c,
   agent/mibgroup/agent/nsLogging.h, mibs/NET-SNMP-AGENT-MIB.txt
:

   MIB group to manage agent logging configuration.
   
2003-06-16 14:59  hardaker

   * testing/: RUNTESTS (V5-0-patches.4), RUNTESTS:

   remove no longer needed comment about it being broken, as pointed out
   by Bruce.
   
2003-06-16 14:55  hardaker

   * testing/: RUNTESTS (V5-0-patches.3), RUNTESTS:

   support , separated arguments to -T like -h says it will.
   
2003-06-16 14:54  hardaker

   * testing/RUNTESTS:

   Patch from Bruce Shaw to fix output numbering when using -T or
   interactively picked sub-series of tests.
   
2003-06-16 14:44  hardaker

   * agent/mibgroup/: kernel_sunos5.c (V5-0-patches.2),
   kernel_sunos5.c:

   Patch #755540 from Bruce Shaw and IRC:SebNob to fix bug #701439 for 64 bit solaris systems and 64 bit integers returned by getKstat
   
2003-06-16 13:17  hardaker

   * testing/tests/: T055agentv1mintrap, T056agentv2cmintrap
:

   Patch #754105 from Bruce Shaw to fix some spelling errors
   
2003-06-16 07:23  hardaker

   * local/mib2c.iterate_access.conf:

   yet more improvements working toward the end-goal.
   
2003-06-16 07:17  hardaker

   * README.Panasonic_AM3X.txt, README.Matsushita.txt:

   renamed to Panasonic_AM3X by request
   
2003-06-13 22:45  hardaker

   * agent/helpers/table_iterator.c:

   Ok, there was 1 memory leak.  But its gone now.
   
2003-06-13 22:02  hardaker

   * agent/helpers/table_iterator.c:

   A complete rewrite of the iterator from scratch.
     - 60 lines or so less code.
     - no longer forced-serialized
     - memory-leak free
     - better commented (though more could always be useful).
     - significantly simpler in design.
     - demonstration example mib module code to be checked in early next week.
   
2003-06-13 11:18  hardaker

   * local/mib2c.check_values.conf:

   fix range checks now that its no longer the last thing called.
   
2003-06-13 11:17  hardaker

   * local/mib2c.access_functions.conf:

   misc minor fixes.
   
2003-06-13 11:17  hardaker

   * local/mib2c:

   fix else clauses within if statements.
   
2003-06-13 08:36  dts12

   * agent/mibgroup/host/hr_swrun.c:

   Handle problems with reading process information on Solaris kit, consistently and cleanly.
   
2003-06-13 06:28  dts12

   * include/net-snmp/library/snmp_logging.h,
   snmplib/snmp_logging.c, snmplib/snmp_parse_args.c,
   apps/snmptrapd.c:

   Implement '-Lx' command-line meta-option for configuring logging settings.
   Not 100% convinced this is fully working, but does seem to support
   multiple output locations.
   
2003-06-10 15:48  nba

   * snmplib/: snmp_api.c (V5-0-patches.7), snmp_api.c:

   Beware of dereferencing a NULL pointer
   
2003-06-10 10:46  hardaker

   * agent/helpers/Makefile.in:

   add caching handler file
   
2003-06-10 08:48  dts12

   * include/net-snmp/library/snmp_logging.h,
   snmplib/snmp_logging.c:

   Initial bash at a modular "log_handler" implementation.
   Laying the foundations for more flexible logging configuration.
   
2003-06-10 08:31  hardaker

   * snmplib/snmp_api.c:

   remove the unused function as pointed out by Bob Rowlands
   
2003-06-09 16:10  hardaker

   * agent/mibgroup/mibII/vacm_vars.c, agent/snmp_agent.c,
   include/net-snmp/library/vacm.h, snmplib/vacm.c
   (V5-0-patches.[1,3,1,1]), agent/mibgroup/mibII/vacm_vars.c,
   agent/snmp_agent.c, include/net-snmp/library/vacm.h,
   snmplib/vacm.c:

   Long overdue patch #695192 from Ron Tabor to fix the VACM spinning problem that I didn't quite fix before
   
2003-06-09 15:57  hardaker

   * configure.in, testing/tests/T023snmpv3getMD5DES,
   testing/tests/T025snmpv3getSHADES, configure:

   fix bug #706710 to show when privacy has been disabled
   
2003-06-09 15:47  hardaker

   * snmplib/md5.c:

   fix bug #706741 from Sean Burke: check for word boundaries based on a
   proper size (sizeof(long)).
   
2003-06-09 15:35  hardaker

   * include/net-snmp/library/snmp_api.h, snmplib/snmp_api.c
:

   bug #748431 from John Shiver: fix thread-safe problems with snmp_get_fd_for_session (which was missing in the 5.x line anyway).  Also separate out union structure into a separate typedef rather than use it inline in the variable list structure
   
2003-06-09 15:22  hardaker

   * snmplib/mib.c:

   fix bug # 751197 pointed out by Tom Evans where isspace is used to check for hex characters when isprint() is all that is needed
   
2003-06-09 15:11  hardaker

   * agent/mibgroup/ucd-snmp/loadave.c,
   agent/mibgroup/ucd-snmp/memory_aix4.c,
   agent/mibgroup/ucd-snmp/memory_aix4.h,
   agent/mibgroup/ucd_snmp.h,
   agent/mibgroup/ucd-snmp/vmstat_aix4.c,
   agent/mibgroup/ucd-snmp/vmstat_aix4.h, acconfig.h,
   configure.in, include/net-snmp/net-snmp-config.h.in:

   patch #749552 from vaxpower (with modifications by Wes): much improved AIX support
   
2003-06-09 14:49  hardaker

   * README.Matsushita.txt (V5-0-patches.1), README.Matsushita.txt
:

   Patch #748305 from srinivasa rao gurusu describing how to build net-snmp on Matsushita embedded systems
   
2003-06-09 14:44  hardaker

   * agent/mibgroup/mibII/: ipAddr.c (V5-0-patches.3), ipAddr.c:

   Patch 746339: Otto Solares fixes a file descriptor leak on linux
   
2003-06-09 14:31  hardaker

   * agent/mibgroup/: kernel_sunos5.c (V5-0-patches.1),
   kernel_sunos5.c:

   Patch #749062 to fix caching crashing and clashing under Solaris
   
2003-06-09 14:28  hardaker

   * agent/mibgroup/ucd-snmp/: proxy.c (V5-0-patches.2), proxy.c
:

   patch #749103 from Garry C Marshall to fix the proxy when a timeout occurs from the target
   
2003-06-09 04:01  dts12

   * agent/helpers/cache_handler.c, agent/mibgroup/agent_mibs.h
, include/net-snmp/agent/cache_handler.h,
   agent/mibgroup/agent/nsCache.c,
   agent/mibgroup/agent/nsCache.h, mibs/NET-SNMP-AGENT-MIB.txt
:

   MIB objects to manage configuration of MIB data caching.
   
2003-06-09 03:56  dts12

   * agent/mibgroup/agent/nsDebug.c,
   agent/mibgroup/agent/nsDebug.h, mibs/NET-SNMP-AGENT-MIB.txt
, snmplib/snmp_debug.c:

   Rework nsDebugTokenTable to be indexed by the debug token string values.
   
2003-06-06 08:45  dts12

   * apps/: snmptrapd.c, snmptrapd_handlers.c,
   snmptrapd_handlers.h:

   Implement various separate lists of "global" handlers, to support
   pre- and post-specific global processing, as well as "authentication"
   handlers, which are guaranteed to be called first.
   Also support for terminating trap processing early.
   
   Don't let me hear you say that I never listen to you, Wes!
   
2003-06-06 06:42  nba

   * snmplib/mib.c:

   Fix missing length byte when setting index with checks disabled
   
2003-06-06 01:32  dts12

   * man/snmpd.conf.5.def, agent/mibgroup/mibII/vacm_vars.c
:

   Clarify which "r[ow]{user,community}" parameters are optional, and  in which combinations.
   
2003-06-04 05:56  dts12

   * agent/helpers/cache_handler.c,
   include/net-snmp/agent/cache_handler.h:

   First pass at a data-caching helper - independent of individual MIB modules.
   (i.e. it's up to each MIB module to provide "load data" and "free data"
    routines, but the handling of when to load these caches is done here).
   
   The intention is that this functionality will be SNMP-manageable (including
   configuration of validity timeouts, invalidation of cached values, etc).
   But for now, this is just the basic handler.
   
2003-06-04 05:50  dts12

   * agent/helpers/scalar_group.c,
   include/net-snmp/agent/scalar_group.h:

   Single helper to implement a group of scalar objects in one go.
   (Closer to the model of the earlier v4 API)
   
2003-06-03 17:14  hardaker

   * local/mib2c.iterate.conf:

   mention where "later" actually is.
   
2003-06-02 05:46  dts12

   * agent/mibgroup/host/hr_proc.h:

   Declarations for improved Solaris CPU support from patch #738465)
   (Oops!)
   
2003-06-02 05:35  dts12

   * apps/snmptrapd_handlers.c:

   Simple implementation of forwarding traps to another destination.
   (I've got a number of ideas of how this could be done more flexibly,
    but this serves as a basic proof-of-concept, for feedback & comment)
   
2003-06-02 05:33  dts12

   * apps/: snmptrapd.c, snmptrapd_handlers.c,
   snmptrapd_handlers.h:

   Modularised approach to different styles of handling incoming traps.
   This seems to retain the same behaviour and output formats as the
   earlier code, but should be much more flexible to extend and adapt.
   
2003-05-30 17:12  hardaker

   * agent/mibgroup/agent/nsDebug.c:

   make use of new exported items from snmp_debug.
   
2003-05-30 17:11  hardaker

   * local/: mib2c.access_functions.conf,
   mib2c.check_values.conf:

   more cleanups
   
2003-05-30 16:53  hardaker

   * local/: Makefile.in, mib2c.access_functions.conf,
   mib2c.check_values.conf, mib2c.check_values_local.conf,
   mib2c.iterate.conf, mib2c.iterate_access.conf:

   Update to mib2c code for producing what I think should be an easier to
   use API set (that is not all wrapped into a single function).
   
2003-05-30 16:51  hardaker

   * mibs/NET-SNMP-AGENT-MIB.txt:

   fix mib typo
   
2003-05-30 16:51  hardaker

   * include/net-snmp/library/oid_stash.h, snmplib/oid_stash.c
:

   define a noop free function.
   
2003-05-30 16:50  hardaker

   * include/net-snmp/library/snmp_debug.h, snmplib/snmp_debug.c
:

   export information needed by the new debug modules.
   
2003-05-30 14:48  hardaker

   * FAQ:

   added a compiling section with one new question about libelf.  Other questions probably should be moved to the new section
   
2003-05-30 05:14  dts12

   * man/: Makefile.in, snmpvacm.1.def:

   Preliminary man page for snmpvacm
   
2003-05-30 03:59  dts12

   * agent/mibgroup/ucd-snmp/disk.c:

   Handle block sizes <1K when converting block counts to Kb.
   Reported by Eugene V. Chupriyanov (way back in October!).
   Flaws with the implementation of this patch are my responsibility.
   (I'm not totally happy about casting to float in this way,
    but it seemed the best of a bad lot).
   
2003-05-30 03:38  dts12

   * agent/mibgroup/host/hr_proc.c:

   Significantly improved support for Solaris CPU information
   (including description, status and multi-CPU support).
   Thanks to James Irwin for implementing it (see patch #738465)
   No thanks to Dave Shield for sitting on it for a couple of weeks.
   Bad Dave! Bad Dave!
   
2003-05-28 17:25  hardaker

   * agent/helpers/: old_api.c (V5-0-patches.1), old_api.c:

   remove unused code as pointed out by Peter Warasin
   
2003-05-28 16:03  hardaker

   * agent/mibgroup/ucd-snmp/proxy.c:

   fix getbulk operations (hopefully), as pointed out by Ron Tabor.
   
2003-05-28 06:12  dts12

   * apps/snmpdelta.c:

   Clear the output buffer before displaying the second (or subsequent)
   varbind in a multi-value table format.  Bug spotted by Stefano Bodrato.
   
2003-05-28 05:14  dts12

   * include/net-snmp/agent/row_merge.h,
   agent/helpers/Makefile.in, agent/helpers/row_merge.c:

   Helper to group related requests for the same row together.  Sub-handlers
   can therefore work with multiple varbinds, all relating to the same row.
   
   This was originally intended for use with the iterator helper, but
   that helper is apparently being reworked at the moment.  But this seems
   a potentially useful feature anyway, so I'm committing it regardless!
   
2003-05-28 04:19  dts12

   * apps/snmptrapd.c:

   Remove stray ^M line endings
   
2003-05-28 02:21  dts12

   * agent/mibgroup/misc/: dlmod.c, dlmod.h:

   Remove redundent version of 'dlmod'.   This was moved to 'ucd-snmp'
   in 2000, and this 'misc' version has been effectively untouched since.
   Leaving it around is just asking for people to get confused.
   
2003-05-27 08:56  dts12

   * AGENT.txt:

   Mention that this describes the v4 API, rather than the v5 helper mechanism.
   
2003-05-21 10:58  hardaker

   * dist/Makefile:

   rpm fixes
   
2003-05-21 10:58  hardaker

   * dist/net-snmp.spec:

   install the spec file
   
2003-05-21 10:56  hardaker

   * agent/mibgroup/: agent/nsTransactionTable.c,
   mibII/vacm_context.c:

   Fix for proper non-serialized iterator usage.
   
2003-05-21 06:04  dts12

   * agent/mibgroup/agent_mibs.h, agent/mibgroup/agent/nsDebug.c
, agent/mibgroup/agent/nsDebug.h,
   mibs/NET-SNMP-AGENT-MIB.txt:

   New MIB group to monitor and control debugging output from the agent.
   Note that this is a provisional implementation, and the MIB definitions
   are currently subject to change (at least until we make a full release
   including this group)
   
2003-05-21 04:36  dts12

   * agent/mibgroup/ucd-snmp/: pass.c (V4-2-patches.7), pass.c:

   Fix passing of "set" parameters to a pass-through script
   (Bug #689936, fixed by Eric Bowles)
   
2003-05-20 07:37  dts12

   * snmplib/snmp_debug.c:

   Manu Sharma's dynamically-configurable debug token handling.
   
2003-05-20 05:16  dts12

   * agent/helpers/watcher.c, include/net-snmp/agent/watcher.h
:

   Implement a "watched spinlock" helper.
   
2003-05-20 04:23  dts12

   * agent/mibgroup/ucd-snmp/loadave.c:

   Fix load average support for AIX5 (Bug #563978 reported by Jeff Cunningham)
   
2003-05-20 03:29  dts12

   * README.win32:

   Incorporate Nikolai Devereaux's overview of the Visual C++ organisation,
   plus some minor rearrangement of sections, and tone down a somewhat
   overly enthusiastic comment.
   
2003-05-15 22:42  hardaker

   * win32/net-snmp/net-snmp-config.h:

   osf5 patch that never got added.
   
2003-05-15 22:42  hardaker

   * snmplib/data_list.c:

   Minor fix.
   
2003-05-14 18:19  hardaker

   * snmplib/snmpUnixDomain.c:

   oopsie doosie floosie woozie
   
2003-05-14 18:13  hardaker

   * snmplib/snmpUnixDomain.c:

   opps
   
2003-05-14 15:17  hardaker

   * local/Makefile.in:

   install some other .conf files
   
2003-05-14 15:17  hardaker

   * local/mib2c.check_values.conf:

   remove unneeded var
   
2003-05-14 15:17  hardaker

   * local/mib2c:

   misc minor changes
   
2003-05-14 15:12  hardaker

   * agent/mibgroup/mibII/interfaces.c:

   caching support from a patch #726418 from Larry Simmons.
   
2003-05-14 15:09  hardaker

   * man/snmptable.1.def:

   2nd Patch 702711 by Ron Tabor documenting new snmptable options
   
2003-05-14 15:07  hardaker

   * NEWS, agent/mibgroup/mibII/vacm_vars.c,
   snmplib/snmpUnixDomain.c:

   Patch #713072 from Xiaofeng Ling for com2sec mappings on unix sockets
   with per-socket mappings.
   
2003-05-14 14:56  hardaker

   * agent/mibgroup/host/hr_other.c:

   Patch #735480 from Bruce Shaw: assume no co-processor for Suns, as is the more common case
   
2003-05-14 08:44  dts12

   * agent/mibgroup/host/hr_print.c:

   Use /etc/printcap to detect printers in preference to running lpstat
   (or the cgetnext() API).   This seems more in keeping of our general
   principle of trying to avoid invoking sub-processes wherever possible.
   
2003-05-12 23:11  hardaker

   * README:

   Add Ron Tabor
   
2003-05-12 23:10  hardaker

   * NEWS:

   document new snmptable options
   
2003-05-12 23:08  hardaker

   * apps/snmptable.c:

   patch #702711 from Ron Tabor: Add new command line flags to snmptable for various new features
   
2003-05-12 22:58  hardaker

   * apps/: snmptrapd.c (V5-0-patches.5), snmptrapd.c:

   Patch #735511 from Alex Burger: fix snmptrapd to ensure there are the correct number of varbinds
   
2003-05-12 22:55  hardaker

   * agent/mibgroup/ucd-snmp/: proxy.c (V5-0-patches.1), proxy.c
:

   Patch #736784 from Ron Tabor: fix proxies for restarted NSMPv3 sub-agents
   
2003-05-09 08:47  dts12

   * win32/libsnmp_dll/libsnmp.def:

   Add various missing function names, supplied by Alex Burger
   
2003-05-09 08:41  dts12

   * win32/: win32.dsw, win32.opt, win32sdk.dsw,
   libagent/libagent.dsp, libhelpers/libhelpers.dsp,
   libsnmp/libsnmp.dsp, netsnmpmibs/netsnmpmibs.dsp,
   netsnmpmibssdk/netsnmpmibssdk.dsp, snmpd/snmpd.dsp,
   snmpdsdk/snmpd.dsp:

   Apply Nikolai Devereaux's VC++ cleanup patch (#694766)
   It appears to work OK - I just hope the line terminations
   don't screw things up!
   
2003-05-08 16:32  hardaker

   * perl/SNMP/SNMP.xs:

   Patch #733880 from Alex Burger to fix useNumeric
   
2003-05-08 16:21  hardaker

   * perl/SNMP/t/startagent.pl:

   Patch #734774 from Andrew Findlay: fix the test environment for snmpd to give it fully qualified path names for configuration files since snmpd now chdir's to /
   
2003-05-08 16:15  hardaker

   * README (V5-0-patches.6), README:

   mention Andrew Findlay
   
2003-05-08 16:14  hardaker

   * perl/agent/: agent.xs (V5-0-patches.1), agent.xs:

   (excellent) patch #705566 from Andrew Findlay on perl agent support:
   
   1) Agent cannot return MAC addresses containing zero octet.
   
   2) Agent coredumps when trying to return IP addresses
   if these are supplied as dotted-quad or as a hostname
   that fails to resolve.
   
   3) Agent corrupts OID values.
   
   4) Agent truncates any OCTET_STRING or BIT_STRING that
   contains a zero octet (this is the root cause of (1) above)
   
   API changes introduced:
   
   a) IP addresses now passed as binary strings (4 octets
   for IPv4) rather than dotted-quad or name. This
   sidesteps the IPv4/IPv6 problem and leaves the calling
   script to deal with name->address resolution and
   associated error handling.
   
2003-05-08 09:32  hardaker

   * include/net-snmp/library/mib.h, include/net-snmp/library/parse.h,
   include/net-snmp/library/snmp_api.h,
   include/net-snmp/library/snmp_client.h, snmplib/mib.c,
   snmplib/snmp_api.c, snmplib/snmp_client.c
   (V5-0-patches.[1,1,1,1,3,4,1]), include/net-snmp/library/mib.h
, include/net-snmp/library/parse.h,
   include/net-snmp/library/snmp_api.h,
   include/net-snmp/library/snmp_client.h, snmplib/mib.c,
   snmplib/snmp_api.c, snmplib/snmp_client.c:

   patch #710275 from Stephen J. Friedl: const fixes for APIs that don't modify their arguments
   
2003-05-08 09:28  hardaker

   * include/net-snmp/library/: system.h (V5-0-patches.1), system.h
:

   missed a commit for a perl patch
   
2003-05-08 09:22  hardaker

   * agent/mibgroup/mibII/: ipAddr.c (V5-0-patches.2), ipAddr.c:

   Applied patch #712101: minor irix fix
   
2003-05-08 09:12  hardaker

   * perl/: Makefile.PL, Makefile.subs.pl, ASN/Makefile.PL
, OID/Makefile.PL, SNMP/Makefile.PL, SNMP/README
, SNMP/SNMP.xs, agent/Makefile.PL,
   agent/default_store/Makefile.PL, default_store/Makefile.PL
:

   patch #715603: fix perl module builds under windows
   
2003-05-08 08:31  rstory

   * include/net-snmp/library/container.h, snmplib/container.c
:

   apply patch [ 724927 ] to fix log msg; add \n to log msgs
   
2003-05-08 08:29  rstory

   * include/net-snmp/library/snmp_assert.h:

   chg NET_SNMP_USE_ASSERT define to NETSNMP_USE_ASSERT to be consistent
   
2003-05-05 15:36  hardaker

   * man/snmpd.conf.5.def:

   move in agentx documentation someone only added to the patches branch (bad someone)
   
2003-05-05 15:33  hardaker

   * man/: snmpd.conf.5.def (V5-0-patches.4), snmpd.conf.5.def:

   document agentxPingInterval
   
2003-04-29 16:31  hardaker

   * agent/mibgroup/mibII/var_route.c:

   Really fix solaris by removing support for the cidr table function.
   
2003-04-29 16:29  hardaker

   * agent/mibgroup/mibII/: var_route.c, var_route.h:

   attempt to fix solaris by removing support for the cidr table function.
   
2003-04-29 01:53  dts12

   * agent/mibgroup/host/hr_proc.c:

   Linux Multi-CPU detection (hopefully!).
   Done at initialisation, so won't detect changes during run time.
   (probably fairly unlikely!).
   Also changes device index value for single CPU device on other archs.
   
2003-04-29 01:51  dts12

   * agent/mibgroup/host/hr_proc.c:

   First draft of Linux CPU detection (still only supports one CPU).
   
2003-04-29 01:49  dts12

   * agent/mibgroup/host/: hr_proc.c, hr_other.c:

   Consolidate all hrProcessorTable implementation into one place.
   (Basically just moving code from hr_other.c to hr_proc.c)
   
2003-04-28 23:40  hardaker

   * snmplib/data_list.c:

   - doxygen documentation for everything (gasp)
   - Support for saving/restoring of entire data_lists.
   
2003-04-28 23:38  hardaker

   * man/: netsnmp_agent.3, netsnmp_bulk_to_next.3,
   netsnmp_data_list.3, netsnmp_debug.3,
   netsnmp_handler.3, netsnmp_instance.3,
   netsnmp_library.3, netsnmp_mib_utilities.3,
   netsnmp_mode_end_call.3, netsnmp_multiplexer.3,
   netsnmp_netsnmp_iterator_info_s.3,
   netsnmp_netsnmp_mib_handler_methods.3, netsnmp_oid_stash.3
, netsnmp_old_api.3, netsnmp_read_only.3,
   netsnmp_scalar.3, netsnmp_serialize.3,
   netsnmp_set_data.3, netsnmp_table.3,
   netsnmp_table_array.3, netsnmp_table_data.3,
   netsnmp_table_dataset.3, netsnmp_table_iterator.3,
   netsnmp_todo.3, netsnmp_util.3, netsnmp_watcher.3
:

   make docs.
   
2003-04-28 23:37  hardaker

   * include/net-snmp/library/data_list.h:

   added prototypes for save/restore of data lists.
   
2003-04-28 23:36  hardaker

   * include/net-snmp/utilities.h:

   put data_list.h below callback.h
   
2003-04-28 23:35  hardaker

   * NEWS:

   document snmptrapd -t and diskio on linux
   
2003-04-25 11:23  hardaker

   * README:

   opps
   
2003-04-25 08:01  dts12

   * local/mib2c:

   Fix typo in 'WriteOnly' (see bug #711324)
   
2003-04-25 07:13  hardaker

   * README:

   added people
   
2003-04-25 07:12  hardaker

   * configure, configure.in:

   document diskio support for linux
   
2003-04-25 07:11  hardaker

   * agent/mibgroup/ucd-snmp/diskio.c:

   Patch #712259 from James Knitter: diskio support for linux
   
2003-04-25 07:02  hardaker

   * man/read_config.3.def:

   patch #710687: fix formatting bug
   
2003-04-25 06:57  hardaker

   * agent/mibgroup/: kernel_sunos5.c, kernel_sunos5.h:

   patch #702351 from James Irwin: a new getKstatString() function.
   
2003-04-25 06:00  hardaker

   * man/snmpd.conf.5.def:

   mention the -e ENGINEID flag for createUser.
     - pointed out by Dana Cook
   
2003-04-24 08:19  dts12

   * apps/: snmpusm.c, snmpvacm.c:

   Fix a typo in output messages.  (See Bug #726943)
   
2003-04-24 06:00  dts12

   * snmplib/snmpCallbackDomain.c:

   Report back failures in netsnmp_callback_close correctly.
   Patch #724928 by Peter Warasin
   
2003-04-23 07:38  dts12

   * apps/snmptable.c:

   Patch #725141 by Peter Warasin: Fix segmentation fault on snmptable
   
2003-04-23 06:56  dts12

   * snmplib/: container_binary_array.c, snmpusm.c:

   Patch #724913 by Peter Warasin - removes 2 compiler warnings
   
2003-04-23 06:46  dts12

   * Makefile.in:

   Substitute sysconfdir correctly when building sedscript.
   Patch #710689 by Peter Breitenlohner
   
2003-04-23 06:31  dts12

   * Makefile.rules, man/Makefile.in:

   Install header files and man pages with appropriate permissions.
   From patch #710685 by Peter Breitenlohner
   
2003-04-23 06:22  dts12

   * FAQ:

   Fix references to incorrect API calls
   
2003-04-23 03:06  dts12

   * man/snmpd.conf.5.def:

   Add an explicit example for com2sec address masking, as suggested by Andy Hood.
   
2003-04-22 06:48  dts12

   * snmplib/snmp_api.c:

   Restore the original debug indentation level when dumping an SNMPv1/v2c
   request PDU.   Reported by Peter Warasin
   
2003-04-17 07:23  dts12

   * agent/snmp_agent.c:

   Propagate error status values back up to the main agent processing
   (so that e.g. failed SNMPv2 set requests using a read-only community
    report a failure, rather than appearing to succeed!)
   
2003-04-16 06:37  dts12

   * mibs/NET-SNMP-MIB.txt:

   Define a "private experimentation" area of the OID tree,
   for those who wish to have a play with things, and don't
   yet have an enterprise OID of their own.
   
   See the net-snmp-users thread 'OID registration', from March/April 2003.
   
2003-04-16 06:32  dts12

   * perl/SNMP/SNMP.xs:

   Twaek the default output format to be bare the suffix form
   (as expected by SNMP::OID test harness).
   We should probably default to MIB::variable form, to match
   the C library, and provide a flag for the bare suffix.
   
2003-04-16 02:46  dts12

   * perl/SNMP/SNMP.xs:

